-- MySQL dump 10.13  Distrib 5.7.9, for Linux (x86_64)
--
-- Host: localhost    Database: 
-- ------------------------------------------------------
-- Server version	5.7.9

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Current Database: `VixtelSBC`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `VixtelSBC` /*!40100 DEFAULT CHARACTER SET latin1 */;

USE `VixtelSBC`;

--
-- Table structure for table `cw_active_calls`
--

DROP TABLE IF EXISTS `cw_active_calls`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_active_calls` (
  `ac_id` int(11) NOT NULL AUTO_INCREMENT,
  `ac_call_setup_time` datetime DEFAULT NULL,
  `ac_call_connected_time` datetime DEFAULT NULL,
  `ac_from_uri` varchar(255) DEFAULT NULL,
  `ac_from_agent` varchar(255) DEFAULT NULL,
  `ac_source` varchar(100) DEFAULT NULL,
  `ac_source_ip` varchar(100) DEFAULT NULL,
  `ac_to_uri` varchar(255) DEFAULT NULL,
  `ac_destination` varchar(100) DEFAULT NULL,
  `ac_destination_ip` varchar(100) DEFAULT NULL,
  `ac_call_id` varchar(100) NOT NULL,
  `ac_last_response` varchar(255) DEFAULT NULL,
  `ac_pcap_location` varchar(255) DEFAULT NULL,
  `ac_pcap_location_2` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`ac_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_active_registrations`
--

DROP TABLE IF EXISTS `cw_active_registrations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_active_registrations` (
  `ar_id` int(11) NOT NULL AUTO_INCREMENT,
  `ar_timestamp` datetime DEFAULT NULL,
  `ar_sip_account` varchar(255) DEFAULT NULL,
  `ar_username` varchar(100) DEFAULT NULL,
  `ar_client_ip` varchar(100) DEFAULT NULL,
  `ar_registrar_ip` varchar(100) DEFAULT NULL,
  `ar_contact` varchar(255) DEFAULT NULL,
  `ar_user_agent` varchar(100) DEFAULT NULL,
  `ar_expires` smallint(6) DEFAULT '0',
  PRIMARY KEY (`ar_id`),
  KEY `ar_sip_account` (`ar_sip_account`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_agent_history`
--

DROP TABLE IF EXISTS `cw_agent_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_agent_history` (
  `ah_id` int(11) NOT NULL AUTO_INCREMENT,
  `ah_server_time` datetime DEFAULT NULL,
  `ah_user_time` datetime DEFAULT NULL,
  `ah_time_zone` varchar(100) DEFAULT NULL,
  `ah_vpbx` varchar(100) DEFAULT NULL,
  `ah_agent` varchar(50) DEFAULT NULL,
  `ah_state` varchar(25) DEFAULT NULL,
  `ah_action_by` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`ah_id`),
  KEY `ah_vpbx` (`ah_vpbx`),
  KEY `ah_agent` (`ah_agent`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_agents`
--

DROP TABLE IF EXISTS `cw_agents`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_agents` (
  `agn_id` int(11) NOT NULL AUTO_INCREMENT,
  `agn_name` varchar(50) NOT NULL,
  `agn_queue_name` varchar(50) DEFAULT NULL,
  `agn_caller_group` varchar(50) DEFAULT NULL,
  `agn_priority` tinyint(4) DEFAULT '3',
  `agn_inbound` tinyint(4) DEFAULT '0',
  `agn_overflow` tinyint(4) DEFAULT '0',
  `agn_skill_group_1` tinyint(4) DEFAULT '0',
  `agn_skill_group_2` tinyint(4) DEFAULT '0',
  `agn_skill_group_3` tinyint(4) DEFAULT '0',
  `agn_skill_group_4` tinyint(4) DEFAULT '0',
  `agn_skill_group_5` tinyint(4) DEFAULT '0',
  `agn_skill_group_6` tinyint(4) DEFAULT '0',
  `agn_skill_group_7` tinyint(4) DEFAULT '0',
  `agn_skill_group_8` tinyint(4) DEFAULT '0',
  `agn_skill_group_9` tinyint(4) DEFAULT '0',
  `agn_skill_group_10` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`agn_id`),
  UNIQUE KEY `agn_id` (`agn_id`),
  KEY `agn_name` (`agn_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_alias`
--

DROP TABLE IF EXISTS `cw_alias`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_alias` (
  `al_id` int(11) NOT NULL AUTO_INCREMENT,
  `al_alias` varchar(50) NOT NULL,
  `al_user_port` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`al_id`),
  UNIQUE KEY `al_alias` (`al_alias`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_black_list`
--

DROP TABLE IF EXISTS `cw_black_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_black_list` (
  `bl_id` int(11) NOT NULL AUTO_INCREMENT,
  `bl_ip_address` varchar(50) NOT NULL,
  `bl_description` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`bl_id`),
  UNIQUE KEY `bl_ip_address` (`bl_ip_address`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_call_recording`
--

DROP TABLE IF EXISTS `cw_call_recording`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_call_recording` (
  `cr_id` int(11) NOT NULL AUTO_INCREMENT,
  `cr_name` varchar(50) NOT NULL,
  `cr_condition` smallint(6) DEFAULT '0',
  `cr_except_from_numbers` varchar(50) DEFAULT NULL,
  `cr_only_calls_from_numbers` varchar(50) DEFAULT NULL,
  `cr_greeting` varchar(50) DEFAULT NULL,
  `cr_day_condition` smallint(6) DEFAULT '0',
  `cr_date_day_from` smallint(6) DEFAULT '0',
  `cr_date_month_from` smallint(6) DEFAULT '0',
  `cr_date_year_from` smallint(6) DEFAULT '0',
  `cr_date_day_to` smallint(6) DEFAULT '0',
  `cr_date_month_to` smallint(6) DEFAULT '0',
  `cr_date_year_to` smallint(6) DEFAULT '0',
  `cr_time_minute_from` smallint(6) DEFAULT '0',
  `cr_time_hour_from` smallint(6) DEFAULT '0',
  `cr_time_minute_to` smallint(6) DEFAULT '0',
  `cr_time_hour_to` smallint(6) DEFAULT '0',
  `cr_active` smallint(6) DEFAULT '0',
  `cr_mg_ip_address` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`cr_id`),
  UNIQUE KEY `cr_name` (`cr_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_call_recording_history`
--

DROP TABLE IF EXISTS `cw_call_recording_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_call_recording_history` (
  `crh_id` int(11) NOT NULL AUTO_INCREMENT,
  `crh_calling_party` varchar(50) DEFAULT NULL,
  `crh_called_party` varchar(50) DEFAULT NULL,
  `crh_recorded_user` varchar(100) DEFAULT NULL,
  `crh_incoming_call` tinyint(4) DEFAULT '0',
  `crh_internal_call` tinyint(4) DEFAULT '0',
  `crh_start_time` datetime DEFAULT NULL,
  `crh_user_time` datetime DEFAULT NULL,
  `crh_time_zone` varchar(100) DEFAULT NULL,
  `crh_duration` smallint(6) DEFAULT '0',
  `crh_media_server` varchar(50) DEFAULT NULL,
  `crh_call_server` varchar(50) DEFAULT NULL,
  `crh_file_name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`crh_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_calling_card`
--

DROP TABLE IF EXISTS `cw_calling_card`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_calling_card` (
  `cc_id` int(11) NOT NULL AUTO_INCREMENT,
  `cc_provider_name` varchar(100) DEFAULT NULL,
  `cc_ivr_number` varchar(50) DEFAULT NULL,
  `cc_queue_number` varchar(50) DEFAULT NULL,
  `cc_connect_string` varchar(255) DEFAULT NULL,
  `cc_calling_card_active` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`cc_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_calls`
--

DROP TABLE IF EXISTS `cw_calls`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_calls` (
  `cls_id` int(11) NOT NULL AUTO_INCREMENT,
  `cls_user_port` varchar(50) NOT NULL,
  `cls_type` int(11) NOT NULL DEFAULT '1',
  `cls_start_time` datetime DEFAULT NULL,
  `cls_user_time` datetime DEFAULT NULL,
  `cls_time_zone` varchar(100) DEFAULT NULL,
  `cls_duration` varchar(10) DEFAULT NULL,
  `cls_phone_number` varchar(100) DEFAULT NULL,
  `cls_state` int(11) DEFAULT '0',
  `cls_tariff_id` int(11) DEFAULT '0',
  `cls_amount` int(11) DEFAULT '0',
  `cls_message` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`cls_id`),
  UNIQUE KEY `cls_id` (`cls_id`),
  KEY `cls_user_port` (`cls_user_port`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_cdrs`
--

DROP TABLE IF EXISTS `cw_cdrs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_cdrs` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `SequenceNumber` varchar(50) DEFAULT NULL,
  `Name` varchar(50) DEFAULT NULL,
  `Extension` varchar(50) DEFAULT NULL,
  `Company` varchar(50) DEFAULT NULL,
  `StartDate` varchar(50) DEFAULT NULL,
  `StartTime` varchar(50) DEFAULT NULL,
  `UserDate` varchar(50) DEFAULT NULL,
  `UserTime` varchar(50) DEFAULT NULL,
  `TimeZone` varchar(100) DEFAULT NULL,
  `CalledParty` varchar(50) DEFAULT NULL,
  `Duration` varchar(50) DEFAULT NULL,
  `Amount` varchar(50) DEFAULT NULL,
  `CallType` varchar(50) DEFAULT NULL,
  `Provider` varchar(50) DEFAULT NULL,
  `Gatekeeper` varchar(50) DEFAULT NULL,
  `ExCallType` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `ID` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_cluster`
--

DROP TABLE IF EXISTS `cw_cluster`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_cluster` (
  `cl_id` int(11) NOT NULL AUTO_INCREMENT,
  `cl_cluster_name` varchar(100) NOT NULL,
  `cl_udp_interface` varchar(50) DEFAULT NULL,
  `cl_tcp_interface` varchar(50) DEFAULT NULL,
  `cl_ws_interface` varchar(50) DEFAULT NULL,
  `cl_external_ip_address` varchar(50) DEFAULT NULL,
  `cl_min_reg_time` smallint(6) DEFAULT '600',
  `cl_max_bandwidth` int(11) DEFAULT '0',
  `cl_max_active_registrations` int(11) DEFAULT '0',
  `cl_max_active_calls` int(11) DEFAULT '0',
  `cl_format_exclusion_list` varchar(255) DEFAULT NULL,
  `cl_emergency_numbers` varchar(255) DEFAULT NULL,
  `cl_inhibited_prefixes` varchar(100) DEFAULT NULL,
  `cl_trunk_group_name` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`cl_id`),
  UNIQUE KEY `cl_cluster_name` (`cl_cluster_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_conferences`
--

DROP TABLE IF EXISTS `cw_conferences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_conferences` (
  `conf_id` int(11) NOT NULL AUTO_INCREMENT,
  `conf_user_port` varchar(50) DEFAULT NULL,
  `conf_conference_name` varchar(50) NOT NULL,
  `conf_start_date_time` datetime DEFAULT NULL,
  `conf_pin` varchar(10) DEFAULT NULL,
  `conf_max_participants` int(11) NOT NULL DEFAULT '5',
  `conf_vpbx` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`conf_id`),
  UNIQUE KEY `conf_conference_name` (`conf_conference_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_deflection_range`
--

DROP TABLE IF EXISTS `cw_deflection_range`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_deflection_range` (
  `dra_id` int(11) NOT NULL AUTO_INCREMENT,
  `dra_description` varchar(100) NOT NULL,
  `dra_provider` varchar(100) DEFAULT NULL,
  `dra_range` varchar(100) DEFAULT NULL,
  `dra_called_party` varchar(50) DEFAULT NULL,
  `dra_length_cli` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`dra_id`),
  KEY `dra_description` (`dra_description`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_deflection_rule`
--

DROP TABLE IF EXISTS `cw_deflection_rule`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_deflection_rule` (
  `dru_id` int(11) NOT NULL AUTO_INCREMENT,
  `dru_description` varchar(100) NOT NULL,
  `dru_owner` varchar(100) DEFAULT NULL,
  `dru_provider` varchar(100) DEFAULT NULL,
  `dru_called_party` varchar(50) DEFAULT NULL,
  `dru_length_cli` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`dru_id`),
  UNIQUE KEY `dru_description` (`dru_description`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_failed_registrations`
--

DROP TABLE IF EXISTS `cw_failed_registrations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_failed_registrations` (
  `fr_id` int(11) NOT NULL AUTO_INCREMENT,
  `fr_timestamp` datetime DEFAULT NULL,
  `fr_sip_account` varchar(255) DEFAULT NULL,
  `fr_username` varchar(100) DEFAULT NULL,
  `fr_client_ip` varchar(100) DEFAULT NULL,
  `fr_registrar_ip` varchar(100) DEFAULT NULL,
  `fr_contact` varchar(255) DEFAULT NULL,
  `fr_user_agent` varchar(100) DEFAULT NULL,
  `fr_counter` smallint(6) DEFAULT '0',
  PRIMARY KEY (`fr_id`),
  KEY `fr_sip_account` (`fr_sip_account`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_forwarding`
--

DROP TABLE IF EXISTS `cw_forwarding`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_forwarding` (
  `fwd_id` int(11) NOT NULL AUTO_INCREMENT,
  `fwd_name` varchar(50) DEFAULT NULL,
  `fwd_rule` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`fwd_id`),
  KEY `fwd_name` (`fwd_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_forwarding_business`
--

DROP TABLE IF EXISTS `cw_forwarding_business`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_forwarding_business` (
  `fwrb_id` int(11) NOT NULL AUTO_INCREMENT,
  `fwrb_name` varchar(50) NOT NULL,
  `fwrb_rule_name` varchar(50) DEFAULT NULL,
  `fwrb_rings_before_forwarding` tinyint(4) DEFAULT '4',
  `fwrb_internal_number` varchar(50) DEFAULT NULL,
  `fwrb_internal_priority` tinyint(4) DEFAULT '0',
  `fwrb_internal_rings` tinyint(4) DEFAULT '4',
  `fwrb_external_number` varchar(50) DEFAULT NULL,
  `fwrb_external_priority` tinyint(4) DEFAULT '1',
  `fwrb_external_rings` tinyint(4) DEFAULT '4',
  `fwrb_mobile_number` varchar(50) DEFAULT NULL,
  `fwrb_mobile_priority` tinyint(4) DEFAULT '2',
  `fwrb_mobile_rings` tinyint(4) DEFAULT '4',
  `fwrb_custom_number` varchar(50) DEFAULT NULL,
  `fwrb_custom_priority` tinyint(4) DEFAULT '3',
  `fwrb_custom_rings` tinyint(4) DEFAULT '4',
  `fwrb_voice_mail_on` tinyint(4) NOT NULL DEFAULT '0',
  `fwrb_forwarding_type` tinyint(4) DEFAULT '0',
  `fwrb_forwarding_condition` int(11) DEFAULT '0',
  `fwrb_except_from_numbers` varchar(50) DEFAULT NULL,
  `fwrb_only_from_numbers` varchar(50) DEFAULT NULL,
  `fwrb_email_address_1` varchar(50) DEFAULT NULL,
  `fwrb_send_to_email_1` tinyint(4) DEFAULT '0',
  `fwrb_attach_message` tinyint(4) DEFAULT '0',
  `fwrb_email_address_2` varchar(50) DEFAULT NULL,
  `fwrb_send_to_email_2` tinyint(4) DEFAULT '0',
  `fwrb_pin_code` varchar(10) DEFAULT NULL,
  `fwrb_announcement_file` varchar(50) DEFAULT NULL,
  `fwrb_trailing_announcement_file` varchar(50) DEFAULT NULL,
  `fwrb_message_length` int(11) DEFAULT '0',
  `fwrb_day_condition` int(11) DEFAULT '0',
  `fwrb_date_day_from` int(11) DEFAULT '0',
  `fwrb_date_month_from` int(11) DEFAULT '0',
  `fwrb_date_year_from` int(11) DEFAULT '0',
  `fwrb_date_day_to` int(11) DEFAULT '0',
  `fwrb_date_month_to` int(11) DEFAULT '0',
  `fwrb_date_year_to` int(11) DEFAULT '0',
  `fwrb_time_minute_from` int(11) DEFAULT '0',
  `fwrb_time_hour_from` int(11) DEFAULT '0',
  `fwrb_time_minute_to` int(11) DEFAULT '0',
  `fwrb_time_hour_to` int(11) DEFAULT '0',
  `fwrb_forwarding_active_logged_on` tinyint(4) DEFAULT '0',
  `fwrb_forwarding_active_logged_off` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`fwrb_id`),
  KEY `fwrb_id` (`fwrb_id`),
  KEY `fwrb_name` (`fwrb_name`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_forwarding_residential`
--

DROP TABLE IF EXISTS `cw_forwarding_residential`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_forwarding_residential` (
  `fwdr_id` int(11) NOT NULL AUTO_INCREMENT,
  `fwdr_user_port` varchar(50) NOT NULL,
  `fwdr_forward_type_busy` int(11) DEFAULT '0',
  `fwdr_destination_address_busy` varchar(50) DEFAULT NULL,
  `fwdr_forward_type_no_answer` int(11) DEFAULT '0',
  `fwdr_destination_address_no_answer` varchar(50) DEFAULT NULL,
  `fwdr_forward_type_always` int(11) DEFAULT '0',
  `fwdr_destination_address_always` varchar(50) DEFAULT NULL,
  `fwdr_forward_type_unavailable` int(11) DEFAULT '0',
  `fwdr_destination_address_unavailable` varchar(50) DEFAULT NULL,
  `fwdr_announcement_file` varchar(200) DEFAULT NULL,
  `fwdr_mail_address` varchar(50) DEFAULT NULL,
  `fwdr_rings` int(11) DEFAULT '0',
  `fwdr_pin` varchar(50) DEFAULT NULL,
  `Clir` int(11) DEFAULT '0',
  `ShowIncomingCalls` int(11) DEFAULT '0',
  `ShowOutgoingCalls` int(11) DEFAULT '0',
  `OnlyShortNumbers` int(11) DEFAULT '0',
  PRIMARY KEY (`fwdr_id`),
  UNIQUE KEY `fwdr_user_port` (`fwdr_user_port`),
  KEY `fwdr_id` (`fwdr_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_global_settings`
--

DROP TABLE IF EXISTS `cw_global_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_global_settings` (
  `gs_id` int(11) NOT NULL AUTO_INCREMENT,
  `gs_country_code` varchar(10) DEFAULT NULL,
  `gs_area_code` varchar(10) DEFAULT NULL,
  `gs_trunk_number` varchar(15) DEFAULT NULL,
  `gs_default_user_port` varchar(10) DEFAULT NULL,
  `gs_country_code_prefix` varchar(10) DEFAULT NULL,
  `gs_area_code_prefix` varchar(10) DEFAULT NULL,
  `gs_user_port_length` int(11) DEFAULT '0',
  `gs_pbx_access` varchar(10) DEFAULT NULL,
  `gs_internal_access` varchar(10) DEFAULT NULL,
  `gs_pstn_access` varchar(10) DEFAULT NULL,
  `gs_in_dial_range` varchar(200) DEFAULT NULL,
  `gs_always_dial_prefix_code` tinyint(4) DEFAULT '0',
  `gs_transfer_main_number` tinyint(4) DEFAULT '0',
  `gs_suppress_own_number_transfer` tinyint(4) DEFAULT '0',
  `gs_create_cdrs` tinyint(4) DEFAULT '0',
  `gs_charges_per_unit` varchar(10) DEFAULT NULL,
  `gs_project_places` int(11) DEFAULT '0',
  `gs_remove_project_id` tinyint(4) DEFAULT '0',
  `gs_answer_after` int(11) DEFAULT '0',
  `gs_release_after` int(11) DEFAULT '5',
  `gs_restricted_prefixes` varchar(100) DEFAULT NULL,
  `gs_groups` varchar(200) DEFAULT NULL,
  `gs_predial_codes` varchar(100) DEFAULT NULL,
  `gs_waiting_loop_name` varchar(50) DEFAULT NULL,
  `gs_announcement_name` varchar(50) DEFAULT NULL,
  `gs_moh_name` varchar(50) DEFAULT NULL,
  `gs_auto_attendant_greeting_name` varchar(50) DEFAULT NULL,
  `gs_auto_attendant_error_name` varchar(50) DEFAULT NULL,
  `gs_auto_attendant_connecting_name` varchar(50) DEFAULT NULL,
  `gs_auto_attendant_ddis` varchar(100) DEFAULT NULL,
  `gs_auto_attendant_default_port` varchar(10) DEFAULT NULL,
  `gs_auto_attendant_active` tinyint(4) DEFAULT '0',
  `gs_disa_greeting_name` varchar(50) DEFAULT NULL,
  `gs_disa_ddis` varchar(100) DEFAULT NULL,
  `gs_disa_active` tinyint(4) DEFAULT '0',
  `gs_time_zone` varchar(100) DEFAULT NULL,
  `gs_paging_ddi` varchar(100) DEFAULT NULL,
  `gs_paging_greeting` varchar(50) DEFAULT NULL,
  `gs_paging_error_message` varchar(50) DEFAULT NULL,
  `gs_paging_black_list` varchar(255) DEFAULT NULL,
  `gs_cc_provider` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`gs_id`),
  KEY `gs_always_dial_prefix_code` (`gs_always_dial_prefix_code`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_interfaces`
--

DROP TABLE IF EXISTS `cw_interfaces`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_interfaces` (
  `if_id` int(11) NOT NULL AUTO_INCREMENT,
  `if_web_portal` varchar(50) DEFAULT NULL,
  `if_poll` varchar(50) DEFAULT NULL,
  `if_node_server_tr` varchar(50) DEFAULT NULL,
  `if_node_server_tcp` varchar(50) DEFAULT NULL,
  `if_node_server_udp` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`if_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_ip_addresses`
--

DROP TABLE IF EXISTS `cw_ip_addresses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_ip_addresses` (
  `ipa_id` int(11) NOT NULL AUTO_INCREMENT,
  `ipa_ip_address` varchar(20) NOT NULL,
  PRIMARY KEY (`ipa_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_license`
--

DROP TABLE IF EXISTS `cw_license`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_license` (
  `li_id` int(11) NOT NULL AUTO_INCREMENT,
  `li_vpbxname` varchar(100) NOT NULL,
  `li_call_sessions` smallint(6) DEFAULT '0',
  `li_conf_sessions` smallint(6) DEFAULT '0',
  `li_cc_sessions` smallint(6) DEFAULT '0',
  `li_rec_sessions` smallint(6) DEFAULT '0',
  PRIMARY KEY (`li_id`),
  UNIQUE KEY `li_vpbxname` (`li_vpbxname`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_media_gateways`
--

DROP TABLE IF EXISTS `cw_media_gateways`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_media_gateways` (
  `mg_id` int(11) NOT NULL AUTO_INCREMENT,
  `mg_ip_address` varchar(50) DEFAULT NULL,
  `mg_file_path_root` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`mg_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_node_server`
--

DROP TABLE IF EXISTS `cw_node_server`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_node_server` (
  `ns_id` int(11) NOT NULL AUTO_INCREMENT,
  `ns_cluster_name` varchar(100) NOT NULL,
  `ns_node_server_name` varchar(100) NOT NULL,
  `ns_interface_name` varchar(50) NOT NULL,
  `ns_ip_address` varchar(50) NOT NULL,
  `ns_max_active_registrations` int(11) DEFAULT '0',
  `ns_max_active_calls` int(11) DEFAULT '0',
  `ns_account_filter` varchar(100) DEFAULT NULL,
  `ns_priority` tinyint(4) DEFAULT '1',
  `ns_enabled` tinyint(4) DEFAULT '1',
  PRIMARY KEY (`ns_id`),
  KEY `ns_cluster_name` (`ns_cluster_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_node_server_interfaces`
--

DROP TABLE IF EXISTS `cw_node_server_interfaces`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_node_server_interfaces` (
  `ni_id` int(11) NOT NULL AUTO_INCREMENT,
  `ni_interface_name` varchar(50) NOT NULL,
  `ni_poll_interface` varchar(50) DEFAULT NULL,
  `ni_trunk_interface` varchar(50) DEFAULT NULL,
  `ni_tcp_interface` varchar(50) DEFAULT NULL,
  `ni_udp_interface` varchar(50) DEFAULT NULL,
  `ni_external_ip_address` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`ni_id`),
  UNIQUE KEY `ni_interface_name` (`ni_interface_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_number_modification_rules`
--

DROP TABLE IF EXISTS `cw_number_modification_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_number_modification_rules` (
  `nmr_id` int(11) NOT NULL AUTO_INCREMENT,
  `nmr_replace` varchar(20) DEFAULT NULL,
  `nmr_by` varchar(20) DEFAULT NULL,
  `nmr_ip_address_range_from` varchar(20) DEFAULT NULL,
  `nmr_ip_address_range_to` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`nmr_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_paging`
--

DROP TABLE IF EXISTS `cw_paging`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_paging` (
  `pg_id` int(11) NOT NULL AUTO_INCREMENT,
  `pg_vpbxname` varchar(50) DEFAULT NULL,
  `pg_description` varchar(50) DEFAULT NULL,
  `pg_code` varchar(50) DEFAULT NULL,
  `pg_pin` varchar(50) DEFAULT NULL,
  `pg_paging_all_ports` smallint(6) DEFAULT '0',
  `pg_message` varchar(50) DEFAULT NULL,
  `pg_multicast_address` varchar(50) DEFAULT NULL,
  `pg_ports` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`pg_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_pcap_filter`
--

DROP TABLE IF EXISTS `cw_pcap_filter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_pcap_filter` (
  `pf_id` int(11) NOT NULL AUTO_INCREMENT,
  `pf_from_account` varchar(50) NOT NULL,
  `pf_to_account` varchar(50) NOT NULL,
  `pf_monitor_invite` tinyint(4) DEFAULT '0',
  `pf_monitor_register` tinyint(4) DEFAULT '0',
  `pf_monitor_subscribe` tinyint(4) DEFAULT '0',
  `pf_monitor_RTP` tinyint(4) DEFAULT '0',
  `pf_filter_active` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`pf_id`),
  UNIQUE KEY `pf_from_account` (`pf_from_account`),
  UNIQUE KEY `pf_to_account` (`pf_to_account`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_policy_rules`
--

DROP TABLE IF EXISTS `cw_policy_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_policy_rules` (
  `pr_id` int(11) NOT NULL AUTO_INCREMENT,
  `pr_policy_rule_name` varchar(50) NOT NULL,
  `pr_header` varchar(50) NOT NULL,
  `pr_field` varchar(50) DEFAULT NULL,
  `pr_action` varchar(50) NOT NULL,
  `pr_match` varchar(50) DEFAULT NULL,
  `pr_modify` varchar(50) DEFAULT NULL,
  `pr_new_value` varchar(50) DEFAULT NULL,
  `pr_description` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`pr_id`),
  KEY `pr_policy_rule_name` (`pr_policy_rule_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_ported_numbers`
--

DROP TABLE IF EXISTS `cw_ported_numbers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_ported_numbers` (
  `pn_id` int(11) NOT NULL AUTO_INCREMENT,
  `pn_number` varchar(50) DEFAULT NULL,
  `pn_description` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`pn_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_presence_states`
--

DROP TABLE IF EXISTS `cw_presence_states`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_presence_states` (
  `ps_id` int(11) NOT NULL AUTO_INCREMENT,
  `ps_presence_state` varchar(50) NOT NULL,
  PRIMARY KEY (`ps_id`),
  UNIQUE KEY `ps_presence_state` (`ps_presence_state`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_provider`
--

DROP TABLE IF EXISTS `cw_provider`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_provider` (
  `prov_id` int(11) NOT NULL AUTO_INCREMENT,
  `prov_provider_name` varchar(50) NOT NULL,
  `prov_sip_account` varchar(50) NOT NULL,
  `prov_login_name` varchar(50) DEFAULT NULL,
  `prov_password` varchar(50) DEFAULT NULL,
  `prov_no_registration` tinyint(4) DEFAULT '0',
  `prov_registrar_ip_address` double DEFAULT '0',
  `prov_registrar_dns_name` varchar(50) DEFAULT NULL,
  `prov_user_ports` varchar(100) DEFAULT NULL,
  `prov_inhibited_prefixes` varchar(100) DEFAULT NULL,
  `prov_prefix` varchar(10) DEFAULT NULL,
  `prov_ports` int(11) DEFAULT '2',
  `prov_number_format` varchar(15) DEFAULT NULL,
  `prov_default_user_port` varchar(10) DEFAULT NULL,
  `prov_stun_ip_address` double DEFAULT '0',
  `prov_stun_dns_name` varchar(50) DEFAULT NULL,
  `prov_stun_repeat_time` int(11) DEFAULT '0',
  `prov_use_call_deflection` tinyint(4) DEFAULT '0',
  `prov_cli_in_from_header` tinyint(4) DEFAULT '0',
  `prov_trunk` varchar(15) DEFAULT NULL,
  `prov_trunk_group_name` varchar(50) DEFAULT NULL,
  `prov_use_transit_cli` tinyint(4) DEFAULT '0',
  `prov_use_user_port_cli` tinyint(4) DEFAULT '0',
  `prov_proposed_expiry` int(11) DEFAULT '60',
  `prov_back_busy_trunk_period` int(11) DEFAULT '0',
  `prov_no_audio_streaming` tinyint(4) DEFAULT '1',
  `prov_send_rtp_to_open_port` tinyint(4) DEFAULT '1',
  `prov_is_gateway` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`prov_id`),
  UNIQUE KEY `prov_provider_name` (`prov_provider_name`),
  UNIQUE KEY `prov_sip_account` (`prov_sip_account`),
  KEY `prov_id` (`prov_id`),
  KEY `prov_trunk` (`prov_trunk`),
  KEY `prov_trunk_group_name` (`prov_trunk_group_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_provider_rules`
--

DROP TABLE IF EXISTS `cw_provider_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_provider_rules` (
  `provr_id` int(11) NOT NULL AUTO_INCREMENT,
  `provr_provider_name` varchar(50) NOT NULL,
  `provr_prefix` varchar(10) NOT NULL,
  `provr_replace` varchar(10) DEFAULT NULL,
  `provr_by` varchar(10) DEFAULT NULL,
  `provr_sessions` int(11) NOT NULL DEFAULT '2',
  `provr_priority` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`provr_id`),
  KEY `provr_provider_name` (`provr_provider_name`)
) ENGINE=MyISAM AUTO_INCREMENT=7403 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_proxy_account_settings`
--

DROP TABLE IF EXISTS `cw_proxy_account_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_proxy_account_settings` (
  `pas_id` int(11) NOT NULL AUTO_INCREMENT,
  `pas_provider_name` varchar(50) DEFAULT NULL,
  `pas_start_range` varchar(50) DEFAULT NULL,
  `pas_end_range` varchar(50) DEFAULT NULL,
  `pas_ported_number` varchar(50) DEFAULT NULL,
  `pas_country_code_prefix` varchar(50) DEFAULT NULL,
  `pas_country_code` varchar(50) DEFAULT NULL,
  `pas_area_code_prefix` varchar(50) DEFAULT NULL,
  `pas_area_code` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`pas_id`),
  KEY `pas_provider_name` (`pas_provider_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_proxy_trunks`
--

DROP TABLE IF EXISTS `cw_proxy_trunks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_proxy_trunks` (
  `pt_id` int(11) NOT NULL AUTO_INCREMENT,
  `pt_provider_name` varchar(50) NOT NULL,
  `pt_start_range` varchar(25) NOT NULL,
  `pt_end_range` varchar(25) NOT NULL,
  `pt_replace` varchar(10) DEFAULT NULL,
  `pt_by` varchar(10) DEFAULT NULL,
  `pt_alternate_route` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`pt_id`),
  KEY `pt_provider_name` (`pt_provider_name`)
) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_queue_history`
--

DROP TABLE IF EXISTS `cw_queue_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_queue_history` (
  `qh_id` int(11) NOT NULL AUTO_INCREMENT,
  `qh_server_time` datetime DEFAULT NULL,
  `qh_user_time` datetime DEFAULT NULL,
  `qh_time_zone` varchar(100) DEFAULT NULL,
  `qh_vpbx` varchar(100) DEFAULT NULL,
  `qh_agent` varchar(50) DEFAULT NULL,
  `qh_wait_time` varchar(25) DEFAULT NULL,
  `qh_duration` varchar(25) DEFAULT NULL,
  `qh_charge` varchar(25) DEFAULT NULL,
  `qh_queue` varchar(50) DEFAULT NULL,
  `qh_caller_number` varchar(25) DEFAULT NULL,
  `qh_caller` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`qh_id`),
  KEY `qh_vpbx` (`qh_vpbx`),
  KEY `qh_agent` (`qh_agent`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_queues`
--

DROP TABLE IF EXISTS `cw_queues`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_queues` (
  `qu_id` int(11) NOT NULL AUTO_INCREMENT,
  `qu_queue_name` varchar(50) NOT NULL,
  `qu_vpbx_name` varchar(50) DEFAULT NULL,
  `qu_waiting_loop_name` varchar(50) DEFAULT NULL,
  `qu_disconnect_announcement_name` varchar(50) DEFAULT NULL,
  `qu_skill_announcement_name` varchar(50) DEFAULT NULL,
  `qu_conditional_waiting_loop` tinyint(4) DEFAULT '1',
  `qu_number_of_lines` int(11) DEFAULT '5',
  `qu_answer_after` int(11) DEFAULT '0',
  `qu_connect_after` int(11) DEFAULT '20',
  `qu_release_reservation_after` int(11) DEFAULT '20',
  `qu_forward_after` int(11) DEFAULT '20',
  `qu_wrapup_time` int(11) DEFAULT '300',
  `qu_difference_in_call_duration` int(11) DEFAULT '10',
  `qu_priority` int(11) DEFAULT '1',
  `qu_permanently_available_agents` tinyint(4) DEFAULT '1',
  `qu_address_file` varchar(255) DEFAULT NULL,
  `qu_agent_access_to_address_file` varchar(255) DEFAULT NULL,
  `qu_user_ports` varchar(100) DEFAULT NULL,
  `qu_q_overflow_timeout` int(11) DEFAULT '0',
  `qu_overflow_forward_to_number` varchar(25) DEFAULT NULL,
  `qu_timed_overflow_message` varchar(50) DEFAULT NULL,
  `qu_escalation_message` varchar(50) DEFAULT NULL,
  `qu_play_escalation_message_only` tinyint(4) DEFAULT '1',
  `qu_overflow_no_agents` int(11) DEFAULT '1',
  `qu_statistics_time_period` int(11) DEFAULT '15',
  `qu_inbound_active` tinyint(4) DEFAULT '0',
  `qu_skill_based_routing_active` tinyint(4) DEFAULT '0',
  `qu_skill_area_1` varchar(50) DEFAULT NULL,
  `qu_skill_number_1` varchar(10) DEFAULT NULL,
  `qu_skill_area_2` varchar(50) DEFAULT NULL,
  `qu_skill_number_2` varchar(10) DEFAULT NULL,
  `qu_skill_area_3` varchar(50) DEFAULT NULL,
  `qu_skill_number_3` varchar(10) DEFAULT NULL,
  `qu_skill_area_4` varchar(50) DEFAULT NULL,
  `qu_skill_number_4` varchar(10) DEFAULT NULL,
  `qu_skill_area_5` varchar(50) DEFAULT NULL,
  `qu_skill_number_5` varchar(10) DEFAULT NULL,
  `qu_skill_area_6` varchar(50) DEFAULT NULL,
  `qu_skill_number_6` varchar(10) DEFAULT NULL,
  `qu_skill_area_7` varchar(50) DEFAULT NULL,
  `qu_skill_number_7` varchar(10) DEFAULT NULL,
  `qu_skill_area_8` varchar(50) DEFAULT NULL,
  `qu_skill_number_8` varchar(10) DEFAULT NULL,
  `qu_skill_area_9` varchar(50) DEFAULT NULL,
  `qu_skill_number_9` varchar(10) DEFAULT NULL,
  `qu_skill_area_10` varchar(50) DEFAULT NULL,
  `qu_skill_number_10` varchar(10) DEFAULT NULL,
  `qu_cpid` int(11) DEFAULT '0',
  `qu_vaid` int(11) DEFAULT '0',
  PRIMARY KEY (`qu_id`),
  UNIQUE KEY `qu_queue_name` (`qu_queue_name`),
  KEY `qu_id` (`qu_id`),
  KEY `qu_vpbx_name` (`qu_vpbx_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_quick_dial`
--

DROP TABLE IF EXISTS `cw_quick_dial`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_quick_dial` (
  `qd_id` int(11) NOT NULL AUTO_INCREMENT,
  `qd_vpbx_name` varchar(50) NOT NULL,
  `qd_quickdial_code` varchar(10) NOT NULL,
  `qd_number` varchar(25) NOT NULL,
  PRIMARY KEY (`qd_id`),
  KEY `qd_vpbx_name` (`qd_vpbx_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_sbc_call_statistic`
--

DROP TABLE IF EXISTS `cw_sbc_call_statistic`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_sbc_call_statistic` (
  `cs_id` int(11) NOT NULL AUTO_INCREMENT,
  `cs_call_id` varchar(100) DEFAULT NULL,
  `cs_stream_type` varchar(25) DEFAULT NULL,
  `cs_codec` varchar(25) DEFAULT NULL,
  `cs_received_packets` int(11) DEFAULT '0',
  `cs_lost_packets` int(11) DEFAULT '0',
  `cs_packets_out_of_sequence` int(11) DEFAULT '0',
  `cs_bandwith` int(11) DEFAULT '0',
  `cs_jitter` varchar(25) DEFAULT NULL,
  `cs_codec_2` varchar(25) DEFAULT NULL,
  `cs_received_packets_2` int(11) DEFAULT '0',
  `cs_lost_packets_2` int(11) DEFAULT '0',
  `cs_packets_out_of_sequence_2` int(11) DEFAULT '0',
  `cs_bandwith_2` int(11) DEFAULT '0',
  `cs_jitter_2` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`cs_id`)
) ENGINE=InnoDB AUTO_INCREMENT=79 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_sbc_cdrs`
--

DROP TABLE IF EXISTS `cw_sbc_cdrs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_sbc_cdrs` (
  `sc_id` int(11) NOT NULL AUTO_INCREMENT,
  `sc_call_setup_time` datetime DEFAULT NULL,
  `sc_call_connected_time` datetime DEFAULT NULL,
  `sc_call_duration` varchar(25) DEFAULT NULL,
  `sc_from_uri` varchar(255) DEFAULT NULL,
  `sc_from_agent` varchar(255) DEFAULT NULL,
  `sc_source` varchar(100) DEFAULT NULL,
  `sc_source_ip` varchar(100) DEFAULT NULL,
  `sc_to_uri` varchar(255) DEFAULT NULL,
  `sc_destination` varchar(100) DEFAULT NULL,
  `sc_destination_ip` varchar(100) DEFAULT NULL,
  `sc_call_id` varchar(100) NOT NULL,
  `sc_last_response` varchar(255) DEFAULT NULL,
  `sc_pcap_location` varchar(255) DEFAULT NULL,
  `sc_pcap_location_2` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`sc_id`)
) ENGINE=InnoDB AUTO_INCREMENT=232 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_sbc_monitoring`
--

DROP TABLE IF EXISTS `cw_sbc_monitoring`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_sbc_monitoring` (
  `mo_id` int(11) NOT NULL AUTO_INCREMENT,
  `mo_monitor_active_registrations` tinyint(4) DEFAULT '0',
  `mo_monitor_failed_registrations` tinyint(4) DEFAULT '0',
  `mo_monitor_active_calls` tinyint(4) DEFAULT '0',
  `mo_monitor_call_attempts` tinyint(4) DEFAULT '0',
  `mo_monitor_call_quality` tinyint(4) DEFAULT '0',
  `mo_generate_pcap_sip` tinyint(4) DEFAULT '0',
  `mo_generate_pcap_rtp` tinyint(4) DEFAULT '0',
  `mo_pcap_file_path` varchar(255) DEFAULT NULL,
  `mo_pcap_network_path` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`mo_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_sbc_policy`
--

DROP TABLE IF EXISTS `cw_sbc_policy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_sbc_policy` (
  `sp_id` int(11) NOT NULL AUTO_INCREMENT,
  `sp_provider_or_cluster_name` varchar(50) NOT NULL,
  `sp_policy_rule_name` varchar(50) NOT NULL,
  `sp_direction` varchar(50) NOT NULL,
  `sp_apply_to_request` varchar(50) DEFAULT NULL,
  `sp_next_rule` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`sp_id`),
  KEY `sp_provider_or_cluster_name` (`sp_provider_or_cluster_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_sbc_settings`
--

DROP TABLE IF EXISTS `cw_sbc_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_sbc_settings` (
  `sbc_id` int(11) NOT NULL AUTO_INCREMENT,
  `sbc_stun_server` varchar(100) DEFAULT NULL,
  `sbc_media_port_from` int(11) DEFAULT '0',
  `sbc_media_port_to` int(11) DEFAULT '0',
  `sbc_media_gateway_on` tinyint(4) DEFAULT '1',
  `sbc_limit_rcv_packets` int(11) DEFAULT '0',
  `sbc_watch_period` int(11) DEFAULT '0',
  `sbc_watch_timeout` int(11) DEFAULT '0',
  `sbc_deny_period` smallint(6) DEFAULT '10',
  `sbc_block_re_invite_on` tinyint(4) DEFAULT '1',
  `sbc_debug_on` tinyint(4) DEFAULT '1',
  `sbc_debug_sip_on` tinyint(4) DEFAULT '1',
  `sbc_debug_odbc_on` tinyint(4) DEFAULT '1',
  `sbc_debug_media_on` tinyint(4) DEFAULT '0',
  `sbc_debug_threads_on` tinyint(4) DEFAULT '0',
  `sbc_web_portal_interface` varchar(50) NOT NULL,
  `sbc_syslog_server` varchar(100) DEFAULT NULL,
  `sbc_syslog_version` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`sbc_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_server_mode`
--

DROP TABLE IF EXISTS `cw_server_mode`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_server_mode` (
  `sm_id` int(11) NOT NULL AUTO_INCREMENT,
  `sm_server_ip` varchar(50) DEFAULT NULL,
  `sm_server_ip2` varchar(50) DEFAULT NULL,
  `sm_backup_mode` smallint(6) DEFAULT '0',
  `sm_synchronise_server` smallint(6) DEFAULT '0',
  `sm_rtp_threads` tinyint(4) DEFAULT '1',
  PRIMARY KEY (`sm_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_sip_response_code_count`
--

DROP TABLE IF EXISTS `cw_sip_response_code_count`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_sip_response_code_count` (
  `sr_id` int(11) NOT NULL AUTO_INCREMENT,
  `sr_sip_response_code` smallint(6) DEFAULT '0',
  `sr_count` int(11) DEFAULT '0',
  `sr_last_occurs` datetime DEFAULT NULL,
  `sr_description` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`sr_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_system`
--

DROP TABLE IF EXISTS `cw_system`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_system` (
  `sys_version` varchar(50) NOT NULL,
  `sys_update_server_ip` varchar(50) DEFAULT NULL,
  `sys_server_heartbeat` smallint(6) DEFAULT '1',
  `sys_path` varchar(50) DEFAULT NULL,
  `sys_server_version` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`sys_version`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_system_settings`
--

DROP TABLE IF EXISTS `cw_system_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_system_settings` (
  `ss_id` int(11) NOT NULL AUTO_INCREMENT,
  `ss_file_server_path` varchar(255) DEFAULT NULL,
  `ss_emergency_numbers` varchar(255) DEFAULT NULL,
  `ss_format_exclusion_list` varchar(255) DEFAULT NULL,
  `ss_special_days_1` varchar(128) DEFAULT NULL,
  `ss_special_days_2` varchar(128) DEFAULT NULL,
  `ss_use_enum` tinyint(4) DEFAULT '0',
  `ss_acb_sessions` tinyint(4) DEFAULT '5',
  `ss_acb_monitoring_minutes` tinyint(4) DEFAULT '30',
  `ss_acb_retry_after_minutes` tinyint(4) DEFAULT '5',
  `ss_acb_rings_on_originator` tinyint(4) DEFAULT '6',
  `ss_call_recording_code` varchar(10) DEFAULT NULL,
  `ss_call_jump_office_code` varchar(10) DEFAULT NULL,
  `ss_call_jump_mobile_code` varchar(10) DEFAULT NULL,
  `ss_call_jump_home_code` varchar(10) DEFAULT NULL,
  `ss_call_jump_vm_code` varchar(10) DEFAULT NULL,
  `ss_call_jump_any_number_code` varchar(10) DEFAULT NULL,
  `ss_call_jump_cancel_code` varchar(10) DEFAULT NULL,
  `ss_call_jump_timeout` tinyint(4) DEFAULT '15',
  `ss_call_park_code` varchar(10) DEFAULT NULL,
  `ss_stun_server` varchar(100) DEFAULT NULL,
  `ss_3pty_code` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`ss_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_time_zone`
--

DROP TABLE IF EXISTS `cw_time_zone`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_time_zone` (
  `tz_id` int(11) NOT NULL AUTO_INCREMENT,
  `tz_time_zone` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`tz_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_transit_rule`
--

DROP TABLE IF EXISTS `cw_transit_rule`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_transit_rule` (
  `tr_id` int(11) NOT NULL AUTO_INCREMENT,
  `tr_description` varchar(100) NOT NULL,
  `tr_start_range` varchar(50) DEFAULT NULL,
  `tr_end_range` varchar(50) DEFAULT NULL,
  `tr_time_zone` varchar(100) DEFAULT NULL,
  `tr_calling_party` varchar(50) DEFAULT NULL,
  `tr_length_cli` tinyint(4) DEFAULT '0',
  `tr_priority` tinyint(4) DEFAULT '0',
  `tr_recording_on` tinyint(4) DEFAULT '0',
  `tr_filter` smallint(6) DEFAULT '0',
  `tr_rings` tinyint(4) DEFAULT '0',
  `tr_except_from_numbers` varchar(100) DEFAULT NULL,
  `tr_only_calls_from_numbers` varchar(100) DEFAULT NULL,
  `tr_day_condition` smallint(6) DEFAULT '0',
  `tr_date_day_from` smallint(6) DEFAULT '0',
  `tr_date_month_from` smallint(6) DEFAULT '0',
  `tr_date_year_from` smallint(6) DEFAULT '0',
  `tr_date_day_to` smallint(6) DEFAULT '0',
  `tr_date_month_to` smallint(6) DEFAULT '0',
  `tr_date_year_to` smallint(6) DEFAULT '0',
  `tr_time_minute_from` smallint(6) DEFAULT '0',
  `tr_time_hour_from` smallint(6) DEFAULT '0',
  `tr_time_minute_to` smallint(6) DEFAULT '0',
  `tr_time_hour_to` smallint(6) DEFAULT '0',
  `tr_active` tinyint(4) DEFAULT '0',
  `tr_voice_mail_on` tinyint(4) DEFAULT '0',
  `tr_message_length` smallint(6) DEFAULT '0',
  `tr_attach_message` varchar(100) DEFAULT NULL,
  `tr_email_address` varchar(100) DEFAULT NULL,
  `tr_vm_announcement` varchar(100) DEFAULT NULL,
  `tr_deflection_on` tinyint(4) DEFAULT '0',
  `tr_def_greeting` varchar(100) DEFAULT NULL,
  `tr_def_error` varchar(100) DEFAULT NULL,
  `tr_def_connection` varchar(100) DEFAULT NULL,
  `tr_deflection_rule` varchar(100) DEFAULT NULL,
  `tr_owner` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`tr_id`),
  UNIQUE KEY `tr_description` (`tr_description`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_trunk_groups`
--

DROP TABLE IF EXISTS `cw_trunk_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_trunk_groups` (
  `trg_id` int(11) NOT NULL AUTO_INCREMENT,
  `trg_trunk_group_name` varchar(50) NOT NULL,
  `trg_sip_account` varchar(50) NOT NULL,
  `trg_provider_rule` varchar(50) NOT NULL,
  PRIMARY KEY (`trg_id`),
  UNIQUE KEY `trg_trunk_group_name` (`trg_trunk_group_name`),
  KEY `trg_sip_account` (`trg_sip_account`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_trunk_provider`
--

DROP TABLE IF EXISTS `cw_trunk_provider`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_trunk_provider` (
  `tp_id` int(11) NOT NULL AUTO_INCREMENT,
  `tp_provider_name` varchar(100) NOT NULL,
  `tp_interface_name` varchar(50) NOT NULL,
  `tp_allow_transit_calls` tinyint(4) DEFAULT '0',
  `tp_back_busy_trunk_period` smallint(6) DEFAULT '0',
  `tp_ip_address` varchar(50) NOT NULL,
  PRIMARY KEY (`tp_id`),
  UNIQUE KEY `tp_provider_name` (`tp_provider_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_trunk_provider_interfaces`
--

DROP TABLE IF EXISTS `cw_trunk_provider_interfaces`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_trunk_provider_interfaces` (
  `pi_id` int(11) NOT NULL AUTO_INCREMENT,
  `pi_interface_name` varchar(50) NOT NULL,
  `pi_interface` varchar(50) NOT NULL,
  `pi_external_ip_address` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`pi_id`),
  UNIQUE KEY `pt_interface_name` (`pi_interface_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_trunks`
--

DROP TABLE IF EXISTS `cw_trunks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_trunks` (
  `tr_id` int(11) NOT NULL AUTO_INCREMENT,
  `tr_trunk_name` varchar(50) NOT NULL,
  `tr_trunk` varchar(15) NOT NULL,
  `tr_country_code` varchar(10) DEFAULT NULL,
  `tr_area_code` varchar(10) DEFAULT NULL,
  `tr_trunk_number` varchar(15) DEFAULT NULL,
  `tr_default_user_port` varchar(10) DEFAULT NULL,
  `tr_country_code_prefix` varchar(10) DEFAULT NULL,
  `tr_area_code_prefix` varchar(10) DEFAULT NULL,
  `tr_user_port_length` int(11) DEFAULT '0',
  `tr_isdn_controller` varchar(5) DEFAULT NULL,
  `tr_charges_per_unit` varchar(10) DEFAULT NULL,
  `tr_always_dial_prefix_code` int(11) DEFAULT '0',
  `tr_use_trunk_only_in_t_groups` int(11) DEFAULT '0',
  PRIMARY KEY (`tr_id`),
  UNIQUE KEY `tr_trunk_name` (`tr_trunk_name`),
  UNIQUE KEY `tr_trunk` (`tr_trunk`),
  KEY `tr_id` (`tr_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_user_ports`
--

DROP TABLE IF EXISTS `cw_user_ports`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_user_ports` (
  `up_id` int(11) NOT NULL AUTO_INCREMENT,
  `up_name` varchar(50) DEFAULT NULL,
  `up_user_port` varchar(50) DEFAULT NULL,
  `up_password` varchar(50) DEFAULT NULL,
  `up_vpbx_name` varchar(50) DEFAULT NULL,
  `up_properties` varchar(50) DEFAULT NULL,
  `up_user_name` varchar(50) DEFAULT NULL,
  `up_forwarding` varchar(50) DEFAULT NULL,
  `up_lock_entry` varchar(50) DEFAULT NULL,
  `up_off_net_number` varchar(50) DEFAULT NULL,
  `up_user_port_pool` varchar(50) DEFAULT NULL,
  `up_server_ip` varchar(50) DEFAULT NULL,
  `up_logon_ip` varchar(50) DEFAULT NULL,
  `up_msn` varchar(16) DEFAULT NULL,
  `up_gatekeeper` varchar(50) DEFAULT NULL,
  `up_user_port_state` varchar(50) DEFAULT NULL,
  `up_fixed_gatekeeper` varchar(50) DEFAULT NULL,
  `up_group` varchar(50) DEFAULT NULL,
  `up_sip_account` varchar(50) DEFAULT NULL,
  `up_waiting_loop` varchar(50) DEFAULT NULL,
  `up_alerting_pool` varchar(50) DEFAULT NULL,
  `up_prefixes_plus` varchar(50) DEFAULT NULL,
  `up_forw_pool` varchar(50) DEFAULT NULL,
  `up_selected_restricted_prefixes` varchar(50) DEFAULT NULL,
  `up_selected_predial_code` varchar(50) DEFAULT NULL,
  `up_alerting_rings` varchar(5) DEFAULT NULL,
  `up_che_se` varchar(50) DEFAULT NULL,
  `up_credit` varchar(50) DEFAULT NULL,
  `up_charging_model` varchar(50) DEFAULT NULL,
  `up_buddy_list` varchar(50) DEFAULT NULL,
  `up_trunk_group` varchar(99) DEFAULT NULL,
  `up_queue_preselection` varchar(50) DEFAULT NULL,
  `up_outgoing_pool` varchar(100) DEFAULT NULL,
  `up_area_code` varchar(10) DEFAULT NULL,
  `up_time_zone` varchar(100) DEFAULT NULL,
  `up_cc_provider` varchar(100) DEFAULT NULL,
  `up_outgoing_cli` varchar(50) DEFAULT NULL,
  `up_call_jump_mobile_nr` varchar(50) DEFAULT NULL,
  `up_call_jump_home_nr` varchar(50) DEFAULT NULL,
  `up_page_heading` varchar(255) NOT NULL,
  `up_cpid` int(11) DEFAULT '0',
  `up_vaid` int(11) DEFAULT '0',
  `up_first_name` varchar(40) DEFAULT NULL,
  `up_last_name` varchar(75) DEFAULT NULL,
  `up_user_level` tinyint(4) DEFAULT '0',
  `up_user_port_type` int(11) DEFAULT '0',
  `up_agent_state` tinyint(4) DEFAULT '1',
  PRIMARY KEY (`up_id`),
  UNIQUE KEY `up_name` (`up_name`),
  UNIQUE KEY `up_user_port` (`up_user_port`),
  UNIQUE KEY `up_off_net_number` (`up_off_net_number`),
  KEY `up_area_code` (`up_area_code`),
  KEY `up_msn` (`up_msn`),
  KEY `up_id` (`up_id`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_voice_mail`
--

DROP TABLE IF EXISTS `cw_voice_mail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_voice_mail` (
  `vm_id` int(11) NOT NULL AUTO_INCREMENT,
  `vm_smtp_sender` varchar(100) DEFAULT NULL,
  `vm_smtp_server` varchar(100) DEFAULT NULL,
  `vm_voice_mail_ddi` varchar(25) DEFAULT NULL,
  `vm_voice_mail_message` varchar(250) DEFAULT NULL,
  `vm_voice_mail_filename` varchar(50) DEFAULT NULL,
  `vm_voice_mail_file_size` int(11) DEFAULT '0',
  `vm_save_single_voice_mail_file` tinyint(4) DEFAULT '0',
  `vm_delete_voice_mail_after_sending` tinyint(4) DEFAULT '0',
  `vm_wave_file_path` varchar(255) DEFAULT NULL,
  `vm_smtp_user_name` varchar(100) DEFAULT NULL,
  `vm_smtp_password` varchar(100) DEFAULT NULL,
  `vm_smtp_use_ssl` smallint(6) DEFAULT '0',
  `vm_reroute_dtmf` tinyint(4) DEFAULT '0',
  `vm_smtp_port` smallint(6) DEFAULT '25',
  PRIMARY KEY (`vm_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_vpbx`
--

DROP TABLE IF EXISTS `cw_vpbx`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_vpbx` (
  `vpbx_id` int(11) NOT NULL AUTO_INCREMENT,
  `vpbx_vpbx_name` varchar(50) NOT NULL,
  `vpbx_lcr_active` tinyint(4) DEFAULT '0',
  `vpbx_project_places` int(11) DEFAULT '0',
  `vpbx_create_cdrs` tinyint(4) DEFAULT '0',
  `vpbx_answer_after` int(11) DEFAULT '0',
  `vpbx_release_after` int(11) DEFAULT '5',
  `vpbx_remove_project_id` tinyint(4) DEFAULT '0',
  `vpbx_suppress_number` tinyint(4) DEFAULT '0',
  `vpbx_pstn_access` varchar(10) DEFAULT NULL,
  `vpbx_waiting_loop_name` varchar(50) DEFAULT NULL,
  `vpbx_trunk` varchar(15) DEFAULT NULL,
  `vpbx_calling_party_presentation` varchar(50) DEFAULT NULL,
  `vpbx_announcement_name` varchar(50) DEFAULT NULL,
  `vpbx_groups` varchar(200) DEFAULT NULL,
  `vpbx_moh_name` varchar(50) DEFAULT NULL,
  `vpbx_trunk_group_name` varchar(50) DEFAULT NULL,
  `vpbx_in_dial_range` varchar(200) DEFAULT NULL,
  `vpbx_vpbx_group_name` varchar(50) DEFAULT NULL,
  `vpbx_vpbx_hard_partitioning` tinyint(4) DEFAULT '1',
  `vpbx_vpbx_show_the_full_number` tinyint(4) DEFAULT '1',
  `vpbx_auto_attendant_greeting_name` varchar(50) DEFAULT NULL,
  `vpbx_auto_attendant_error_name` varchar(50) DEFAULT NULL,
  `vpbx_auto_attendant_connecting_name` varchar(50) DEFAULT NULL,
  `vpbx_auto_attendant_ddis` varchar(100) DEFAULT NULL,
  `vpbx_auto_attendant_default_port` varchar(10) DEFAULT NULL,
  `vpbx_auto_attendant_active` tinyint(4) DEFAULT '0',
  `vpbx_disa_greeting_name` varchar(50) DEFAULT NULL,
  `vpbx_disa_ddis` varchar(100) DEFAULT NULL,
  `vpbx_disa_active` tinyint(4) DEFAULT '0',
  `vpbx_cpid` int(11) DEFAULT '0',
  `vpbx_vaid` int(11) DEFAULT '0',
  `vpbx_time_zone` varchar(100) DEFAULT NULL,
  `vpbx_paging_ddi` varchar(100) DEFAULT NULL,
  `vpbx_paging_greeting` varchar(50) DEFAULT NULL,
  `vpbx_paging_error_message` varchar(50) DEFAULT NULL,
  `vpbx_paging_black_list` varchar(255) DEFAULT NULL,
  `vpbx_voice_mail_ddi` varchar(50) DEFAULT NULL,
  `vpbx_cc_provider` varchar(100) DEFAULT NULL,
  `vpbx_reroute_dtmf` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`vpbx_id`),
  UNIQUE KEY `vpbx_vpbx_name` (`vpbx_vpbx_name`),
  KEY `vpbx_vpbx_group_name` (`vpbx_vpbx_group_name`),
  KEY `vpbx_trunk_group_name` (`vpbx_trunk_group_name`),
  KEY `vpbx_trunk` (`vpbx_trunk`),
  KEY `vpbx_id` (`vpbx_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_vpbx_groups`
--

DROP TABLE IF EXISTS `cw_vpbx_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_vpbx_groups` (
  `vpbxg_id` int(11) NOT NULL AUTO_INCREMENT,
  `vpbxg_vpbx_group_name` varchar(50) NOT NULL,
  `vpbxg_vpbx_name` varchar(50) NOT NULL,
  PRIMARY KEY (`vpbxg_id`),
  KEY `vpbxg_vpbx_group_name` (`vpbxg_vpbx_group_name`),
  KEY `vpbxg_vpbx_name` (`vpbxg_vpbx_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_vpn`
--

DROP TABLE IF EXISTS `cw_vpn`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_vpn` (
  `vpn_id` int(11) NOT NULL AUTO_INCREMENT,
  `vpn_vpbx_name` varchar(50) NOT NULL,
  `vpn_vpn_code` varchar(10) NOT NULL,
  `vpn_number` varchar(25) NOT NULL,
  PRIMARY KEY (`vpn_id`),
  KEY `vpn_vpbx_name` (`vpn_vpbx_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_wave_files`
--

DROP TABLE IF EXISTS `cw_wave_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_wave_files` (
  `wf_id` int(11) NOT NULL AUTO_INCREMENT,
  `wf_wavefile_name` varchar(50) NOT NULL,
  `wf_complete_path` varchar(255) NOT NULL,
  `wf_cpid` int(11) DEFAULT '0',
  `wf_vaid` int(11) DEFAULT '0',
  PRIMARY KEY (`wf_id`),
  UNIQUE KEY `wf_wavefile_name` (`wf_wavefile_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_white_list`
--

DROP TABLE IF EXISTS `cw_white_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_white_list` (
  `wl_id` int(11) NOT NULL AUTO_INCREMENT,
  `wl_ip_address` varchar(50) NOT NULL,
  `wl_description` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`wl_id`),
  UNIQUE KEY `wl_ip_address` (`wl_ip_address`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Current Database: `cw-cdr`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `cw-cdr` /*!40100 DEFAULT CHARACTER SET latin1 */;

USE `cw-cdr`;

--
-- Table structure for table `allocated_numbers`
--

DROP TABLE IF EXISTS `allocated_numbers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `allocated_numbers` (
  `pool_id` int(11) DEFAULT NULL,
  `phone_number` varchar(11) NOT NULL DEFAULT '',
  `order_number` int(11) DEFAULT NULL,
  `used_flag` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`phone_number`),
  KEY `order_number` (`order_number`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cdr`
--

DROP TABLE IF EXISTS `cdr`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cdr` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sequencenumber` bigint(15) DEFAULT NULL,
  `username` varchar(50) DEFAULT NULL,
  `callingnumber` varchar(50) DEFAULT NULL,
  `vpbxname` varchar(50) DEFAULT NULL,
  `startdate` varchar(50) DEFAULT NULL,
  `starttime` varchar(50) DEFAULT NULL,
  `callednumber` varchar(50) DEFAULT NULL,
  `duration` int(11) DEFAULT NULL,
  `amount` float DEFAULT '0',
  `calltype` tinyint(2) unsigned DEFAULT NULL,
  `trunkrouteprovider` varchar(50) DEFAULT NULL,
  `serveridname` varchar(100) DEFAULT NULL,
  `timestamp` bigint(16) DEFAULT NULL,
  `region_id` int(6) DEFAULT NULL,
  `known_service` tinyint(1) DEFAULT NULL,
  `c_cost` float DEFAULT NULL,
  `c_type` tinyint(1) DEFAULT NULL,
  `UserDate` varchar(45) DEFAULT NULL,
  `UserTime` varchar(45) DEFAULT NULL,
  `TimeZone` varchar(45) DEFAULT NULL,
  `ExCallType` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id_UNIQUE` (`id`),
  KEY `timestamp_INDEX` (`timestamp`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_allocation`
--

DROP TABLE IF EXISTS `cw_allocation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_allocation` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `service_id` int(11) NOT NULL,
  `pool_id` int(11) NOT NULL,
  `number` varchar(20) NOT NULL,
  `locked` varchar(32) NOT NULL,
  `iax` int(1) NOT NULL DEFAULT '0',
  `created` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `number` (`number`),
  KEY `sid` (`service_id`),
  KEY `pool` (`pool_id`)
) ENGINE=MyISAM AUTO_INCREMENT=14430 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_call_rates`
--

DROP TABLE IF EXISTS `cw_call_rates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_call_rates` (
  `call_rate_id` int(11) NOT NULL AUTO_INCREMENT,
  `region_id` int(11) NOT NULL,
  `provider` int(11) unsigned NOT NULL,
  `plan` int(11) unsigned NOT NULL,
  `rate` float(12,4) NOT NULL DEFAULT '0.0000',
  `flagfall` float(12,4) NOT NULL DEFAULT '0.0000',
  `min_cost` float(12,4) NOT NULL DEFAULT '0.0000',
  PRIMARY KEY (`call_rate_id`),
  KEY `idx_call_rates_i1` (`region_id`),
  CONSTRAINT `cw_call_rates_ibfk_1` FOREIGN KEY (`region_id`) REFERENCES `t_regions` (`region_id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_inc_trunks`
--

DROP TABLE IF EXISTS `cw_inc_trunks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_inc_trunks` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name_UNIQUE` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_pools`
--

DROP TABLE IF EXISTS `cw_pools`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_pools` (
  `pid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `first` varchar(20) NOT NULL,
  `last` varchar(20) NOT NULL,
  `pool` varchar(80) NOT NULL,
  `flag` tinyint(1) NOT NULL,
  PRIMARY KEY (`pid`),
  KEY `flag` (`flag`)
) ENGINE=MyISAM AUTO_INCREMENT=94 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_prepaid`
--

DROP TABLE IF EXISTS `cw_prepaid`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_prepaid` (
  `uid` int(11) NOT NULL,
  `balance` float(8,3) NOT NULL DEFAULT '0.000',
  `notified` tinyint(1) NOT NULL DEFAULT '0',
  `updated` int(20) NOT NULL,
  `alert` tinyint(1) NOT NULL,
  `last_recharge` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`uid`),
  UNIQUE KEY `uid` (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_prepaid_ledger`
--

DROP TABLE IF EXISTS `cw_prepaid_ledger`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_prepaid_ledger` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT NULL,
  `service_id` int(11) DEFAULT NULL,
  `created` bigint(16) DEFAULT NULL,
  `type` enum('call','credit','cctransaction','mtransaction','adjustment') DEFAULT NULL,
  `cdr_id` int(11) DEFAULT NULL,
  `amount` float(8,3) DEFAULT NULL,
  `balance` float(8,3) DEFAULT NULL,
  `description` varchar(155) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`root`@`localhost`*/ /*!50003 TRIGGER `bi_cw_prepaid_ledger` BEFORE INSERT ON `cw_prepaid_ledger` FOR EACH ROW BEGIN

DECLARE v_oldbalance FLOAT(8,3);
DECLARE v_newbalance FLOAT(8,3);
set NEW.created = UNIX_TIMESTAMP();
set v_oldbalance = (SELECT balance FROM cw_prepaid WHERE uid = NEW.user_id);
set v_newbalance = NEW.amount + v_oldbalance;
SET NEW.balance = v_newbalance;
IF NEW.user_id = '3'
THEN
UPDATE cw_prepaid SET balance = NEW.balance WHERE uid = 3;
END IF;


END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `cw_provider`
--

DROP TABLE IF EXISTS `cw_provider`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_provider` (
  `pid` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(80) NOT NULL DEFAULT '',
  `domain` varchar(80) NOT NULL,
  `gst_included` tinyint(1) NOT NULL,
  PRIMARY KEY (`pid`)
) ENGINE=MyISAM AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_service`
--

DROP TABLE IF EXISTS `cw_service`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_service` (
  `service_id` int(11) NOT NULL,
  `provider_id` int(11) unsigned NOT NULL DEFAULT '0',
  `plan_id` int(11) unsigned NOT NULL DEFAULT '0',
  `user_id` int(11) unsigned NOT NULL DEFAULT '0',
  `service_type` enum('vpbx-extension','voip-residential','vpbx-autoattendant') DEFAULT NULL,
  `password` varchar(20) NOT NULL DEFAULT '',
  `status` tinyint(1) NOT NULL DEFAULT '0',
  `fairuse_intl` mediumint(10) NOT NULL DEFAULT '21600',
  PRIMARY KEY (`service_id`),
  KEY `service_uid` (`user_id`),
  KEY `service_provider` (`provider_id`),
  KEY `service_plan` (`plan_id`),
  KEY `service_prepaid_status` (`status`)
) ENGINE=MyISAM AUTO_INCREMENT=204861 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_service_fairuse`
--

DROP TABLE IF EXISTS `cw_service_fairuse`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_service_fairuse` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `service_id` bigint(10) NOT NULL,
  `intl_duration` bigint(10) DEFAULT NULL,
  `intl_alert` bigint(10) DEFAULT '0',
  `a_count` int(5) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `service_id_UNIQUE` (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_vpbx`
--

DROP TABLE IF EXISTS `cw_vpbx`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_vpbx` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `vpbx_name` varchar(45) DEFAULT NULL,
  `trunk` varchar(45) DEFAULT NULL,
  `s_range` varchar(45) DEFAULT NULL,
  `e_range` varchar(45) DEFAULT NULL,
  `other` varchar(45) DEFAULT NULL,
  `default` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `l_processed`
--

DROP TABLE IF EXISTS `l_processed`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `l_processed` (
  `setting` varchar(20) NOT NULL,
  `value` bigint(25) DEFAULT NULL,
  PRIMARY KEY (`setting`),
  UNIQUE KEY `setting_UNIQUE` (`setting`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `provider_routes`
--

DROP TABLE IF EXISTS `provider_routes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `provider_routes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(45) NOT NULL,
  `status` varchar(45) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name_UNIQUE` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_call_rates`
--

DROP TABLE IF EXISTS `t_call_rates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_call_rates` (
  `call_rate_id` int(11) NOT NULL AUTO_INCREMENT,
  `region_id` int(11) NOT NULL,
  `rate_1` float(12,4) NOT NULL DEFAULT '0.0000',
  `flagfall` float(12,4) NOT NULL DEFAULT '0.0000',
  `min_cost` float(12,4) NOT NULL DEFAULT '0.0000',
  PRIMARY KEY (`call_rate_id`),
  KEY `idx_call_rates_i1` (`region_id`),
  CONSTRAINT `t_call_rates_ibfk_1` FOREIGN KEY (`region_id`) REFERENCES `t_regions` (`region_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_prefixes`
--

DROP TABLE IF EXISTS `t_prefixes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_prefixes` (
  `prefix_id` int(11) NOT NULL AUTO_INCREMENT,
  `region_id` int(11) NOT NULL,
  `prefix` varchar(20) NOT NULL,
  PRIMARY KEY (`prefix_id`),
  UNIQUE KEY `idx_prefixes_i2` (`prefix`),
  KEY `idx_prefixes_i1` (`region_id`),
  CONSTRAINT `t_prefixes_ibfk_1` FOREIGN KEY (`region_id`) REFERENCES `t_regions` (`region_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_regions`
--

DROP TABLE IF EXISTS `t_regions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_regions` (
  `region_id` int(11) NOT NULL AUTO_INCREMENT,
  `region_name` varchar(80) NOT NULL,
  `iso` varchar(2) DEFAULT NULL,
  PRIMARY KEY (`region_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `test_ips`
--

DROP TABLE IF EXISTS `test_ips`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `test_ips` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ip` varchar(45) DEFAULT NULL,
  `type` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `test_journal`
--

DROP TABLE IF EXISTS `test_journal`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `test_journal` (
  `idtest journal` int(11) NOT NULL AUTO_INCREMENT,
  `message` varchar(300) DEFAULT NULL,
  PRIMARY KEY (`idtest journal`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`cwbilling`@`%`*/ /*!50003 TRIGGER `bi_test_journal` BEFORE INSERT ON `test_journal` FOR EACH ROW BEGIN

DECLARE v_currentdate VARCHAR(11);
DECLARE v_currenttime VARCHAR(11);

DECLARE v_hour VARCHAR(2);
DECLARE v_week VARCHAR(2);
DECLARE v_day VARCHAR(1);
DECLARE v_min VARCHAR(2);
DECLARE v_t_id VARCHAR(12);
DECLARE v_dhm VARCHAR(4);

DECLARE v_TEMP1 VARCHAR(255);
DECLARE v_TEMP2 VARCHAR(255);
DECLARE v_TEMP3 VARCHAR(255);

DECLARE v_ip VARCHAR(12);
DECLARE v_state VARCHAR(25);
DECLARE v_callednumber VARCHAR(25);

DECLARE v_failed_out INT(1);
DECLARE v_failed_in INT(1);
DECLARE v_noansw_out INT(1);
DECLARE v_noansw_in INT(1);
DECLARE v_busy_out INT(1);
DECLARE v_busy_in INT(1);
DECLARE v_aus_out INT(1);
DECLARE v_intl_out INT(1);
DECLARE v_inc INT(1);
DECLARE v_resi_out INT(1);
DECLARE v_host_out INT(1);
DECLARE v_app_out INT(1);
DECLARE v_duration_out INT(11);
DECLARE v_duration_in INT(11);


SET v_busy_out = 0;
SET v_busy_in = 0;
SET v_noansw_out = 0;
SET v_noansw_in = 0;
SET v_failed_out = 0;
SET v_failed_in = 0;
SET v_aus_out = 0;
SET v_intl_out = 0;
SET v_inc = 0;
SET v_resi_out = 0;
SET v_app_out = 0;
SET v_host_out = 0;
SET v_duration_out = 0;
SET v_duration_in = 0;

SET v_currentdate = current_date();
SET v_currenttime = current_time();
SET v_week = week(current_date());
SET v_day = Dayofweek(current_date());
SET v_hour = substr(v_currenttime, 1,2);
SET v_min = substr(v_currenttime, 4,2);

IF v_min <= 14 THEN SET v_min = 0;
    ELSEIF v_min <= 29 THEN SET v_min = 1;
    ELSEIF v_min <= 44 THEN SET v_min = 2;
    ELSEIF v_min <= 59 THEN SET v_min = 3;
END IF;

SET v_t_id = concat(v_week,v_day,v_hour,v_min);
SET v_dhm = concat(v_day,v_hour,v_min);

SET v_TEMP1 = substr(new.message, fn_get_separator_pos(new.message,10,';')+1, length(new.message)-fn_get_separator_pos(new.message,10,';'));
IF INSTR(v_TEMP1, '/') > 0 THEN
    SET v_ip = trim(substr(v_TEMP1, fn_get_separator_pos(v_TEMP1,1,'/')+1, length(v_TEMP1)-fn_get_separator_pos(v_TEMP1,1,'/')));
    ELSE
    SET v_ip = trim(v_TEMP1);
END IF;
SET v_TEMP1 = substr(new.message,fn_get_separator_pos(new.message,3,';')+1,fn_get_separator_pos(new.message,4,';')-fn_get_separator_pos(new.message,3,';')-1); 
SET v_TEMP2 = (substr(v_TEMP1, 1, fn_get_separator_pos(v_TEMP1,1,':')-1) * 60) + (substr(v_TEMP1, fn_get_separator_pos(v_TEMP1,1,':')+1, 2));
SET v_callednumber = substr(new.message,fn_get_separator_pos(new.message,9,';')+1,fn_get_separator_pos(new.message,10,';')-fn_get_separator_pos(new.message,9,';')-1);
SET v_state = trim(substr(new.message,fn_get_separator_pos(new.message,6,';')+1,fn_get_separator_pos(new.message,7,';')-fn_get_separator_pos(new.message,6,';')-1));

SET v_TEMP3 = (SELECT type FROM test_ips WHERE ip = v_ip);
IF v_TEMP3 = 'in' THEN
        IF INSTR(v_state, 'unavailable') > 0 THEN
                SET v_failed_in = 1;
            ELSEIF INSTR(v_state, 'busy') > 0 THEN
                SET v_busy_in = 1;
            ELSEIF INSTR(v_state, 'no answer') > 0 THEN
                SET v_noansw_in = 1;
            ELSEIF INSTR(v_state, 'transit forwarded') > 0 THEN
                SET v_inc = 1;
                SET v_duration_in = v_TEMP2;
        END IF;
    ELSE
            IF INSTR(v_state, 'unavailable') > 0 THEN
                    SET v_failed_out = 1;
                ELSEIF INSTR(v_state, 'busy') > 0 THEN
                    SET v_busy_out = 1;
                ELSEIF INSTR(v_state, 'no answer') > 0 THEN
                    SET v_noansw_out = 1;
                ELSEIF INSTR(v_state, 'transit forwarded') > 0 THEN
                    SET v_duration_out = v_TEMP2;
                    IF v_TEMP3 = 'resi' THEN
                            SET v_resi_out = 1;
                        ELSEIF v_TEMP3 = 'app' THEN
                            SET v_app_out = 1;
                        ELSEIF v_TEMP3 = 'host' THEN
                            SET v_host_out = 1;
                    END IF;
                    SET v_TEMP2 = fn_normalize_number(v_callednumber);
                    IF substr(v_TEMP2,1,2) = '61' THEN
                        SET v_aus_out = 1;
                    ELSE
                        SET v_intl_out = 1;
                    END IF;
            END IF;    
    
END IF;
        

set new.message = v_state;


INSERT INTO `cw-cdr`.`test_stats` (`id`, `week`, `day`, `hour`, `min`, `intl_out`, `aus_out`, `failed_out`, `failed_in`,  `busy_out`, `busy_in`, `noansw_out`,`noansw_in`, `resi_out`, `host_out`, `app_out`, `inc`, `duration_out`,`duration_in`,  `t_id`, `dhm`) 
VALUES (NULL, v_week, v_day, v_hour, v_min, v_intl_out, v_aus_out, v_failed_out,v_failed_in, v_busy_out,v_busy_in,v_noansw_out,v_noansw_in, v_resi_out, v_host_out, v_app_out, v_inc, v_duration_out,v_duration_in, v_t_id, v_dhm)
ON DUPLICATE KEY UPDATE intl_out = intl_out + v_intl_out,
aus_out = aus_out + v_aus_out, 
failed_out = failed_out + v_failed_out, 
failed_in = failed_in + v_failed_in, 
busy_out = busy_out + v_busy_out, 
busy_in = busy_in + v_busy_in,
noansw_out = noansw_out + v_noansw_out,
noansw_in = noansw_in + v_noansw_in,
resi_out = resi_out+v_resi_out, 
host_out=host_out+v_host_out, 
app_out=app_out+v_app_out, 
inc = inc + v_inc,
duration_out = duration_out + v_duration_out,
duration_in = duration_in + v_duration_in;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `test_stats`
--

DROP TABLE IF EXISTS `test_stats`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `test_stats` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `week` int(2) DEFAULT NULL,
  `day` int(2) DEFAULT NULL,
  `hour` int(2) DEFAULT NULL,
  `min` int(2) DEFAULT NULL,
  `intl_out` int(5) DEFAULT NULL,
  `aus_out` int(5) DEFAULT NULL,
  `failed_out` int(5) DEFAULT NULL,
  `failed_in` int(5) DEFAULT NULL,
  `busy_out` int(5) DEFAULT NULL,
  `busy_in` int(5) DEFAULT NULL,
  `noansw_out` int(5) DEFAULT NULL,
  `noansw_in` int(5) DEFAULT NULL,
  `resi_out` int(5) DEFAULT NULL,
  `host_out` int(5) DEFAULT NULL,
  `app_out` int(5) DEFAULT NULL,
  `inc` int(5) DEFAULT NULL,
  `duration_out` int(10) DEFAULT NULL,
  `duration_in` int(10) DEFAULT NULL,
  `t_id` varchar(45) DEFAULT NULL,
  `dhm` varchar(4) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `t_id_UNIQUE` (`t_id`),
  KEY `idtest_stats` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `vixnet_contact`
--

DROP TABLE IF EXISTS `vixnet_contact`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vixnet_contact` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `item` varchar(55) NOT NULL,
  `value` varchar(55) NOT NULL,
  `customer_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `customer_id` (`customer_id`),
  KEY `item` (`item`),
  CONSTRAINT `vixnet_contact_ibfk_1` FOREIGN KEY (`customer_id`) REFERENCES `vixnet_customer` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `vixnet_customer`
--

DROP TABLE IF EXISTS `vixnet_customer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vixnet_customer` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `provider_id` int(11) NOT NULL,
  `partner_id` int(11) NOT NULL,
  `ts_created` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `provider_id` (`provider_id`,`partner_id`),
  CONSTRAINT `vixnet_customer_ibfk_1` FOREIGN KEY (`provider_id`) REFERENCES `vixnet_provider` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `vixnet_provider`
--

DROP TABLE IF EXISTS `vixnet_provider`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vixnet_provider` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(55) NOT NULL,
  `domain` varchar(55) NOT NULL,
  `password` varchar(25) DEFAULT NULL,
  `active` int(11) NOT NULL,
  `gst_included` int(11) NOT NULL,
  `logo` blob NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `vixnet_service`
--

DROP TABLE IF EXISTS `vixnet_service`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `vixnet_service` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `customer_id` int(11) NOT NULL,
  `plan_id` int(11) NOT NULL,
  `active` tinyint(1) NOT NULL,
  `suspended` int(11) NOT NULL,
  `type` enum('voip-residential','voip-vpbx-extension','voip-vpbx','voip-vpbx-autoattendant','voip-vpbx-huntgroup') NOT NULL,
  `ts_created` int(11) NOT NULL,
  `next_plan_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `customer_id` (`customer_id`,`plan_id`,`type`),
  CONSTRAINT `vixnet_service_ibfk_1` FOREIGN KEY (`customer_id`) REFERENCES `vixnet_customer` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Current Database: `faxdb`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `faxdb` /*!40100 DEFAULT CHARACTER SET latin1 */;

USE `faxdb`;

--
-- Table structure for table `faxlog`
--

DROP TABLE IF EXISTS `faxlog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `faxlog` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `Date` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `FaxNumber` varchar(45) DEFAULT NULL,
  `Direction` varchar(45) DEFAULT NULL,
  `CallerNumber` varchar(45) DEFAULT NULL,
  `DestinationNumber` varchar(45) DEFAULT NULL,
  `Success` tinyint(4) DEFAULT NULL,
  `Pages` smallint(6) DEFAULT NULL,
  `File` varchar(100) DEFAULT NULL,
  `Location` varchar(25) DEFAULT NULL,
  `HangupDisposition` varchar(200) DEFAULT NULL,
  `HangupCause` varchar(100) DEFAULT NULL,
  `Reason` varchar(200) DEFAULT NULL,
  `UniqueID` varchar(45) DEFAULT NULL,
  `Emailed` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=530 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `faxmapping`
--

DROP TABLE IF EXISTS `faxmapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `faxmapping` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `faxnumber` varchar(45) DEFAULT NULL,
  `userport` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=14 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `faxnumbers`
--

DROP TABLE IF EXISTS `faxnumbers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `faxnumbers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `number` varchar(30) NOT NULL,
  `faxtoemail` tinyint(4) NOT NULL DEFAULT '0',
  `email` varchar(155) DEFAULT NULL,
  `status` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  UNIQUE KEY `number_UNIQUE` (`number`)
) ENGINE=MyISAM AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `inbox`
--

DROP TABLE IF EXISTS `inbox`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `inbox` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `faxnumber` varchar(45) DEFAULT NULL,
  `from` varchar(45) DEFAULT NULL,
  `pages` smallint(6) DEFAULT NULL,
  `file` varchar(100) DEFAULT NULL,
  `datetime` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1571 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `outbox`
--

DROP TABLE IF EXISTS `outbox`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `outbox` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `faxnumber` varchar(45) NOT NULL,
  `destination` varchar(45) NOT NULL,
  `file` varchar(100) NOT NULL,
  `status` varchar(45) DEFAULT NULL,
  `uniqueid` varchar(100) DEFAULT NULL,
  `retries` smallint(6) DEFAULT NULL,
  `datetime` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=76 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Current Database: `mysql`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `mysql` /*!40100 DEFAULT CHARACTER SET latin1 */;

USE `mysql`;

--
-- Table structure for table `columns_priv`
--

DROP TABLE IF EXISTS `columns_priv`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `columns_priv` (
  `Host` char(60) COLLATE utf8_bin NOT NULL DEFAULT '',
  `Db` char(64) COLLATE utf8_bin NOT NULL DEFAULT '',
  `User` char(32) COLLATE utf8_bin NOT NULL DEFAULT '',
  `Table_name` char(64) COLLATE utf8_bin NOT NULL DEFAULT '',
  `Column_name` char(64) COLLATE utf8_bin NOT NULL DEFAULT '',
  `Timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `Column_priv` set('Select','Insert','Update','References') CHARACTER SET utf8 NOT NULL DEFAULT '',
  PRIMARY KEY (`Host`,`Db`,`User`,`Table_name`,`Column_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='Column privileges';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `db`
--

DROP TABLE IF EXISTS `db`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `db` (
  `Host` char(60) COLLATE utf8_bin NOT NULL DEFAULT '',
  `Db` char(64) COLLATE utf8_bin NOT NULL DEFAULT '',
  `User` char(32) COLLATE utf8_bin NOT NULL DEFAULT '',
  `Select_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Insert_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Update_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Delete_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Create_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Drop_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Grant_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `References_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Index_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Alter_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Create_tmp_table_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Lock_tables_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Create_view_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Show_view_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Create_routine_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Alter_routine_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Execute_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Event_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Trigger_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  PRIMARY KEY (`Host`,`Db`,`User`),
  KEY `User` (`User`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='Database privileges';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `engine_cost`
--

DROP TABLE IF EXISTS `engine_cost`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `engine_cost` (
  `engine_name` varchar(64) NOT NULL,
  `device_type` int(11) NOT NULL,
  `cost_name` varchar(64) NOT NULL,
  `cost_value` float DEFAULT NULL,
  `last_update` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `comment` varchar(1024) DEFAULT NULL,
  PRIMARY KEY (`cost_name`,`engine_name`,`device_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 STATS_PERSISTENT=0;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `event`
--

DROP TABLE IF EXISTS `event`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `event` (
  `db` char(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `name` char(64) NOT NULL DEFAULT '',
  `body` longblob NOT NULL,
  `definer` char(77) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `execute_at` datetime DEFAULT NULL,
  `interval_value` int(11) DEFAULT NULL,
  `interval_field` enum('YEAR','QUARTER','MONTH','DAY','HOUR','MINUTE','WEEK','SECOND','MICROSECOND','YEAR_MONTH','DAY_HOUR','DAY_MINUTE','DAY_SECOND','HOUR_MINUTE','HOUR_SECOND','MINUTE_SECOND','DAY_MICROSECOND','HOUR_MICROSECOND','MINUTE_MICROSECOND','SECOND_MICROSECOND') DEFAULT NULL,
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `last_executed` datetime DEFAULT NULL,
  `starts` datetime DEFAULT NULL,
  `ends` datetime DEFAULT NULL,
  `status` enum('ENABLED','DISABLED','SLAVESIDE_DISABLED') NOT NULL DEFAULT 'ENABLED',
  `on_completion` enum('DROP','PRESERVE') NOT NULL DEFAULT 'DROP',
  `sql_mode` set('REAL_AS_FLOAT','PIPES_AS_CONCAT','ANSI_QUOTES','IGNORE_SPACE','NOT_USED','ONLY_FULL_GROUP_BY','NO_UNSIGNED_SUBTRACTION','NO_DIR_IN_CREATE','POSTGRESQL','ORACLE','MSSQL','DB2','MAXDB','NO_KEY_OPTIONS','NO_TABLE_OPTIONS','NO_FIELD_OPTIONS','MYSQL323','MYSQL40','ANSI','NO_AUTO_VALUE_ON_ZERO','NO_BACKSLASH_ESCAPES','STRICT_TRANS_TABLES','STRICT_ALL_TABLES','NO_ZERO_IN_DATE','NO_ZERO_DATE','INVALID_DATES','ERROR_FOR_DIVISION_BY_ZERO','TRADITIONAL','NO_AUTO_CREATE_USER','HIGH_NOT_PRECEDENCE','NO_ENGINE_SUBSTITUTION','PAD_CHAR_TO_FULL_LENGTH') NOT NULL DEFAULT '',
  `comment` char(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `originator` int(10) unsigned NOT NULL,
  `time_zone` char(64) CHARACTER SET latin1 NOT NULL DEFAULT 'SYSTEM',
  `character_set_client` char(32) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `collation_connection` char(32) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `db_collation` char(32) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `body_utf8` longblob,
  PRIMARY KEY (`db`,`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Events';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `func`
--

DROP TABLE IF EXISTS `func`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `func` (
  `name` char(64) COLLATE utf8_bin NOT NULL DEFAULT '',
  `ret` tinyint(1) NOT NULL DEFAULT '0',
  `dl` char(128) COLLATE utf8_bin NOT NULL DEFAULT '',
  `type` enum('function','aggregate') CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='User defined functions';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `gtid_executed`
--

DROP TABLE IF EXISTS `gtid_executed`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gtid_executed` (
  `source_uuid` char(36) NOT NULL COMMENT 'uuid of the source where the transaction was originally executed.',
  `interval_start` bigint(20) NOT NULL COMMENT 'First number of interval.',
  `interval_end` bigint(20) NOT NULL COMMENT 'Last number of interval.',
  PRIMARY KEY (`source_uuid`,`interval_start`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `help_category`
--

DROP TABLE IF EXISTS `help_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `help_category` (
  `help_category_id` smallint(5) unsigned NOT NULL,
  `name` char(64) NOT NULL,
  `parent_category_id` smallint(5) unsigned DEFAULT NULL,
  `url` text NOT NULL,
  PRIMARY KEY (`help_category_id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 STATS_PERSISTENT=0 COMMENT='help categories';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `help_keyword`
--

DROP TABLE IF EXISTS `help_keyword`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `help_keyword` (
  `help_keyword_id` int(10) unsigned NOT NULL,
  `name` char(64) NOT NULL,
  PRIMARY KEY (`help_keyword_id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 STATS_PERSISTENT=0 COMMENT='help keywords';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `help_relation`
--

DROP TABLE IF EXISTS `help_relation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `help_relation` (
  `help_topic_id` int(10) unsigned NOT NULL,
  `help_keyword_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`help_keyword_id`,`help_topic_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 STATS_PERSISTENT=0 COMMENT='keyword-topic relation';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `help_topic`
--

DROP TABLE IF EXISTS `help_topic`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `help_topic` (
  `help_topic_id` int(10) unsigned NOT NULL,
  `name` char(64) NOT NULL,
  `help_category_id` smallint(5) unsigned NOT NULL,
  `description` text NOT NULL,
  `example` text NOT NULL,
  `url` text NOT NULL,
  PRIMARY KEY (`help_topic_id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 STATS_PERSISTENT=0 COMMENT='help topics';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `innodb_index_stats`
--

DROP TABLE IF EXISTS `innodb_index_stats`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `innodb_index_stats` (
  `database_name` varchar(64) COLLATE utf8_bin NOT NULL,
  `table_name` varchar(64) COLLATE utf8_bin NOT NULL,
  `index_name` varchar(64) COLLATE utf8_bin NOT NULL,
  `last_update` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `stat_name` varchar(64) COLLATE utf8_bin NOT NULL,
  `stat_value` bigint(20) unsigned NOT NULL,
  `sample_size` bigint(20) unsigned DEFAULT NULL,
  `stat_description` varchar(1024) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`database_name`,`table_name`,`index_name`,`stat_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin STATS_PERSISTENT=0;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `innodb_table_stats`
--

DROP TABLE IF EXISTS `innodb_table_stats`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `innodb_table_stats` (
  `database_name` varchar(64) COLLATE utf8_bin NOT NULL,
  `table_name` varchar(64) COLLATE utf8_bin NOT NULL,
  `last_update` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `n_rows` bigint(20) unsigned NOT NULL,
  `clustered_index_size` bigint(20) unsigned NOT NULL,
  `sum_of_other_index_sizes` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`database_name`,`table_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin STATS_PERSISTENT=0;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ndb_binlog_index`
--

DROP TABLE IF EXISTS `ndb_binlog_index`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ndb_binlog_index` (
  `Position` bigint(20) unsigned NOT NULL,
  `File` varchar(255) NOT NULL,
  `epoch` bigint(20) unsigned NOT NULL,
  `inserts` int(10) unsigned NOT NULL,
  `updates` int(10) unsigned NOT NULL,
  `deletes` int(10) unsigned NOT NULL,
  `schemaops` int(10) unsigned NOT NULL,
  `orig_server_id` int(10) unsigned NOT NULL,
  `orig_epoch` bigint(20) unsigned NOT NULL,
  `gci` int(10) unsigned NOT NULL,
  `next_position` bigint(20) unsigned NOT NULL,
  `next_file` varchar(255) NOT NULL,
  PRIMARY KEY (`epoch`,`orig_server_id`,`orig_epoch`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `plugin`
--

DROP TABLE IF EXISTS `plugin`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `plugin` (
  `name` varchar(64) NOT NULL DEFAULT '',
  `dl` varchar(128) NOT NULL DEFAULT '',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 STATS_PERSISTENT=0 COMMENT='MySQL plugins';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `proc`
--

DROP TABLE IF EXISTS `proc`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `proc` (
  `db` char(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `name` char(64) NOT NULL DEFAULT '',
  `type` enum('FUNCTION','PROCEDURE') NOT NULL,
  `specific_name` char(64) NOT NULL DEFAULT '',
  `language` enum('SQL') NOT NULL DEFAULT 'SQL',
  `sql_data_access` enum('CONTAINS_SQL','NO_SQL','READS_SQL_DATA','MODIFIES_SQL_DATA') NOT NULL DEFAULT 'CONTAINS_SQL',
  `is_deterministic` enum('YES','NO') NOT NULL DEFAULT 'NO',
  `security_type` enum('INVOKER','DEFINER') NOT NULL DEFAULT 'DEFINER',
  `param_list` blob NOT NULL,
  `returns` longblob NOT NULL,
  `body` longblob NOT NULL,
  `definer` char(77) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `sql_mode` set('REAL_AS_FLOAT','PIPES_AS_CONCAT','ANSI_QUOTES','IGNORE_SPACE','NOT_USED','ONLY_FULL_GROUP_BY','NO_UNSIGNED_SUBTRACTION','NO_DIR_IN_CREATE','POSTGRESQL','ORACLE','MSSQL','DB2','MAXDB','NO_KEY_OPTIONS','NO_TABLE_OPTIONS','NO_FIELD_OPTIONS','MYSQL323','MYSQL40','ANSI','NO_AUTO_VALUE_ON_ZERO','NO_BACKSLASH_ESCAPES','STRICT_TRANS_TABLES','STRICT_ALL_TABLES','NO_ZERO_IN_DATE','NO_ZERO_DATE','INVALID_DATES','ERROR_FOR_DIVISION_BY_ZERO','TRADITIONAL','NO_AUTO_CREATE_USER','HIGH_NOT_PRECEDENCE','NO_ENGINE_SUBSTITUTION','PAD_CHAR_TO_FULL_LENGTH') NOT NULL DEFAULT '',
  `comment` text CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `character_set_client` char(32) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `collation_connection` char(32) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `db_collation` char(32) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `body_utf8` longblob,
  PRIMARY KEY (`db`,`name`,`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Stored Procedures';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `procs_priv`
--

DROP TABLE IF EXISTS `procs_priv`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `procs_priv` (
  `Host` char(60) COLLATE utf8_bin NOT NULL DEFAULT '',
  `Db` char(64) COLLATE utf8_bin NOT NULL DEFAULT '',
  `User` char(32) COLLATE utf8_bin NOT NULL DEFAULT '',
  `Routine_name` char(64) CHARACTER SET utf8 NOT NULL DEFAULT '',
  `Routine_type` enum('FUNCTION','PROCEDURE') COLLATE utf8_bin NOT NULL,
  `Grantor` char(77) COLLATE utf8_bin NOT NULL DEFAULT '',
  `Proc_priv` set('Execute','Alter Routine','Grant') CHARACTER SET utf8 NOT NULL DEFAULT '',
  `Timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`Host`,`Db`,`User`,`Routine_name`,`Routine_type`),
  KEY `Grantor` (`Grantor`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='Procedure privileges';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `proxies_priv`
--

DROP TABLE IF EXISTS `proxies_priv`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `proxies_priv` (
  `Host` char(60) COLLATE utf8_bin NOT NULL DEFAULT '',
  `User` char(32) COLLATE utf8_bin NOT NULL DEFAULT '',
  `Proxied_host` char(60) COLLATE utf8_bin NOT NULL DEFAULT '',
  `Proxied_user` char(32) COLLATE utf8_bin NOT NULL DEFAULT '',
  `With_grant` tinyint(1) NOT NULL DEFAULT '0',
  `Grantor` char(77) COLLATE utf8_bin NOT NULL DEFAULT '',
  `Timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`Host`,`User`,`Proxied_host`,`Proxied_user`),
  KEY `Grantor` (`Grantor`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='User proxy privileges';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `server_cost`
--

DROP TABLE IF EXISTS `server_cost`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `server_cost` (
  `cost_name` varchar(64) NOT NULL,
  `cost_value` float DEFAULT NULL,
  `last_update` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `comment` varchar(1024) DEFAULT NULL,
  PRIMARY KEY (`cost_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 STATS_PERSISTENT=0;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `servers`
--

DROP TABLE IF EXISTS `servers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `servers` (
  `Server_name` char(64) NOT NULL DEFAULT '',
  `Host` char(64) NOT NULL DEFAULT '',
  `Db` char(64) NOT NULL DEFAULT '',
  `Username` char(64) NOT NULL DEFAULT '',
  `Password` char(64) NOT NULL DEFAULT '',
  `Port` int(4) NOT NULL DEFAULT '0',
  `Socket` char(64) NOT NULL DEFAULT '',
  `Wrapper` char(64) NOT NULL DEFAULT '',
  `Owner` char(64) NOT NULL DEFAULT '',
  PRIMARY KEY (`Server_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 STATS_PERSISTENT=0 COMMENT='MySQL Foreign Servers table';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `slave_master_info`
--

DROP TABLE IF EXISTS `slave_master_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `slave_master_info` (
  `Number_of_lines` int(10) unsigned NOT NULL COMMENT 'Number of lines in the file.',
  `Master_log_name` text CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The name of the master binary log currently being read from the master.',
  `Master_log_pos` bigint(20) unsigned NOT NULL COMMENT 'The master log position of the last read event.',
  `Host` char(64) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT 'The host name of the master.',
  `User_name` text CHARACTER SET utf8 COLLATE utf8_bin COMMENT 'The user name used to connect to the master.',
  `User_password` text CHARACTER SET utf8 COLLATE utf8_bin COMMENT 'The password used to connect to the master.',
  `Port` int(10) unsigned NOT NULL COMMENT 'The network port used to connect to the master.',
  `Connect_retry` int(10) unsigned NOT NULL COMMENT 'The period (in seconds) that the slave will wait before trying to reconnect to the master.',
  `Enabled_ssl` tinyint(1) NOT NULL COMMENT 'Indicates whether the server supports SSL connections.',
  `Ssl_ca` text CHARACTER SET utf8 COLLATE utf8_bin COMMENT 'The file used for the Certificate Authority (CA) certificate.',
  `Ssl_capath` text CHARACTER SET utf8 COLLATE utf8_bin COMMENT 'The path to the Certificate Authority (CA) certificates.',
  `Ssl_cert` text CHARACTER SET utf8 COLLATE utf8_bin COMMENT 'The name of the SSL certificate file.',
  `Ssl_cipher` text CHARACTER SET utf8 COLLATE utf8_bin COMMENT 'The name of the cipher in use for the SSL connection.',
  `Ssl_key` text CHARACTER SET utf8 COLLATE utf8_bin COMMENT 'The name of the SSL key file.',
  `Ssl_verify_server_cert` tinyint(1) NOT NULL COMMENT 'Whether to verify the server certificate.',
  `Heartbeat` float NOT NULL,
  `Bind` text CHARACTER SET utf8 COLLATE utf8_bin COMMENT 'Displays which interface is employed when connecting to the MySQL server',
  `Ignored_server_ids` text CHARACTER SET utf8 COLLATE utf8_bin COMMENT 'The number of server IDs to be ignored, followed by the actual server IDs',
  `Uuid` text CHARACTER SET utf8 COLLATE utf8_bin COMMENT 'The master server uuid.',
  `Retry_count` bigint(20) unsigned NOT NULL COMMENT 'Number of reconnect attempts, to the master, before giving up.',
  `Ssl_crl` text CHARACTER SET utf8 COLLATE utf8_bin COMMENT 'The file used for the Certificate Revocation List (CRL)',
  `Ssl_crlpath` text CHARACTER SET utf8 COLLATE utf8_bin COMMENT 'The path used for Certificate Revocation List (CRL) files',
  `Enabled_auto_position` tinyint(1) NOT NULL COMMENT 'Indicates whether GTIDs will be used to retrieve events from the master.',
  `Channel_name` char(64) NOT NULL COMMENT 'The channel on which the slave is connected to a source. Used in Multisource Replication',
  PRIMARY KEY (`Channel_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 STATS_PERSISTENT=0 COMMENT='Master Information';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `slave_relay_log_info`
--

DROP TABLE IF EXISTS `slave_relay_log_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `slave_relay_log_info` (
  `Number_of_lines` int(10) unsigned NOT NULL COMMENT 'Number of lines in the file or rows in the table. Used to version table definitions.',
  `Relay_log_name` text CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The name of the current relay log file.',
  `Relay_log_pos` bigint(20) unsigned NOT NULL COMMENT 'The relay log position of the last executed event.',
  `Master_log_name` text CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The name of the master binary log file from which the events in the relay log file were read.',
  `Master_log_pos` bigint(20) unsigned NOT NULL COMMENT 'The master log position of the last executed event.',
  `Sql_delay` int(11) NOT NULL COMMENT 'The number of seconds that the slave must lag behind the master.',
  `Number_of_workers` int(10) unsigned NOT NULL,
  `Id` int(10) unsigned NOT NULL COMMENT 'Internal Id that uniquely identifies this record.',
  `Channel_name` char(64) NOT NULL COMMENT 'The channel on which the slave is connected to a source. Used in Multisource Replication',
  PRIMARY KEY (`Channel_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 STATS_PERSISTENT=0 COMMENT='Relay Log Information';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `slave_worker_info`
--

DROP TABLE IF EXISTS `slave_worker_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `slave_worker_info` (
  `Id` int(10) unsigned NOT NULL,
  `Relay_log_name` text CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `Relay_log_pos` bigint(20) unsigned NOT NULL,
  `Master_log_name` text CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `Master_log_pos` bigint(20) unsigned NOT NULL,
  `Checkpoint_relay_log_name` text CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `Checkpoint_relay_log_pos` bigint(20) unsigned NOT NULL,
  `Checkpoint_master_log_name` text CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `Checkpoint_master_log_pos` bigint(20) unsigned NOT NULL,
  `Checkpoint_seqno` int(10) unsigned NOT NULL,
  `Checkpoint_group_size` int(10) unsigned NOT NULL,
  `Checkpoint_group_bitmap` blob NOT NULL,
  `Channel_name` char(64) NOT NULL COMMENT 'The channel on which the slave is connected to a source. Used in Multisource Replication',
  PRIMARY KEY (`Channel_name`,`Id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 STATS_PERSISTENT=0 COMMENT='Worker Information';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tables_priv`
--

DROP TABLE IF EXISTS `tables_priv`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tables_priv` (
  `Host` char(60) COLLATE utf8_bin NOT NULL DEFAULT '',
  `Db` char(64) COLLATE utf8_bin NOT NULL DEFAULT '',
  `User` char(32) COLLATE utf8_bin NOT NULL DEFAULT '',
  `Table_name` char(64) COLLATE utf8_bin NOT NULL DEFAULT '',
  `Grantor` char(77) COLLATE utf8_bin NOT NULL DEFAULT '',
  `Timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `Table_priv` set('Select','Insert','Update','Delete','Create','Drop','Grant','References','Index','Alter','Create View','Show view','Trigger') CHARACTER SET utf8 NOT NULL DEFAULT '',
  `Column_priv` set('Select','Insert','Update','References') CHARACTER SET utf8 NOT NULL DEFAULT '',
  PRIMARY KEY (`Host`,`Db`,`User`,`Table_name`),
  KEY `Grantor` (`Grantor`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='Table privileges';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `time_zone`
--

DROP TABLE IF EXISTS `time_zone`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `time_zone` (
  `Time_zone_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Use_leap_seconds` enum('Y','N') NOT NULL DEFAULT 'N',
  PRIMARY KEY (`Time_zone_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 STATS_PERSISTENT=0 COMMENT='Time zones';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `time_zone_leap_second`
--

DROP TABLE IF EXISTS `time_zone_leap_second`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `time_zone_leap_second` (
  `Transition_time` bigint(20) NOT NULL,
  `Correction` int(11) NOT NULL,
  PRIMARY KEY (`Transition_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 STATS_PERSISTENT=0 COMMENT='Leap seconds information for time zones';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `time_zone_name`
--

DROP TABLE IF EXISTS `time_zone_name`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `time_zone_name` (
  `Name` char(64) NOT NULL,
  `Time_zone_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`Name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 STATS_PERSISTENT=0 COMMENT='Time zone names';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `time_zone_transition`
--

DROP TABLE IF EXISTS `time_zone_transition`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `time_zone_transition` (
  `Time_zone_id` int(10) unsigned NOT NULL,
  `Transition_time` bigint(20) NOT NULL,
  `Transition_type_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`Time_zone_id`,`Transition_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 STATS_PERSISTENT=0 COMMENT='Time zone transitions';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `time_zone_transition_type`
--

DROP TABLE IF EXISTS `time_zone_transition_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `time_zone_transition_type` (
  `Time_zone_id` int(10) unsigned NOT NULL,
  `Transition_type_id` int(10) unsigned NOT NULL,
  `Offset` int(11) NOT NULL DEFAULT '0',
  `Is_DST` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `Abbreviation` char(8) NOT NULL DEFAULT '',
  PRIMARY KEY (`Time_zone_id`,`Transition_type_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 STATS_PERSISTENT=0 COMMENT='Time zone transition types';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `user`
--

DROP TABLE IF EXISTS `user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user` (
  `Host` char(60) COLLATE utf8_bin NOT NULL DEFAULT '',
  `User` char(32) COLLATE utf8_bin NOT NULL DEFAULT '',
  `Select_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Insert_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Update_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Delete_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Create_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Drop_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Reload_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Shutdown_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Process_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `File_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Grant_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `References_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Index_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Alter_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Show_db_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Super_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Create_tmp_table_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Lock_tables_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Execute_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Repl_slave_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Repl_client_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Create_view_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Show_view_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Create_routine_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Alter_routine_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Create_user_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Event_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Trigger_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `Create_tablespace_priv` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `ssl_type` enum('','ANY','X509','SPECIFIED') CHARACTER SET utf8 NOT NULL DEFAULT '',
  `ssl_cipher` blob NOT NULL,
  `x509_issuer` blob NOT NULL,
  `x509_subject` blob NOT NULL,
  `max_questions` int(11) unsigned NOT NULL DEFAULT '0',
  `max_updates` int(11) unsigned NOT NULL DEFAULT '0',
  `max_connections` int(11) unsigned NOT NULL DEFAULT '0',
  `max_user_connections` int(11) unsigned NOT NULL DEFAULT '0',
  `plugin` char(64) COLLATE utf8_bin NOT NULL DEFAULT 'mysql_native_password',
  `authentication_string` text COLLATE utf8_bin,
  `password_expired` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  `password_last_changed` timestamp NULL DEFAULT NULL,
  `password_lifetime` smallint(5) unsigned DEFAULT NULL,
  `account_locked` enum('N','Y') CHARACTER SET utf8 NOT NULL DEFAULT 'N',
  PRIMARY KEY (`Host`,`User`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='Users and global privileges';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `general_log`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE IF NOT EXISTS `general_log` (
  `event_time` timestamp(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `user_host` mediumtext NOT NULL,
  `thread_id` bigint(21) unsigned NOT NULL,
  `server_id` int(10) unsigned NOT NULL,
  `command_type` varchar(64) NOT NULL,
  `argument` mediumblob NOT NULL
) ENGINE=CSV DEFAULT CHARSET=utf8 COMMENT='General log';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `slow_log`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE IF NOT EXISTS `slow_log` (
  `start_time` timestamp(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `user_host` mediumtext NOT NULL,
  `query_time` time(6) NOT NULL,
  `lock_time` time(6) NOT NULL,
  `rows_sent` int(11) NOT NULL,
  `rows_examined` int(11) NOT NULL,
  `db` varchar(512) NOT NULL,
  `last_insert_id` int(11) NOT NULL,
  `insert_id` int(11) NOT NULL,
  `server_id` int(10) unsigned NOT NULL,
  `sql_text` mediumblob NOT NULL,
  `thread_id` bigint(21) unsigned NOT NULL
) ENGINE=CSV DEFAULT CHARSET=utf8 COMMENT='Slow log';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Current Database: `sip_vpbx`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `sip_vpbx` /*!40100 DEFAULT CHARACTER SET latin1 */;

USE `sip_vpbx`;

--
-- Table structure for table `cw_agent_history`
--

DROP TABLE IF EXISTS `cw_agent_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_agent_history` (
  `ah_id` int(11) NOT NULL AUTO_INCREMENT,
  `ah_server_time` datetime DEFAULT NULL,
  `ah_user_time` datetime DEFAULT NULL,
  `ah_time_zone` varchar(100) DEFAULT NULL,
  `ah_vpbx` varchar(100) DEFAULT NULL,
  `ah_agent` varchar(50) DEFAULT NULL,
  `ah_state` varchar(25) DEFAULT NULL,
  `ah_action_by` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`ah_id`),
  KEY `ah_vpbx` (`ah_vpbx`),
  KEY `ah_agent` (`ah_agent`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_agents`
--

DROP TABLE IF EXISTS `cw_agents`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_agents` (
  `agn_id` int(11) NOT NULL AUTO_INCREMENT,
  `agn_name` varchar(50) NOT NULL,
  `agn_queue_name` varchar(50) NOT NULL,
  `agn_caller_group` varchar(50) DEFAULT NULL,
  `agn_priority` tinyint(4) NOT NULL DEFAULT '3',
  `agn_inbound` tinyint(4) DEFAULT '0',
  `agn_overflow` tinyint(4) DEFAULT '0',
  `agn_skill_group_1` tinyint(4) DEFAULT '0',
  `agn_skill_group_2` tinyint(4) DEFAULT '0',
  `agn_skill_group_3` tinyint(4) DEFAULT '0',
  `agn_skill_group_4` tinyint(4) DEFAULT '0',
  `agn_skill_group_5` tinyint(4) DEFAULT '0',
  `agn_skill_group_6` tinyint(4) DEFAULT '0',
  `agn_skill_group_7` tinyint(4) DEFAULT '0',
  `agn_skill_group_8` tinyint(4) DEFAULT '0',
  `agn_skill_group_9` tinyint(4) DEFAULT '0',
  `agn_skill_group_10` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`agn_id`),
  KEY `agn_name` (`agn_name`),
  KEY `agn_queue_name` (`agn_queue_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_alias`
--

DROP TABLE IF EXISTS `cw_alias`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_alias` (
  `al_id` int(11) NOT NULL AUTO_INCREMENT,
  `al_alias` varchar(50) NOT NULL,
  `al_user_port` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`al_id`),
  UNIQUE KEY `al_alias` (`al_alias`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_call_recording`
--

DROP TABLE IF EXISTS `cw_call_recording`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_call_recording` (
  `cr_id` int(11) NOT NULL AUTO_INCREMENT,
  `cr_name` varchar(50) NOT NULL,
  `cr_condition` smallint(6) DEFAULT '0',
  `cr_except_from_numbers` varchar(50) DEFAULT NULL,
  `cr_only_calls_from_numbers` varchar(50) DEFAULT NULL,
  `cr_greeting` varchar(50) DEFAULT NULL,
  `cr_day_condition` smallint(6) DEFAULT '0',
  `cr_date_day_from` smallint(6) DEFAULT '0',
  `cr_date_month_from` smallint(6) DEFAULT '0',
  `cr_date_year_from` smallint(6) DEFAULT '0',
  `cr_date_day_to` smallint(6) DEFAULT '0',
  `cr_date_month_to` smallint(6) DEFAULT '0',
  `cr_date_year_to` smallint(6) DEFAULT '0',
  `cr_time_minute_from` smallint(6) DEFAULT '0',
  `cr_time_hour_from` smallint(6) DEFAULT '0',
  `cr_time_minute_to` smallint(6) DEFAULT '0',
  `cr_time_hour_to` smallint(6) DEFAULT '0',
  `cr_active` smallint(6) DEFAULT '0',
  `cr_mg_ip_address` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`cr_id`),
  UNIQUE KEY `cr_name` (`cr_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_call_recording_history`
--

DROP TABLE IF EXISTS `cw_call_recording_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_call_recording_history` (
  `crh_id` int(11) NOT NULL AUTO_INCREMENT,
  `crh_calling_party` varchar(50) DEFAULT NULL,
  `crh_called_party` varchar(50) DEFAULT NULL,
  `crh_recorded_user` varchar(100) DEFAULT NULL,
  `crh_incoming_call` tinyint(4) DEFAULT '0',
  `crh_internal_call` tinyint(4) DEFAULT '0',
  `crh_start_time` datetime DEFAULT NULL,
  `crh_user_time` datetime DEFAULT NULL,
  `crh_time_zone` varchar(100) DEFAULT NULL,
  `crh_duration` smallint(6) DEFAULT '0',
  `crh_media_server` varchar(50) DEFAULT NULL,
  `crh_call_server` varchar(50) DEFAULT NULL,
  `crh_file_name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`crh_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_calling_card`
--

DROP TABLE IF EXISTS `cw_calling_card`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_calling_card` (
  `cc_id` int(11) NOT NULL AUTO_INCREMENT,
  `cc_provider_name` varchar(100) DEFAULT NULL,
  `cc_ivr_number` varchar(50) DEFAULT NULL,
  `cc_queue_number` varchar(50) DEFAULT NULL,
  `cc_connect_string` varchar(255) DEFAULT NULL,
  `cc_calling_card_active` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`cc_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_calls`
--

DROP TABLE IF EXISTS `cw_calls`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_calls` (
  `cls_id` int(11) NOT NULL AUTO_INCREMENT,
  `cls_user_port` varchar(50) NOT NULL,
  `cls_type` int(11) NOT NULL DEFAULT '1',
  `cls_start_time` datetime DEFAULT NULL,
  `cls_user_time` varchar(50) DEFAULT NULL,
  `cls_time_zone` varchar(50) DEFAULT NULL,
  `cls_duration` varchar(10) DEFAULT NULL,
  `cls_phone_number` varchar(100) DEFAULT NULL,
  `cls_state` int(11) DEFAULT '0',
  `cls_tariff_id` int(11) DEFAULT '0',
  `cls_amount` int(11) DEFAULT '0',
  `cls_message` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`cls_id`),
  KEY `cls_extension` (`cls_user_port`)
) ENGINE=MyISAM AUTO_INCREMENT=151 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_conferences`
--

DROP TABLE IF EXISTS `cw_conferences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_conferences` (
  `conf_id` int(11) NOT NULL AUTO_INCREMENT,
  `conf_user_port` varchar(50) NOT NULL,
  `conf_conference_name` varchar(50) NOT NULL,
  `conf_start_date_time` datetime DEFAULT NULL,
  `conf_pin` varchar(10) DEFAULT NULL,
  `conf_max_participants` int(11) NOT NULL DEFAULT '5',
  `conf_vpbx` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`conf_id`),
  KEY `conf_conference_name` (`conf_conference_name`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_deflection_range`
--

DROP TABLE IF EXISTS `cw_deflection_range`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_deflection_range` (
  `dra_id` int(11) NOT NULL AUTO_INCREMENT,
  `dra_description` varchar(100) NOT NULL,
  `dra_provider` varchar(100) DEFAULT NULL,
  `dra_range` varchar(100) DEFAULT NULL,
  `dra_called_party` varchar(50) DEFAULT NULL,
  `dra_length_cli` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`dra_id`),
  KEY `dra_description` (`dra_description`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_deflection_rule`
--

DROP TABLE IF EXISTS `cw_deflection_rule`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_deflection_rule` (
  `dru_id` int(11) NOT NULL AUTO_INCREMENT,
  `dru_description` varchar(100) NOT NULL,
  `dru_owner` varchar(100) DEFAULT NULL,
  `dru_provider` varchar(100) DEFAULT NULL,
  `dru_called_party` varchar(50) DEFAULT NULL,
  `dru_length_cli` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`dru_id`),
  UNIQUE KEY `dru_description` (`dru_description`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_forwarding_business`
--

DROP TABLE IF EXISTS `cw_forwarding_business`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_forwarding_business` (
  `fwrb_id` int(11) NOT NULL AUTO_INCREMENT,
  `fwrb_name` varchar(50) NOT NULL,
  `fwrb_rule_name` varchar(50) DEFAULT NULL,
  `fwrb_rings_before_forwarding` tinyint(3) unsigned DEFAULT '4',
  `fwrb_internal_number` varchar(50) DEFAULT NULL,
  `fwrb_internal_priority` tinyint(3) unsigned DEFAULT '1',
  `fwrb_internal_rings` tinyint(3) unsigned DEFAULT '4',
  `fwrb_external_number` varchar(50) DEFAULT NULL,
  `fwrb_external_priority` tinyint(3) unsigned DEFAULT '2',
  `fwrb_external_rings` tinyint(3) unsigned DEFAULT '4',
  `fwrb_mobile_number` varchar(50) DEFAULT NULL,
  `fwrb_mobile_priority` tinyint(3) unsigned DEFAULT '3',
  `fwrb_mobile_rings` tinyint(3) unsigned DEFAULT '4',
  `fwrb_custom_number` varchar(50) DEFAULT NULL,
  `fwrb_custom_priority` tinyint(3) unsigned DEFAULT '4',
  `fwrb_custom_rings` tinyint(3) unsigned DEFAULT '4',
  `fwrb_voice_mail_on` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `fwrb_forwarding_type` tinyint(3) unsigned DEFAULT '0',
  `fwrb_forwarding_condition` smallint(6) DEFAULT '0',
  `fwrb_except_from_numbers` varchar(50) DEFAULT NULL,
  `fwrb_only_from_numbers` varchar(50) DEFAULT NULL,
  `fwrb_email_address_1` varchar(50) DEFAULT NULL,
  `fwrb_send_to_email_1` tinyint(3) unsigned DEFAULT '0',
  `fwrb_attach_message` tinyint(3) unsigned DEFAULT '0',
  `fwrb_email_address_2` varchar(50) DEFAULT NULL,
  `fwrb_send_to_email_2` tinyint(3) unsigned DEFAULT '0',
  `fwrb_pin_code` varchar(10) DEFAULT NULL,
  `fwrb_announcement_file` varchar(50) DEFAULT NULL,
  `fwrb_trailing_announcement_file` varchar(50) DEFAULT NULL,
  `fwrb_message_length` int(11) DEFAULT '0',
  `fwrb_day_condition` smallint(6) DEFAULT '0',
  `fwrb_date_day_from` int(11) DEFAULT '0',
  `fwrb_date_month_from` smallint(6) DEFAULT '0',
  `fwrb_date_year_from` smallint(6) DEFAULT '0',
  `fwrb_date_day_to` smallint(6) DEFAULT '0',
  `fwrb_date_month_to` smallint(6) DEFAULT '0',
  `fwrb_date_year_to` smallint(6) DEFAULT '0',
  `fwrb_time_minute_from` smallint(6) DEFAULT '0',
  `fwrb_time_hour_from` smallint(6) DEFAULT '0',
  `fwrb_time_minute_to` int(11) DEFAULT '0',
  `fwrb_time_hour_to` smallint(6) DEFAULT '0',
  `fwrb_forwarding_active_logged_on` tinyint(3) unsigned DEFAULT '0',
  `fwrb_forwarding_active_logged_off` tinyint(3) unsigned DEFAULT '0',
  PRIMARY KEY (`fwrb_id`),
  KEY `ID` (`fwrb_id`),
  KEY `Name` (`fwrb_name`)
) ENGINE=MyISAM AUTO_INCREMENT=107 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_forwarding_residential`
--

DROP TABLE IF EXISTS `cw_forwarding_residential`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_forwarding_residential` (
  `fwdr_id` int(11) NOT NULL AUTO_INCREMENT,
  `fwdr_user_port` varchar(50) NOT NULL,
  `fwdr_forward_type_busy` int(11) DEFAULT '0',
  `fwdr_destination_address_busy` varchar(50) DEFAULT NULL,
  `fwdr_forward_type_no_answer` int(11) DEFAULT '0',
  `fwdr_destination_address_no_answer` varchar(50) DEFAULT NULL,
  `fwdr_forward_type_always` int(11) DEFAULT '0',
  `fwdr_destination_address_always` varchar(50) DEFAULT NULL,
  `fwdr_forward_type_unavailable` int(11) DEFAULT '0',
  `fwdr_destination_address_unavailable` varchar(50) DEFAULT NULL,
  `fwdr_announcement_file` varchar(200) DEFAULT NULL,
  `fwdr_mail_address` varchar(50) DEFAULT NULL,
  `fwdr_rings` int(11) DEFAULT '0',
  `fwdr_pin` varchar(50) DEFAULT NULL,
  `Clir` int(11) DEFAULT '0',
  `ShowIncomingCalls` int(11) DEFAULT '0',
  `ShowOutgoingCalls` int(11) DEFAULT '0',
  `OnlyShortNumbers` int(11) DEFAULT '0',
  PRIMARY KEY (`fwdr_id`),
  UNIQUE KEY `fwdr_user_port` (`fwdr_user_port`),
  KEY `fwdr_id` (`fwdr_id`)
) ENGINE=MyISAM AUTO_INCREMENT=64 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_global_settings`
--

DROP TABLE IF EXISTS `cw_global_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_global_settings` (
  `gs_id` int(11) NOT NULL AUTO_INCREMENT,
  `gs_country_code` varchar(10) DEFAULT '0',
  `gs_area_code` varchar(10) DEFAULT '0',
  `gs_trunk_number` varchar(15) DEFAULT '0',
  `gs_default_user_port` varchar(10) DEFAULT '0',
  `gs_country_code_prefix` varchar(10) DEFAULT '0',
  `gs_area_code_prefix` varchar(10) DEFAULT '0',
  `gs_user_port_length` int(11) DEFAULT '0',
  `gs_pbx_access` varchar(10) DEFAULT NULL,
  `gs_internal_access` varchar(10) DEFAULT NULL,
  `gs_pstn_access` varchar(10) DEFAULT NULL,
  `gs_in_dial_range` varchar(200) DEFAULT NULL,
  `gs_always_dial_prefix_code` tinyint(4) DEFAULT '0',
  `gs_transfer_main_number` tinyint(4) DEFAULT '0',
  `gs_suppress_own_number_transfer` tinyint(4) DEFAULT '0',
  `gs_create_cdrs` tinyint(4) DEFAULT '0',
  `gs_charges_per_unit` varchar(10) DEFAULT NULL,
  `gs_project_places` int(11) DEFAULT '0',
  `gs_remove_project_id` tinyint(4) DEFAULT '0',
  `gs_answer_after` int(11) DEFAULT '0',
  `gs_release_after` int(11) DEFAULT '0',
  `gs_restricted_prefixes` varchar(100) DEFAULT NULL,
  `gs_groups` varchar(200) DEFAULT NULL,
  `gs_predial_codes` varchar(100) DEFAULT NULL,
  `gs_waiting_loop_name` varchar(50) DEFAULT NULL,
  `gs_announcement_name` varchar(50) DEFAULT NULL,
  `gs_moh_name` varchar(50) DEFAULT NULL,
  `gs_auto_attendant_greeting_name` varchar(50) DEFAULT NULL,
  `gs_auto_attendant_error_name` varchar(50) DEFAULT NULL,
  `gs_auto_attendant_connecting_name` varchar(50) DEFAULT NULL,
  `gs_auto_attendant_ddis` varchar(100) DEFAULT NULL,
  `gs_auto_attendant_default_port` varchar(10) DEFAULT NULL,
  `gs_auto_attendant_active` tinyint(4) DEFAULT '0',
  `gs_disa_greeting_name` varchar(50) DEFAULT NULL,
  `gs_disa_ddis` varchar(100) DEFAULT NULL,
  `gs_disa_active` tinyint(4) DEFAULT '0',
  `gs_time_zone` varchar(100) DEFAULT NULL,
  `gs_paging_ddi` varchar(100) DEFAULT NULL,
  `gs_paging_greeting` varchar(50) DEFAULT NULL,
  `gs_paging_error_message` varchar(50) DEFAULT NULL,
  `gs_paging_black_list` varchar(255) DEFAULT NULL,
  `gs_cc_provider` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`gs_id`),
  KEY `gs_always_dial_prefix_code` (`gs_always_dial_prefix_code`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_ip_addresses`
--

DROP TABLE IF EXISTS `cw_ip_addresses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_ip_addresses` (
  `ipa_id` int(11) NOT NULL AUTO_INCREMENT,
  `ipa_ip_address` varchar(20) NOT NULL,
  PRIMARY KEY (`ipa_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_license`
--

DROP TABLE IF EXISTS `cw_license`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_license` (
  `li_id` int(11) NOT NULL AUTO_INCREMENT,
  `li_vpbxname` varchar(100) NOT NULL,
  `li_call_sessions` smallint(6) DEFAULT '0',
  `li_conf_sessions` smallint(6) DEFAULT '0',
  `li_cc_sessions` smallint(6) DEFAULT '0',
  `li_rec_sessions` smallint(6) DEFAULT '0',
  PRIMARY KEY (`li_id`),
  UNIQUE KEY `li_vpbxname` (`li_vpbxname`)
) ENGINE=MyISAM AUTO_INCREMENT=17 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_media_gateways`
--

DROP TABLE IF EXISTS `cw_media_gateways`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_media_gateways` (
  `mg_id` int(11) NOT NULL AUTO_INCREMENT,
  `mg_ip_address` varchar(50) DEFAULT NULL,
  `mg_file_path_root` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`mg_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_number_modification_rules`
--

DROP TABLE IF EXISTS `cw_number_modification_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_number_modification_rules` (
  `nmr_id` int(11) NOT NULL AUTO_INCREMENT,
  `nmr_replace` varchar(20) DEFAULT NULL,
  `nmr_by` varchar(20) DEFAULT NULL,
  `nmr_ip_address_range_from` varchar(20) DEFAULT NULL,
  `nmr_ip_address_range_to` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`nmr_id`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_paging`
--

DROP TABLE IF EXISTS `cw_paging`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_paging` (
  `pg_id` int(11) NOT NULL AUTO_INCREMENT,
  `pg_vpbxname` varchar(50) DEFAULT NULL,
  `pg_description` varchar(50) DEFAULT NULL,
  `pg_code` varchar(50) DEFAULT NULL,
  `pg_pin` varchar(50) DEFAULT NULL,
  `pg_paging_all_ports` smallint(6) DEFAULT '0',
  `pg_message` varchar(50) DEFAULT NULL,
  `pg_multicast_address` varchar(50) DEFAULT NULL,
  `pg_ports` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`pg_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_ported_numbers`
--

DROP TABLE IF EXISTS `cw_ported_numbers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_ported_numbers` (
  `pn_id` int(11) NOT NULL AUTO_INCREMENT,
  `pn_number` varchar(50) DEFAULT NULL,
  `pn_description` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`pn_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_presence_states`
--

DROP TABLE IF EXISTS `cw_presence_states`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_presence_states` (
  `ps_id` int(11) NOT NULL AUTO_INCREMENT,
  `ps_presence_state` varchar(50) NOT NULL,
  PRIMARY KEY (`ps_id`),
  UNIQUE KEY `ps_presence_state` (`ps_presence_state`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_provider`
--

DROP TABLE IF EXISTS `cw_provider`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_provider` (
  `prov_id` int(11) NOT NULL AUTO_INCREMENT,
  `prov_provider_name` varchar(50) NOT NULL,
  `prov_sip_account` varchar(50) NOT NULL,
  `prov_login_name` varchar(50) DEFAULT NULL,
  `prov_password` varchar(50) DEFAULT NULL,
  `prov_no_registration` tinyint(4) DEFAULT '0',
  `prov_registrar_ip_address` double DEFAULT '0',
  `prov_registrar_dns_name` varchar(50) DEFAULT NULL,
  `prov_user_ports` varchar(100) DEFAULT NULL,
  `prov_inhibited_prefixes` varchar(100) DEFAULT NULL,
  `prov_prefix` varchar(10) DEFAULT NULL,
  `prov_ports` int(11) DEFAULT NULL,
  `prov_number_format` varchar(15) DEFAULT NULL,
  `prov_default_user_port` varchar(10) DEFAULT NULL,
  `prov_stun_ip_address` double DEFAULT '0',
  `prov_stun_dns_name` varchar(50) DEFAULT NULL,
  `prov_stun_repeat_time` int(11) DEFAULT '0',
  `prov_use_call_deflection` tinyint(4) DEFAULT '0',
  `prov_cli_in_from_header` tinyint(4) DEFAULT '0',
  `prov_trunk` varchar(15) DEFAULT '0',
  `prov_trunk_group_name` varchar(50) DEFAULT NULL,
  `prov_use_transit_cli` tinyint(4) DEFAULT '0',
  `prov_use_user_port_cli` tinyint(4) DEFAULT '0',
  `prov_proposed_expiry` varchar(11) NOT NULL DEFAULT '60',
  `prov_back_busy_trunk_period` int(11) DEFAULT '0',
  `prov_no_audio_streaming` tinyint(4) DEFAULT '1',
  `prov_send_rtp_to_open_port` tinyint(4) DEFAULT '1',
  `prov_is_gateway` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`prov_id`),
  UNIQUE KEY `prov_provider_name` (`prov_provider_name`),
  UNIQUE KEY `prov_sip_account` (`prov_sip_account`),
  KEY `prov_trunk` (`prov_trunk`),
  KEY `prov_trunk_group_name` (`prov_trunk_group_name`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_provider_rules`
--

DROP TABLE IF EXISTS `cw_provider_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_provider_rules` (
  `provr_id` int(11) NOT NULL AUTO_INCREMENT,
  `provr_provider_name` varchar(50) NOT NULL,
  `provr_prefix` varchar(10) NOT NULL,
  `provr_replace` varchar(10) DEFAULT NULL,
  `provr_by` varchar(10) DEFAULT NULL,
  `provr_sessions` int(11) NOT NULL DEFAULT '2',
  `provr_priority` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`provr_id`),
  KEY `provr_provider_name` (`provr_provider_name`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_proxy_account_settings`
--

DROP TABLE IF EXISTS `cw_proxy_account_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_proxy_account_settings` (
  `pas_id` int(11) NOT NULL AUTO_INCREMENT,
  `pas_provider_name` varchar(50) DEFAULT NULL,
  `pas_start_range` varchar(50) DEFAULT NULL,
  `pas_end_range` varchar(50) DEFAULT NULL,
  `pas_ported_number` varchar(50) DEFAULT NULL,
  `pas_country_code_prefix` varchar(50) DEFAULT NULL,
  `pas_country_code` varchar(50) DEFAULT NULL,
  `pas_area_code_prefix` varchar(50) DEFAULT NULL,
  `pas_area_code` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`pas_id`),
  KEY `pas_provider_name` (`pas_provider_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_proxy_trunks`
--

DROP TABLE IF EXISTS `cw_proxy_trunks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_proxy_trunks` (
  `pt_id` int(11) NOT NULL AUTO_INCREMENT,
  `pt_provider_name` varchar(50) NOT NULL,
  `pt_start_range` varchar(25) NOT NULL,
  `pt_end_range` varchar(25) NOT NULL,
  `pt_replace` varchar(25) DEFAULT NULL,
  `pt_by` varchar(25) DEFAULT NULL,
  `pt_alternate_route` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`pt_id`),
  KEY `pt_provider_name` (`pt_provider_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_queue_history`
--

DROP TABLE IF EXISTS `cw_queue_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_queue_history` (
  `qh_id` int(11) NOT NULL AUTO_INCREMENT,
  `qh_server_time` datetime DEFAULT NULL,
  `qh_user_time` datetime DEFAULT NULL,
  `qh_time_zone` varchar(100) DEFAULT NULL,
  `qh_vpbx` varchar(100) DEFAULT NULL,
  `qh_agent` varchar(50) DEFAULT NULL,
  `qh_wait_time` varchar(25) DEFAULT NULL,
  `qh_duration` varchar(25) DEFAULT NULL,
  `qh_charge` varchar(25) DEFAULT NULL,
  `qh_queue` varchar(50) DEFAULT NULL,
  `qh_caller_number` varchar(25) DEFAULT NULL,
  `qh_caller` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`qh_id`),
  KEY `qh_vpbx` (`qh_vpbx`),
  KEY `qh_agent` (`qh_agent`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_queues`
--

DROP TABLE IF EXISTS `cw_queues`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_queues` (
  `qu_id` int(11) NOT NULL AUTO_INCREMENT,
  `qu_queue_name` varchar(50) NOT NULL,
  `qu_vpbx_name` varchar(50) DEFAULT NULL,
  `qu_waiting_loop_name` varchar(50) DEFAULT NULL,
  `qu_disconnect_announcement_name` varchar(50) DEFAULT NULL,
  `qu_skill_announcement_name` varchar(50) DEFAULT NULL,
  `qu_conditional_waiting_loop` tinyint(4) DEFAULT '1',
  `qu_number_of_lines` int(11) DEFAULT '5',
  `qu_answer_after` int(11) DEFAULT '0',
  `qu_connect_after` int(11) DEFAULT '20',
  `qu_release_reservation_after` int(11) DEFAULT '20',
  `qu_forward_after` int(11) DEFAULT '20',
  `qu_wrapup_time` int(11) DEFAULT '300',
  `qu_difference_in_call_duration` int(11) DEFAULT '10',
  `qu_priority` int(11) DEFAULT '1',
  `qu_permanently_available_agents` tinyint(4) DEFAULT '1',
  `qu_address_file` varchar(255) DEFAULT NULL,
  `qu_agent_access_to_address_file` varchar(255) DEFAULT NULL,
  `qu_user_ports` varchar(100) NOT NULL,
  `qu_q_overflow_timeout` int(11) DEFAULT '0',
  `qu_overflow_forward_to_number` varchar(25) DEFAULT NULL,
  `qu_timed_overflow_message` varchar(50) DEFAULT NULL,
  `qu_escalation_message` varchar(50) DEFAULT NULL,
  `qu_play_escalation_message_only` tinyint(4) DEFAULT '1',
  `qu_overflow_no_agents` int(11) DEFAULT '1',
  `qu_statistics_time_period` int(11) DEFAULT '15',
  `qu_inbound_active` tinyint(4) DEFAULT '0',
  `qu_skill_based_routing_active` tinyint(4) DEFAULT '0',
  `qu_skill_area_1` varchar(50) DEFAULT NULL,
  `qu_skill_number_1` varchar(10) DEFAULT NULL,
  `qu_skill_area_2` varchar(50) DEFAULT NULL,
  `qu_skill_number_2` varchar(10) DEFAULT NULL,
  `qu_skill_area_3` varchar(50) DEFAULT NULL,
  `qu_skill_number_3` varchar(10) DEFAULT NULL,
  `qu_skill_area_4` varchar(50) DEFAULT NULL,
  `qu_skill_number_4` varchar(10) DEFAULT NULL,
  `qu_skill_area_5` varchar(50) DEFAULT NULL,
  `qu_skill_number_5` varchar(10) DEFAULT NULL,
  `qu_skill_area_6` varchar(50) DEFAULT NULL,
  `qu_skill_number_6` varchar(10) DEFAULT NULL,
  `qu_skill_area_7` varchar(50) DEFAULT NULL,
  `qu_skill_number_7` varchar(10) DEFAULT NULL,
  `qu_skill_area_8` varchar(50) DEFAULT NULL,
  `qu_skill_number_8` varchar(10) DEFAULT NULL,
  `qu_skill_area_9` varchar(50) DEFAULT NULL,
  `qu_skill_number_9` varchar(10) DEFAULT NULL,
  `qu_skill_area_10` varchar(50) DEFAULT NULL,
  `qu_skill_number_10` varchar(10) DEFAULT NULL,
  `qu_cpid` int(11) DEFAULT '0',
  `qu_vaid` int(11) DEFAULT '0',
  PRIMARY KEY (`qu_id`),
  KEY `qu_queue_name` (`qu_queue_name`),
  KEY `qu_vpbx_name` (`qu_vpbx_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_quick_dial`
--

DROP TABLE IF EXISTS `cw_quick_dial`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_quick_dial` (
  `qd_id` int(11) NOT NULL AUTO_INCREMENT,
  `qd_vpbx_name` varchar(50) NOT NULL,
  `qd_quickdial_code` varchar(10) NOT NULL,
  `qd_number` varchar(25) NOT NULL,
  PRIMARY KEY (`qd_id`),
  KEY `qd_vpbx_name` (`qd_vpbx_name`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_server_mode`
--

DROP TABLE IF EXISTS `cw_server_mode`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_server_mode` (
  `sm_id` int(11) NOT NULL AUTO_INCREMENT,
  `sm_server_ip` varchar(50) DEFAULT NULL,
  `sm_server_ip2` varchar(50) DEFAULT NULL,
  `sm_backup_mode` smallint(6) DEFAULT '0',
  `sm_synchronise_server` smallint(6) DEFAULT '0',
  `sm_rtp_threads` tinyint(4) DEFAULT '1',
  PRIMARY KEY (`sm_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_system`
--

DROP TABLE IF EXISTS `cw_system`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_system` (
  `sys_version` varchar(50) NOT NULL,
  `sys_update_server_ip` varchar(50) DEFAULT NULL,
  `sys_server_heartbeat` smallint(6) DEFAULT '1',
  `sys_path` varchar(50) DEFAULT NULL,
  `sys_server_version` varchar(50) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_system_settings`
--

DROP TABLE IF EXISTS `cw_system_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_system_settings` (
  `ss_id` int(11) NOT NULL AUTO_INCREMENT,
  `ss_file_server_path` varchar(255) DEFAULT NULL,
  `ss_emergency_numbers` varchar(255) DEFAULT NULL,
  `ss_format_exclusion_list` varchar(255) DEFAULT NULL,
  `ss_special_days_1` varchar(130) DEFAULT NULL,
  `ss_special_days_2` varchar(130) DEFAULT NULL,
  `ss_use_enum` tinyint(4) DEFAULT '0',
  `ss_acb_sessions` tinyint(4) DEFAULT '5',
  `ss_acb_monitoring_minutes` tinyint(4) DEFAULT '30',
  `ss_acb_retry_after_minutes` tinyint(4) DEFAULT '5',
  `ss_acb_rings_on_originator` tinyint(4) DEFAULT '6',
  `ss_call_recording_code` varchar(10) DEFAULT NULL,
  `ss_call_jump_office_code` varchar(10) DEFAULT NULL,
  `ss_call_jump_mobile_code` varchar(10) DEFAULT NULL,
  `ss_call_jump_home_code` varchar(10) DEFAULT NULL,
  `ss_call_jump_vm_code` varchar(10) DEFAULT NULL,
  `ss_call_jump_any_number_code` varchar(10) DEFAULT NULL,
  `ss_call_jump_cancel_code` varchar(10) DEFAULT NULL,
  `ss_call_jump_timeout` tinyint(4) DEFAULT '15',
  `ss_call_park_code` varchar(10) DEFAULT NULL,
  `ss_stun_server` varchar(100) DEFAULT NULL,
  `ss_3pty_code` varchar(10) DEFAULT NULL,
  `ss_mobile_diversion_number` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`ss_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_time_zone`
--

DROP TABLE IF EXISTS `cw_time_zone`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_time_zone` (
  `tz_id` int(11) NOT NULL AUTO_INCREMENT,
  `tz_time_zone` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`tz_id`)
) ENGINE=MyISAM AUTO_INCREMENT=110 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_transit_rule`
--

DROP TABLE IF EXISTS `cw_transit_rule`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_transit_rule` (
  `tr_id` int(11) NOT NULL AUTO_INCREMENT,
  `tr_description` varchar(100) NOT NULL,
  `tr_start_range` varchar(50) DEFAULT NULL,
  `tr_end_range` varchar(50) DEFAULT NULL,
  `tr_time_zone` varchar(100) DEFAULT NULL,
  `tr_calling_party` varchar(50) DEFAULT NULL,
  `tr_length_cli` tinyint(4) DEFAULT '0',
  `tr_priority` tinyint(4) DEFAULT '0',
  `tr_recording_on` tinyint(4) DEFAULT '0',
  `tr_filter` smallint(6) DEFAULT '0',
  `tr_rings` tinyint(4) DEFAULT '0',
  `tr_except_from_numbers` varchar(100) DEFAULT NULL,
  `tr_only_calls_from_numbers` varchar(100) DEFAULT NULL,
  `tr_day_condition` smallint(6) DEFAULT '0',
  `tr_date_day_from` smallint(6) DEFAULT '0',
  `tr_date_month_from` smallint(6) DEFAULT '0',
  `tr_date_year_from` smallint(6) DEFAULT '0',
  `tr_date_day_to` smallint(6) DEFAULT '0',
  `tr_date_month_to` smallint(6) DEFAULT '0',
  `tr_date_year_to` smallint(6) DEFAULT '0',
  `tr_time_minute_from` smallint(6) DEFAULT '0',
  `tr_time_hour_from` smallint(6) DEFAULT '0',
  `tr_time_minute_to` smallint(6) DEFAULT '0',
  `tr_time_hour_to` smallint(6) DEFAULT '0',
  `tr_active` tinyint(4) DEFAULT '0',
  `tr_voice_mail_on` tinyint(4) DEFAULT '0',
  `tr_message_length` smallint(6) DEFAULT '0',
  `tr_attach_message` varchar(100) DEFAULT NULL,
  `tr_email_address` varchar(100) DEFAULT NULL,
  `tr_vm_announcement` varchar(100) DEFAULT NULL,
  `tr_deflection_on` tinyint(4) DEFAULT '0',
  `tr_def_greeting` varchar(100) DEFAULT NULL,
  `tr_def_error` varchar(100) DEFAULT NULL,
  `tr_def_connection` varchar(100) DEFAULT NULL,
  `tr_deflection_rule` varchar(100) DEFAULT NULL,
  `tr_owner` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`tr_id`),
  UNIQUE KEY `tr_description` (`tr_description`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_trunk_groups`
--

DROP TABLE IF EXISTS `cw_trunk_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_trunk_groups` (
  `trg_id` int(11) NOT NULL AUTO_INCREMENT,
  `trg_trunk_group_name` varchar(50) NOT NULL,
  `trg_sip_account` varchar(50) NOT NULL,
  `trg_provider_rule` varchar(50) NOT NULL,
  PRIMARY KEY (`trg_id`),
  KEY `trg_sip_account` (`trg_sip_account`),
  KEY `trg_trunk_group_name` (`trg_trunk_group_name`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_trunks`
--

DROP TABLE IF EXISTS `cw_trunks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_trunks` (
  `tr_id` int(11) NOT NULL AUTO_INCREMENT,
  `tr_trunk_name` varchar(50) NOT NULL,
  `tr_trunk` varchar(15) NOT NULL DEFAULT '0',
  `tr_country_code` varchar(10) DEFAULT '0',
  `tr_area_code` varchar(10) DEFAULT '0',
  `tr_trunk_number` varchar(15) DEFAULT '0',
  `tr_default_user_port` varchar(10) DEFAULT '0',
  `tr_country_code_prefix` varchar(10) DEFAULT '0',
  `tr_area_code_prefix` varchar(10) DEFAULT '0',
  `tr_user_port_length` int(11) DEFAULT '0',
  `tr_isdn_controller` varchar(5) DEFAULT NULL,
  `tr_charges_per_unit` varchar(10) DEFAULT NULL,
  `tr_always_dial_prefix_code` int(11) DEFAULT '0',
  `tr_use_trunk_only_in_t_groups` int(11) DEFAULT '0',
  PRIMARY KEY (`tr_id`),
  UNIQUE KEY `tr_trunk_name_UNIQUE` (`tr_trunk_name`),
  KEY `tr_trunk` (`tr_trunk`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_user_ports`
--

DROP TABLE IF EXISTS `cw_user_ports`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_user_ports` (
  `up_id` int(11) NOT NULL AUTO_INCREMENT,
  `up_name` varchar(50) DEFAULT NULL,
  `up_user_port` varchar(50) DEFAULT NULL,
  `up_password` varchar(50) DEFAULT NULL,
  `up_vpbx_name` varchar(50) DEFAULT NULL,
  `up_properties` varchar(50) DEFAULT NULL,
  `up_user_name` varchar(50) DEFAULT NULL,
  `up_forwarding` varchar(50) DEFAULT NULL,
  `up_lock_entry` varchar(50) DEFAULT NULL,
  `up_off_net_number` varchar(50) DEFAULT NULL,
  `up_user_port_pool` varchar(50) DEFAULT NULL,
  `up_server_ip` varchar(50) DEFAULT NULL,
  `up_logon_ip` varchar(50) DEFAULT NULL,
  `up_msn` varchar(16) DEFAULT NULL,
  `up_gatekeeper` varchar(50) DEFAULT NULL,
  `up_user_port_state` varchar(50) DEFAULT NULL,
  `up_fixed_gatekeeper` varchar(50) DEFAULT NULL,
  `up_group` varchar(50) DEFAULT NULL,
  `up_sip_account` varchar(50) DEFAULT NULL,
  `up_waiting_loop` varchar(50) DEFAULT NULL,
  `up_alerting_pool` varchar(50) DEFAULT NULL,
  `up_prefixes_plus` varchar(50) DEFAULT NULL,
  `up_forw_pool` varchar(50) DEFAULT NULL,
  `up_selected_restricted_prefixes` varchar(50) DEFAULT NULL,
  `up_selected_predial_code` varchar(50) DEFAULT NULL,
  `up_alerting_rings` varchar(5) DEFAULT NULL,
  `up_che_se` varchar(50) DEFAULT NULL,
  `up_credit` varchar(50) DEFAULT NULL,
  `up_charging_model` varchar(50) DEFAULT NULL,
  `up_buddy_list` varchar(50) DEFAULT NULL,
  `up_trunk_group` varchar(99) DEFAULT NULL,
  `up_queue_preselection` varchar(50) DEFAULT NULL,
  `up_outgoing_pool` varchar(100) DEFAULT NULL,
  `up_area_code` varchar(10) DEFAULT NULL,
  `up_time_zone` varchar(100) DEFAULT NULL,
  `up_cc_provider` varchar(100) DEFAULT NULL,
  `up_outgoing_cli` varchar(50) DEFAULT NULL,
  `up_call_jump_mobile_nr` varchar(50) DEFAULT NULL,
  `up_call_jump_home_nr` varchar(50) DEFAULT NULL,
  `up_page_heading` varchar(255) DEFAULT NULL,
  `up_cpid` int(11) DEFAULT '0',
  `up_vaid` int(11) DEFAULT '0',
  `up_first_name` varchar(40) DEFAULT NULL,
  `up_last_name` varchar(75) DEFAULT NULL,
  `up_user_level` tinyint(4) DEFAULT '0',
  `up_user_port_type` int(11) DEFAULT '0',
  `up_agent_state` tinyint(4) DEFAULT '1',
  `up_mobile_number` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`up_id`),
  UNIQUE KEY `up_name` (`up_name`),
  UNIQUE KEY `up_user_port` (`up_user_port`),
  KEY `up_area_code` (`up_area_code`),
  KEY `up_msn` (`up_msn`),
  KEY `up_id` (`up_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1215 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_voice_mail`
--

DROP TABLE IF EXISTS `cw_voice_mail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_voice_mail` (
  `vm_id` int(11) NOT NULL AUTO_INCREMENT,
  `vm_smtp_sender` varchar(100) DEFAULT NULL,
  `vm_smtp_server` varchar(100) DEFAULT NULL,
  `vm_voice_mail_ddi` varchar(25) DEFAULT NULL,
  `vm_voice_mail_message` varchar(250) DEFAULT NULL,
  `vm_voice_mail_filename` varchar(50) DEFAULT NULL,
  `vm_voice_mail_file_size` int(11) DEFAULT '0',
  `vm_save_single_voice_mail_file` tinyint(4) DEFAULT '0',
  `vm_delete_voice_mail_after_sending` tinyint(4) DEFAULT '0',
  `vm_wave_file_path` varchar(255) DEFAULT NULL,
  `vm_smtp_user_name` varchar(100) DEFAULT NULL,
  `vm_smtp_password` varchar(100) DEFAULT NULL,
  `vm_smtp_use_ssl` smallint(6) DEFAULT '0',
  `vm_reroute_dtmf` tinyint(4) DEFAULT '0',
  `vm_smtp_port` smallint(6) DEFAULT '25',
  PRIMARY KEY (`vm_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_vpbx`
--

DROP TABLE IF EXISTS `cw_vpbx`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_vpbx` (
  `vpbx_id` int(11) NOT NULL AUTO_INCREMENT,
  `vpbx_vpbx_name` varchar(50) NOT NULL,
  `vpbx_lcr_active` tinyint(4) DEFAULT '0',
  `vpbx_project_places` int(11) DEFAULT '0',
  `vpbx_create_cdrs` tinyint(4) DEFAULT '0',
  `vpbx_answer_after` int(11) DEFAULT '0',
  `vpbx_release_after` int(11) DEFAULT '5',
  `vpbx_remove_project_id` tinyint(4) DEFAULT '0',
  `vpbx_suppress_number` tinyint(4) DEFAULT '0',
  `vpbx_pstn_access` varchar(10) DEFAULT NULL,
  `vpbx_waiting_loop_name` varchar(50) DEFAULT NULL,
  `vpbx_trunk` varchar(15) DEFAULT '0',
  `vpbx_calling_party_presentation` varchar(50) DEFAULT NULL,
  `vpbx_announcement_name` varchar(50) DEFAULT NULL,
  `vpbx_groups` varchar(200) DEFAULT NULL,
  `vpbx_moh_name` varchar(50) DEFAULT NULL,
  `vpbx_trunk_group_name` varchar(50) DEFAULT NULL,
  `vpbx_in_dial_range` varchar(200) DEFAULT NULL,
  `vpbx_vpbx_group_name` varchar(50) DEFAULT NULL,
  `vpbx_vpbx_hard_partitioning` tinyint(4) DEFAULT '1',
  `vpbx_vpbx_show_the_full_number` tinyint(4) DEFAULT '1',
  `vpbx_auto_attendant_greeting_name` varchar(50) DEFAULT NULL,
  `vpbx_auto_attendant_error_name` varchar(50) DEFAULT NULL,
  `vpbx_auto_attendant_connecting_name` varchar(50) DEFAULT NULL,
  `vpbx_auto_attendant_ddis` varchar(100) DEFAULT NULL,
  `vpbx_auto_attendant_default_port` varchar(10) DEFAULT NULL,
  `vpbx_auto_attendant_active` tinyint(4) DEFAULT '0',
  `vpbx_disa_greeting_name` varchar(50) DEFAULT NULL,
  `vpbx_disa_ddis` varchar(100) DEFAULT NULL,
  `vpbx_disa_active` tinyint(4) DEFAULT '0',
  `vpbx_cpid` int(11) DEFAULT '0',
  `vpbx_vaid` int(11) DEFAULT '0',
  `vpbx_time_zone` varchar(100) DEFAULT NULL,
  `vpbx_paging_ddi` varchar(100) DEFAULT NULL,
  `vpbx_paging_greeting` varchar(50) DEFAULT NULL,
  `vpbx_paging_error_message` varchar(50) DEFAULT NULL,
  `vpbx_paging_black_list` varchar(255) DEFAULT NULL,
  `vpbx_voice_mail_ddi` varchar(50) DEFAULT NULL,
  `vpbx_cc_provider` varchar(100) DEFAULT NULL,
  `vpbx_reroute_dtmf` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`vpbx_id`),
  KEY `vpbx_vpbx_group_name` (`vpbx_vpbx_group_name`),
  KEY `vpbx_vpbx_name` (`vpbx_vpbx_name`),
  KEY `vpbx_trunk_group_name` (`vpbx_trunk_group_name`),
  KEY `vpbx_trunk` (`vpbx_trunk`)
) ENGINE=MyISAM AUTO_INCREMENT=19 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_vpbx_groups`
--

DROP TABLE IF EXISTS `cw_vpbx_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_vpbx_groups` (
  `vpbxg_id` int(11) NOT NULL AUTO_INCREMENT,
  `vpbxg_vpbx_group_name` varchar(50) NOT NULL,
  `vpbxg_vpbx_name` varchar(50) NOT NULL,
  PRIMARY KEY (`vpbxg_id`),
  KEY `vpbxg_vpbx_group_name` (`vpbxg_vpbx_group_name`),
  KEY `vpbxg_vpbx_name` (`vpbxg_vpbx_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_vpn`
--

DROP TABLE IF EXISTS `cw_vpn`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_vpn` (
  `vpn_id` int(11) NOT NULL AUTO_INCREMENT,
  `vpn_vpbx_name` varchar(50) NOT NULL,
  `vpn_vpn_code` varchar(15) NOT NULL,
  `vpn_number` varchar(25) NOT NULL,
  PRIMARY KEY (`vpn_id`),
  KEY `vpn_vpbx_name` (`vpn_vpbx_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_wave_files`
--

DROP TABLE IF EXISTS `cw_wave_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_wave_files` (
  `wf_id` int(11) NOT NULL AUTO_INCREMENT,
  `wf_wavefile_name` varchar(50) NOT NULL,
  `wf_complete_path` varchar(255) NOT NULL,
  `wf_cpid` int(11) DEFAULT '0',
  `wf_vaid` int(11) DEFAULT '0',
  PRIMARY KEY (`wf_id`),
  UNIQUE KEY `wf_wavefile_name` (`wf_wavefile_name`)
) ENGINE=MyISAM AUTO_INCREMENT=319 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tmp_vpbx`
--

DROP TABLE IF EXISTS `tmp_vpbx`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tmp_vpbx` (
  `vpbx_id` int(11) NOT NULL DEFAULT '0',
  `vpbx_vpbx_name` varchar(50) CHARACTER SET utf8 NOT NULL,
  `vpbx_lcr_active` tinyint(4) DEFAULT '0',
  `vpbx_project_places` int(11) DEFAULT '0',
  `vpbx_create_cdrs` tinyint(4) DEFAULT '0',
  `vpbx_answer_after` int(11) DEFAULT '0',
  `vpbx_release_after` int(11) DEFAULT '5',
  `vpbx_remove_project_id` tinyint(4) DEFAULT '0',
  `vpbx_suppress_number` tinyint(4) DEFAULT '0',
  `vpbx_pstn_access` varchar(10) CHARACTER SET utf8 DEFAULT NULL,
  `vpbx_waiting_loop_name` varchar(50) CHARACTER SET utf8 DEFAULT NULL,
  `vpbx_trunk` varchar(15) CHARACTER SET utf8 DEFAULT '0',
  `vpbx_calling_party_presentation` varchar(50) CHARACTER SET utf8 DEFAULT NULL,
  `vpbx_announcement_name` varchar(50) CHARACTER SET utf8 DEFAULT NULL,
  `vpbx_groups` varchar(200) CHARACTER SET utf8 DEFAULT NULL,
  `vpbx_moh_name` varchar(50) CHARACTER SET utf8 DEFAULT NULL,
  `vpbx_trunk_group_name` varchar(50) CHARACTER SET utf8 DEFAULT NULL,
  `vpbx_in_dial_range` varchar(200) CHARACTER SET utf8 DEFAULT NULL,
  `vpbx_vpbx_group_name` varchar(50) CHARACTER SET utf8 DEFAULT NULL,
  `vpbx_vpbx_hard_partitioning` tinyint(4) DEFAULT '1',
  `vpbx_vpbx_show_the_full_number` tinyint(4) DEFAULT '1',
  `vpbx_auto_attendant_greeting_name` varchar(50) CHARACTER SET utf8 DEFAULT NULL,
  `vpbx_auto_attendant_error_name` varchar(50) CHARACTER SET utf8 DEFAULT NULL,
  `vpbx_auto_attendant_connecting_name` varchar(50) CHARACTER SET utf8 DEFAULT NULL,
  `vpbx_auto_attendant_ddis` varchar(100) CHARACTER SET utf8 DEFAULT NULL,
  `vpbx_auto_attendant_default_port` varchar(10) CHARACTER SET utf8 DEFAULT NULL,
  `vpbx_auto_attendant_active` tinyint(4) DEFAULT '0',
  `vpbx_disa_greeting_name` varchar(50) CHARACTER SET utf8 DEFAULT NULL,
  `vpbx_disa_ddis` varchar(100) CHARACTER SET utf8 DEFAULT NULL,
  `vpbx_disa_active` tinyint(4) DEFAULT '0',
  `vpbx_cpid` int(11) DEFAULT '0',
  `vpbx_vaid` int(11) DEFAULT '0',
  `vpbx_time_zone` varchar(100) CHARACTER SET utf8 DEFAULT NULL,
  `vpbx_paging_ddi` varchar(100) CHARACTER SET utf8 DEFAULT NULL,
  `vpbx_paging_greeting` varchar(50) CHARACTER SET utf8 DEFAULT NULL,
  `vpbx_paging_error_message` varchar(50) CHARACTER SET utf8 DEFAULT NULL,
  `vpbx_paging_black_list` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `vpbx_voice_mail_ddi` varchar(50) CHARACTER SET utf8 DEFAULT NULL,
  `vpbx_cc_provider` varchar(100) CHARACTER SET utf8 DEFAULT NULL,
  `vpbx_reroute_dtmf` tinyint(4) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Current Database: `tornado`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `tornado` /*!40100 DEFAULT CHARACTER SET latin1 */;

USE `tornado`;

--
-- Table structure for table `blacklist`
--

DROP TABLE IF EXISTS `blacklist`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blacklist` (
  `id` int(12) NOT NULL AUTO_INCREMENT,
  `userport` varchar(50) NOT NULL,
  `bl_number` varchar(50) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_blacklist_userport` (`userport`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `chat`
--

DROP TABLE IF EXISTS `chat`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `chat` (
  `id` bigint(12) NOT NULL AUTO_INCREMENT,
  `up_from` varchar(50) DEFAULT NULL,
  `up_to` varchar(50) NOT NULL,
  `chat_to` varchar(600) NOT NULL,
  `uuid` varchar(256) NOT NULL,
  `message` varchar(2048) DEFAULT NULL,
  `chat_ts` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `link` bigint(12) DEFAULT NULL,
  `subtype` varchar(20) DEFAULT NULL,
  `status` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_chat_up_from` (`up_from`),
  KEY `idx_chat_up_to` (`up_to`)
) ENGINE=InnoDB AUTO_INCREMENT=1004 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `clusters`
--

DROP TABLE IF EXISTS `clusters`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `clusters` (
  `cluster_name` varchar(60) NOT NULL,
  `ip` varchar(45) NOT NULL,
  `port` varchar(6) NOT NULL,
  `queue` int(11) NOT NULL DEFAULT '0',
  `enabled` char(1) NOT NULL DEFAULT 'N',
  `local` char(1) NOT NULL DEFAULT 'N',
  PRIMARY KEY (`cluster_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `routes`
--

DROP TABLE IF EXISTS `routes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `routes` (
  `id` bigint(12) NOT NULL AUTO_INCREMENT,
  `up_prefix` varchar(20) NOT NULL,
  `enabled` char(1) NOT NULL DEFAULT 'N',
  `destination_cluster` varchar(60) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Current Database: `vixtelsbc`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `vixtelsbc` /*!40100 DEFAULT CHARACTER SET latin1 */;

USE `vixtelsbc`;

--
-- Table structure for table `cw_active_calls`
--

DROP TABLE IF EXISTS `cw_active_calls`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_active_calls` (
  `ac_id` int(11) NOT NULL AUTO_INCREMENT,
  `ac_call_setup_time` datetime DEFAULT NULL,
  `ac_call_connected_time` datetime DEFAULT NULL,
  `ac_from_uri` varchar(255) DEFAULT NULL,
  `ac_from_agent` varchar(255) DEFAULT NULL,
  `ac_source` varchar(100) DEFAULT NULL,
  `ac_source_ip` varchar(100) DEFAULT NULL,
  `ac_to_uri` varchar(255) DEFAULT NULL,
  `ac_destination` varchar(100) DEFAULT NULL,
  `ac_destination_ip` varchar(100) DEFAULT NULL,
  `ac_call_id` varchar(100) NOT NULL,
  `ac_last_response` varchar(255) DEFAULT NULL,
  `ac_pcap_location` varchar(255) DEFAULT NULL,
  `ac_pcap_location_2` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`ac_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_active_registrations`
--

DROP TABLE IF EXISTS `cw_active_registrations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_active_registrations` (
  `ar_id` int(11) NOT NULL AUTO_INCREMENT,
  `ar_timestamp` datetime DEFAULT NULL,
  `ar_sip_account` varchar(255) DEFAULT NULL,
  `ar_username` varchar(100) DEFAULT NULL,
  `ar_client_ip` varchar(100) DEFAULT NULL,
  `ar_registrar_ip` varchar(100) DEFAULT NULL,
  `ar_contact` varchar(255) DEFAULT NULL,
  `ar_user_agent` varchar(100) DEFAULT NULL,
  `ar_expires` smallint(6) DEFAULT '0',
  PRIMARY KEY (`ar_id`),
  KEY `ar_sip_account` (`ar_sip_account`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_agent_history`
--

DROP TABLE IF EXISTS `cw_agent_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_agent_history` (
  `ah_id` int(11) NOT NULL AUTO_INCREMENT,
  `ah_server_time` datetime DEFAULT NULL,
  `ah_user_time` datetime DEFAULT NULL,
  `ah_time_zone` varchar(100) DEFAULT NULL,
  `ah_vpbx` varchar(100) DEFAULT NULL,
  `ah_agent` varchar(50) DEFAULT NULL,
  `ah_state` varchar(25) DEFAULT NULL,
  `ah_action_by` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`ah_id`),
  KEY `ah_vpbx` (`ah_vpbx`),
  KEY `ah_agent` (`ah_agent`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_agents`
--

DROP TABLE IF EXISTS `cw_agents`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_agents` (
  `agn_id` int(11) NOT NULL AUTO_INCREMENT,
  `agn_name` varchar(50) NOT NULL,
  `agn_queue_name` varchar(50) DEFAULT NULL,
  `agn_caller_group` varchar(50) DEFAULT NULL,
  `agn_priority` tinyint(4) DEFAULT '3',
  `agn_inbound` tinyint(4) DEFAULT '0',
  `agn_overflow` tinyint(4) DEFAULT '0',
  `agn_skill_group_1` tinyint(4) DEFAULT '0',
  `agn_skill_group_2` tinyint(4) DEFAULT '0',
  `agn_skill_group_3` tinyint(4) DEFAULT '0',
  `agn_skill_group_4` tinyint(4) DEFAULT '0',
  `agn_skill_group_5` tinyint(4) DEFAULT '0',
  `agn_skill_group_6` tinyint(4) DEFAULT '0',
  `agn_skill_group_7` tinyint(4) DEFAULT '0',
  `agn_skill_group_8` tinyint(4) DEFAULT '0',
  `agn_skill_group_9` tinyint(4) DEFAULT '0',
  `agn_skill_group_10` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`agn_id`),
  UNIQUE KEY `agn_id` (`agn_id`),
  KEY `agn_name` (`agn_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_alias`
--

DROP TABLE IF EXISTS `cw_alias`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_alias` (
  `al_id` int(11) NOT NULL AUTO_INCREMENT,
  `al_alias` varchar(50) NOT NULL,
  `al_user_port` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`al_id`),
  UNIQUE KEY `al_alias` (`al_alias`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_black_list`
--

DROP TABLE IF EXISTS `cw_black_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_black_list` (
  `bl_id` int(11) NOT NULL AUTO_INCREMENT,
  `bl_ip_address` varchar(50) NOT NULL,
  `bl_description` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`bl_id`),
  UNIQUE KEY `bl_ip_address` (`bl_ip_address`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_call_recording`
--

DROP TABLE IF EXISTS `cw_call_recording`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_call_recording` (
  `cr_id` int(11) NOT NULL AUTO_INCREMENT,
  `cr_name` varchar(50) NOT NULL,
  `cr_condition` smallint(6) DEFAULT '0',
  `cr_except_from_numbers` varchar(50) DEFAULT NULL,
  `cr_only_calls_from_numbers` varchar(50) DEFAULT NULL,
  `cr_greeting` varchar(50) DEFAULT NULL,
  `cr_day_condition` smallint(6) DEFAULT '0',
  `cr_date_day_from` smallint(6) DEFAULT '0',
  `cr_date_month_from` smallint(6) DEFAULT '0',
  `cr_date_year_from` smallint(6) DEFAULT '0',
  `cr_date_day_to` smallint(6) DEFAULT '0',
  `cr_date_month_to` smallint(6) DEFAULT '0',
  `cr_date_year_to` smallint(6) DEFAULT '0',
  `cr_time_minute_from` smallint(6) DEFAULT '0',
  `cr_time_hour_from` smallint(6) DEFAULT '0',
  `cr_time_minute_to` smallint(6) DEFAULT '0',
  `cr_time_hour_to` smallint(6) DEFAULT '0',
  `cr_active` smallint(6) DEFAULT '0',
  `cr_mg_ip_address` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`cr_id`),
  UNIQUE KEY `cr_name` (`cr_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_call_recording_history`
--

DROP TABLE IF EXISTS `cw_call_recording_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_call_recording_history` (
  `crh_id` int(11) NOT NULL AUTO_INCREMENT,
  `crh_calling_party` varchar(50) DEFAULT NULL,
  `crh_called_party` varchar(50) DEFAULT NULL,
  `crh_recorded_user` varchar(100) DEFAULT NULL,
  `crh_incoming_call` tinyint(4) DEFAULT '0',
  `crh_internal_call` tinyint(4) DEFAULT '0',
  `crh_start_time` datetime DEFAULT NULL,
  `crh_user_time` datetime DEFAULT NULL,
  `crh_time_zone` varchar(100) DEFAULT NULL,
  `crh_duration` smallint(6) DEFAULT '0',
  `crh_media_server` varchar(50) DEFAULT NULL,
  `crh_call_server` varchar(50) DEFAULT NULL,
  `crh_file_name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`crh_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_calling_card`
--

DROP TABLE IF EXISTS `cw_calling_card`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_calling_card` (
  `cc_id` int(11) NOT NULL AUTO_INCREMENT,
  `cc_provider_name` varchar(100) DEFAULT NULL,
  `cc_ivr_number` varchar(50) DEFAULT NULL,
  `cc_queue_number` varchar(50) DEFAULT NULL,
  `cc_connect_string` varchar(255) DEFAULT NULL,
  `cc_calling_card_active` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`cc_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_calls`
--

DROP TABLE IF EXISTS `cw_calls`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_calls` (
  `cls_id` int(11) NOT NULL AUTO_INCREMENT,
  `cls_user_port` varchar(50) NOT NULL,
  `cls_type` int(11) NOT NULL DEFAULT '1',
  `cls_start_time` datetime DEFAULT NULL,
  `cls_user_time` datetime DEFAULT NULL,
  `cls_time_zone` varchar(100) DEFAULT NULL,
  `cls_duration` varchar(10) DEFAULT NULL,
  `cls_phone_number` varchar(100) DEFAULT NULL,
  `cls_state` int(11) DEFAULT '0',
  `cls_tariff_id` int(11) DEFAULT '0',
  `cls_amount` int(11) DEFAULT '0',
  `cls_message` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`cls_id`),
  UNIQUE KEY `cls_id` (`cls_id`),
  KEY `cls_user_port` (`cls_user_port`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_cdrs`
--

DROP TABLE IF EXISTS `cw_cdrs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_cdrs` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `SequenceNumber` varchar(50) DEFAULT NULL,
  `Name` varchar(50) DEFAULT NULL,
  `Extension` varchar(50) DEFAULT NULL,
  `Company` varchar(50) DEFAULT NULL,
  `StartDate` varchar(50) DEFAULT NULL,
  `StartTime` varchar(50) DEFAULT NULL,
  `UserDate` varchar(50) DEFAULT NULL,
  `UserTime` varchar(50) DEFAULT NULL,
  `TimeZone` varchar(100) DEFAULT NULL,
  `CalledParty` varchar(50) DEFAULT NULL,
  `Duration` varchar(50) DEFAULT NULL,
  `Amount` varchar(50) DEFAULT NULL,
  `CallType` varchar(50) DEFAULT NULL,
  `Provider` varchar(50) DEFAULT NULL,
  `Gatekeeper` varchar(50) DEFAULT NULL,
  `ExCallType` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `ID` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_cluster`
--

DROP TABLE IF EXISTS `cw_cluster`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_cluster` (
  `cl_id` int(11) NOT NULL AUTO_INCREMENT,
  `cl_cluster_name` varchar(100) NOT NULL,
  `cl_udp_interface` varchar(50) DEFAULT NULL,
  `cl_tcp_interface` varchar(50) DEFAULT NULL,
  `cl_ws_interface` varchar(50) DEFAULT NULL,
  `cl_external_ip_address` varchar(50) DEFAULT NULL,
  `cl_min_reg_time` smallint(6) DEFAULT '600',
  `cl_max_bandwidth` int(11) DEFAULT '0',
  `cl_max_active_registrations` int(11) DEFAULT '0',
  `cl_max_active_calls` int(11) DEFAULT '0',
  `cl_format_exclusion_list` varchar(255) DEFAULT NULL,
  `cl_emergency_numbers` varchar(255) DEFAULT NULL,
  `cl_inhibited_prefixes` varchar(100) DEFAULT NULL,
  `cl_trunk_group_name` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`cl_id`),
  UNIQUE KEY `cl_cluster_name` (`cl_cluster_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_conferences`
--

DROP TABLE IF EXISTS `cw_conferences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_conferences` (
  `conf_id` int(11) NOT NULL AUTO_INCREMENT,
  `conf_user_port` varchar(50) DEFAULT NULL,
  `conf_conference_name` varchar(50) NOT NULL,
  `conf_start_date_time` datetime DEFAULT NULL,
  `conf_pin` varchar(10) DEFAULT NULL,
  `conf_max_participants` int(11) NOT NULL DEFAULT '5',
  `conf_vpbx` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`conf_id`),
  UNIQUE KEY `conf_conference_name` (`conf_conference_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_deflection_range`
--

DROP TABLE IF EXISTS `cw_deflection_range`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_deflection_range` (
  `dra_id` int(11) NOT NULL AUTO_INCREMENT,
  `dra_description` varchar(100) NOT NULL,
  `dra_provider` varchar(100) DEFAULT NULL,
  `dra_range` varchar(100) DEFAULT NULL,
  `dra_called_party` varchar(50) DEFAULT NULL,
  `dra_length_cli` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`dra_id`),
  KEY `dra_description` (`dra_description`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_deflection_rule`
--

DROP TABLE IF EXISTS `cw_deflection_rule`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_deflection_rule` (
  `dru_id` int(11) NOT NULL AUTO_INCREMENT,
  `dru_description` varchar(100) NOT NULL,
  `dru_owner` varchar(100) DEFAULT NULL,
  `dru_provider` varchar(100) DEFAULT NULL,
  `dru_called_party` varchar(50) DEFAULT NULL,
  `dru_length_cli` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`dru_id`),
  UNIQUE KEY `dru_description` (`dru_description`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_failed_registrations`
--

DROP TABLE IF EXISTS `cw_failed_registrations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_failed_registrations` (
  `fr_id` int(11) NOT NULL AUTO_INCREMENT,
  `fr_timestamp` datetime DEFAULT NULL,
  `fr_sip_account` varchar(255) DEFAULT NULL,
  `fr_username` varchar(100) DEFAULT NULL,
  `fr_client_ip` varchar(100) DEFAULT NULL,
  `fr_registrar_ip` varchar(100) DEFAULT NULL,
  `fr_contact` varchar(255) DEFAULT NULL,
  `fr_user_agent` varchar(100) DEFAULT NULL,
  `fr_counter` smallint(6) DEFAULT '0',
  PRIMARY KEY (`fr_id`),
  KEY `fr_sip_account` (`fr_sip_account`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_forwarding`
--

DROP TABLE IF EXISTS `cw_forwarding`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_forwarding` (
  `fwd_id` int(11) NOT NULL AUTO_INCREMENT,
  `fwd_name` varchar(50) DEFAULT NULL,
  `fwd_rule` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`fwd_id`),
  KEY `fwd_name` (`fwd_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_forwarding_business`
--

DROP TABLE IF EXISTS `cw_forwarding_business`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_forwarding_business` (
  `fwrb_id` int(11) NOT NULL AUTO_INCREMENT,
  `fwrb_name` varchar(50) NOT NULL,
  `fwrb_rule_name` varchar(50) DEFAULT NULL,
  `fwrb_rings_before_forwarding` tinyint(4) DEFAULT '4',
  `fwrb_internal_number` varchar(50) DEFAULT NULL,
  `fwrb_internal_priority` tinyint(4) DEFAULT '0',
  `fwrb_internal_rings` tinyint(4) DEFAULT '4',
  `fwrb_external_number` varchar(50) DEFAULT NULL,
  `fwrb_external_priority` tinyint(4) DEFAULT '1',
  `fwrb_external_rings` tinyint(4) DEFAULT '4',
  `fwrb_mobile_number` varchar(50) DEFAULT NULL,
  `fwrb_mobile_priority` tinyint(4) DEFAULT '2',
  `fwrb_mobile_rings` tinyint(4) DEFAULT '4',
  `fwrb_custom_number` varchar(50) DEFAULT NULL,
  `fwrb_custom_priority` tinyint(4) DEFAULT '3',
  `fwrb_custom_rings` tinyint(4) DEFAULT '4',
  `fwrb_voice_mail_on` tinyint(4) NOT NULL DEFAULT '0',
  `fwrb_forwarding_type` tinyint(4) DEFAULT '0',
  `fwrb_forwarding_condition` int(11) DEFAULT '0',
  `fwrb_except_from_numbers` varchar(50) DEFAULT NULL,
  `fwrb_only_from_numbers` varchar(50) DEFAULT NULL,
  `fwrb_email_address_1` varchar(50) DEFAULT NULL,
  `fwrb_send_to_email_1` tinyint(4) DEFAULT '0',
  `fwrb_attach_message` tinyint(4) DEFAULT '0',
  `fwrb_email_address_2` varchar(50) DEFAULT NULL,
  `fwrb_send_to_email_2` tinyint(4) DEFAULT '0',
  `fwrb_pin_code` varchar(10) DEFAULT NULL,
  `fwrb_announcement_file` varchar(50) DEFAULT NULL,
  `fwrb_trailing_announcement_file` varchar(50) DEFAULT NULL,
  `fwrb_message_length` int(11) DEFAULT '0',
  `fwrb_day_condition` int(11) DEFAULT '0',
  `fwrb_date_day_from` int(11) DEFAULT '0',
  `fwrb_date_month_from` int(11) DEFAULT '0',
  `fwrb_date_year_from` int(11) DEFAULT '0',
  `fwrb_date_day_to` int(11) DEFAULT '0',
  `fwrb_date_month_to` int(11) DEFAULT '0',
  `fwrb_date_year_to` int(11) DEFAULT '0',
  `fwrb_time_minute_from` int(11) DEFAULT '0',
  `fwrb_time_hour_from` int(11) DEFAULT '0',
  `fwrb_time_minute_to` int(11) DEFAULT '0',
  `fwrb_time_hour_to` int(11) DEFAULT '0',
  `fwrb_forwarding_active_logged_on` tinyint(4) DEFAULT '0',
  `fwrb_forwarding_active_logged_off` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`fwrb_id`),
  KEY `fwrb_id` (`fwrb_id`),
  KEY `fwrb_name` (`fwrb_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_forwarding_residential`
--

DROP TABLE IF EXISTS `cw_forwarding_residential`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_forwarding_residential` (
  `fwdr_id` int(11) NOT NULL AUTO_INCREMENT,
  `fwdr_user_port` varchar(50) NOT NULL,
  `fwdr_forward_type_busy` int(11) DEFAULT '0',
  `fwdr_destination_address_busy` varchar(50) DEFAULT NULL,
  `fwdr_forward_type_no_answer` int(11) DEFAULT '0',
  `fwdr_destination_address_no_answer` varchar(50) DEFAULT NULL,
  `fwdr_forward_type_always` int(11) DEFAULT '0',
  `fwdr_destination_address_always` varchar(50) DEFAULT NULL,
  `fwdr_forward_type_unavailable` int(11) DEFAULT '0',
  `fwdr_destination_address_unavailable` varchar(50) DEFAULT NULL,
  `fwdr_announcement_file` varchar(200) DEFAULT NULL,
  `fwdr_mail_address` varchar(50) DEFAULT NULL,
  `fwdr_rings` int(11) DEFAULT '0',
  `fwdr_pin` varchar(50) DEFAULT NULL,
  `Clir` int(11) DEFAULT '0',
  `ShowIncomingCalls` int(11) DEFAULT '0',
  `ShowOutgoingCalls` int(11) DEFAULT '0',
  `OnlyShortNumbers` int(11) DEFAULT '0',
  PRIMARY KEY (`fwdr_id`),
  UNIQUE KEY `fwdr_user_port` (`fwdr_user_port`),
  KEY `fwdr_id` (`fwdr_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_global_settings`
--

DROP TABLE IF EXISTS `cw_global_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_global_settings` (
  `gs_id` int(11) NOT NULL AUTO_INCREMENT,
  `gs_country_code` varchar(10) DEFAULT NULL,
  `gs_area_code` varchar(10) DEFAULT NULL,
  `gs_trunk_number` varchar(15) DEFAULT NULL,
  `gs_default_user_port` varchar(10) DEFAULT NULL,
  `gs_country_code_prefix` varchar(10) DEFAULT NULL,
  `gs_area_code_prefix` varchar(10) DEFAULT NULL,
  `gs_user_port_length` int(11) DEFAULT '0',
  `gs_pbx_access` varchar(10) DEFAULT NULL,
  `gs_internal_access` varchar(10) DEFAULT NULL,
  `gs_pstn_access` varchar(10) DEFAULT NULL,
  `gs_in_dial_range` varchar(200) DEFAULT NULL,
  `gs_always_dial_prefix_code` tinyint(4) DEFAULT '0',
  `gs_transfer_main_number` tinyint(4) DEFAULT '0',
  `gs_suppress_own_number_transfer` tinyint(4) DEFAULT '0',
  `gs_create_cdrs` tinyint(4) DEFAULT '0',
  `gs_charges_per_unit` varchar(10) DEFAULT NULL,
  `gs_project_places` int(11) DEFAULT '0',
  `gs_remove_project_id` tinyint(4) DEFAULT '0',
  `gs_answer_after` int(11) DEFAULT '0',
  `gs_release_after` int(11) DEFAULT '5',
  `gs_restricted_prefixes` varchar(100) DEFAULT NULL,
  `gs_groups` varchar(200) DEFAULT NULL,
  `gs_predial_codes` varchar(100) DEFAULT NULL,
  `gs_waiting_loop_name` varchar(50) DEFAULT NULL,
  `gs_announcement_name` varchar(50) DEFAULT NULL,
  `gs_moh_name` varchar(50) DEFAULT NULL,
  `gs_auto_attendant_greeting_name` varchar(50) DEFAULT NULL,
  `gs_auto_attendant_error_name` varchar(50) DEFAULT NULL,
  `gs_auto_attendant_connecting_name` varchar(50) DEFAULT NULL,
  `gs_auto_attendant_ddis` varchar(100) DEFAULT NULL,
  `gs_auto_attendant_default_port` varchar(10) DEFAULT NULL,
  `gs_auto_attendant_active` tinyint(4) DEFAULT '0',
  `gs_disa_greeting_name` varchar(50) DEFAULT NULL,
  `gs_disa_ddis` varchar(100) DEFAULT NULL,
  `gs_disa_active` tinyint(4) DEFAULT '0',
  `gs_time_zone` varchar(100) DEFAULT NULL,
  `gs_paging_ddi` varchar(100) DEFAULT NULL,
  `gs_paging_greeting` varchar(50) DEFAULT NULL,
  `gs_paging_error_message` varchar(50) DEFAULT NULL,
  `gs_paging_black_list` varchar(255) DEFAULT NULL,
  `gs_cc_provider` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`gs_id`),
  KEY `gs_always_dial_prefix_code` (`gs_always_dial_prefix_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_ip_addresses`
--

DROP TABLE IF EXISTS `cw_ip_addresses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_ip_addresses` (
  `ipa_id` int(11) NOT NULL AUTO_INCREMENT,
  `ipa_ip_address` varchar(20) NOT NULL,
  PRIMARY KEY (`ipa_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_license`
--

DROP TABLE IF EXISTS `cw_license`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_license` (
  `li_id` int(11) NOT NULL AUTO_INCREMENT,
  `li_vpbxname` varchar(100) NOT NULL,
  `li_call_sessions` smallint(6) DEFAULT '0',
  `li_conf_sessions` smallint(6) DEFAULT '0',
  `li_cc_sessions` smallint(6) DEFAULT '0',
  `li_rec_sessions` smallint(6) DEFAULT '0',
  PRIMARY KEY (`li_id`),
  UNIQUE KEY `li_vpbxname` (`li_vpbxname`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_media_gateways`
--

DROP TABLE IF EXISTS `cw_media_gateways`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_media_gateways` (
  `mg_id` int(11) NOT NULL AUTO_INCREMENT,
  `mg_ip_address` varchar(50) DEFAULT NULL,
  `mg_file_path_root` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`mg_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_node_server`
--

DROP TABLE IF EXISTS `cw_node_server`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_node_server` (
  `ns_id` int(11) NOT NULL AUTO_INCREMENT,
  `ns_cluster_name` varchar(100) NOT NULL,
  `ns_node_server_name` varchar(100) NOT NULL,
  `ns_interface_name` varchar(50) NOT NULL,
  `ns_ip_address` varchar(50) NOT NULL,
  `ns_max_active_registrations` int(11) DEFAULT '0',
  `ns_max_active_calls` int(11) DEFAULT '0',
  `ns_account_filter` varchar(100) DEFAULT NULL,
  `ns_priority` tinyint(4) DEFAULT '1',
  `ns_enabled` tinyint(4) DEFAULT '1',
  PRIMARY KEY (`ns_id`),
  KEY `ns_cluster_name` (`ns_cluster_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_node_server_interfaces`
--

DROP TABLE IF EXISTS `cw_node_server_interfaces`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_node_server_interfaces` (
  `ni_id` int(11) NOT NULL AUTO_INCREMENT,
  `ni_interface_name` varchar(50) NOT NULL,
  `ni_poll_interface` varchar(50) DEFAULT NULL,
  `ni_trunk_interface` varchar(50) DEFAULT NULL,
  `ni_tcp_interface` varchar(50) DEFAULT NULL,
  `ni_udp_interface` varchar(50) DEFAULT NULL,
  `ni_external_ip_address` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`ni_id`),
  UNIQUE KEY `ni_interface_name` (`ni_interface_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_number_modification_rules`
--

DROP TABLE IF EXISTS `cw_number_modification_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_number_modification_rules` (
  `nmr_id` int(11) NOT NULL AUTO_INCREMENT,
  `nmr_replace` varchar(20) DEFAULT NULL,
  `nmr_by` varchar(20) DEFAULT NULL,
  `nmr_ip_address_range_from` varchar(20) DEFAULT NULL,
  `nmr_ip_address_range_to` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`nmr_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_paging`
--

DROP TABLE IF EXISTS `cw_paging`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_paging` (
  `pg_id` int(11) NOT NULL AUTO_INCREMENT,
  `pg_vpbxname` varchar(50) DEFAULT NULL,
  `pg_description` varchar(50) DEFAULT NULL,
  `pg_code` varchar(50) DEFAULT NULL,
  `pg_pin` varchar(50) DEFAULT NULL,
  `pg_paging_all_ports` smallint(6) DEFAULT '0',
  `pg_message` varchar(50) DEFAULT NULL,
  `pg_multicast_address` varchar(50) DEFAULT NULL,
  `pg_ports` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`pg_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_pcap_filter`
--

DROP TABLE IF EXISTS `cw_pcap_filter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_pcap_filter` (
  `pf_id` int(11) NOT NULL AUTO_INCREMENT,
  `pf_from_account` varchar(50) NOT NULL,
  `pf_to_account` varchar(50) NOT NULL,
  `pf_monitor_invite` tinyint(4) DEFAULT '0',
  `pf_monitor_register` tinyint(4) DEFAULT '0',
  `pf_monitor_subscribe` tinyint(4) DEFAULT '0',
  `pf_monitor_RTP` tinyint(4) DEFAULT '0',
  `pf_filter_active` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`pf_id`),
  UNIQUE KEY `pf_from_account` (`pf_from_account`),
  UNIQUE KEY `pf_to_account` (`pf_to_account`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_policy_rules`
--

DROP TABLE IF EXISTS `cw_policy_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_policy_rules` (
  `pr_id` int(11) NOT NULL AUTO_INCREMENT,
  `pr_policy_rule_name` varchar(50) NOT NULL,
  `pr_header` varchar(50) NOT NULL,
  `pr_field` varchar(50) DEFAULT NULL,
  `pr_action` varchar(50) NOT NULL,
  `pr_match` varchar(50) DEFAULT NULL,
  `pr_modify` varchar(50) DEFAULT NULL,
  `pr_new_value` varchar(50) DEFAULT NULL,
  `pr_description` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`pr_id`),
  KEY `pr_policy_rule_name` (`pr_policy_rule_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_ported_numbers`
--

DROP TABLE IF EXISTS `cw_ported_numbers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_ported_numbers` (
  `pn_id` int(11) NOT NULL AUTO_INCREMENT,
  `pn_number` varchar(50) DEFAULT NULL,
  `pn_description` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`pn_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_presence_states`
--

DROP TABLE IF EXISTS `cw_presence_states`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_presence_states` (
  `ps_id` int(11) NOT NULL AUTO_INCREMENT,
  `ps_presence_state` varchar(50) NOT NULL,
  PRIMARY KEY (`ps_id`),
  UNIQUE KEY `ps_presence_state` (`ps_presence_state`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_provider`
--

DROP TABLE IF EXISTS `cw_provider`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_provider` (
  `prov_id` int(11) NOT NULL AUTO_INCREMENT,
  `prov_provider_name` varchar(50) NOT NULL,
  `prov_sip_account` varchar(50) NOT NULL,
  `prov_login_name` varchar(50) DEFAULT NULL,
  `prov_password` varchar(50) DEFAULT NULL,
  `prov_no_registration` tinyint(4) DEFAULT '0',
  `prov_registrar_ip_address` double DEFAULT '0',
  `prov_registrar_dns_name` varchar(50) DEFAULT NULL,
  `prov_user_ports` varchar(100) DEFAULT NULL,
  `prov_inhibited_prefixes` varchar(100) DEFAULT NULL,
  `prov_prefix` varchar(10) DEFAULT NULL,
  `prov_ports` int(11) DEFAULT '2',
  `prov_number_format` varchar(15) DEFAULT NULL,
  `prov_default_user_port` varchar(10) DEFAULT NULL,
  `prov_stun_ip_address` double DEFAULT '0',
  `prov_stun_dns_name` varchar(50) DEFAULT NULL,
  `prov_stun_repeat_time` int(11) DEFAULT '0',
  `prov_use_call_deflection` tinyint(4) DEFAULT '0',
  `prov_cli_in_from_header` tinyint(4) DEFAULT '0',
  `prov_trunk` varchar(15) DEFAULT NULL,
  `prov_trunk_group_name` varchar(50) DEFAULT NULL,
  `prov_use_transit_cli` tinyint(4) DEFAULT '0',
  `prov_use_user_port_cli` tinyint(4) DEFAULT '0',
  `prov_proposed_expiry` int(11) DEFAULT '60',
  `prov_back_busy_trunk_period` int(11) DEFAULT '0',
  `prov_no_audio_streaming` tinyint(4) DEFAULT '1',
  `prov_send_rtp_to_open_port` tinyint(4) DEFAULT '1',
  `prov_is_gateway` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`prov_id`),
  UNIQUE KEY `prov_provider_name` (`prov_provider_name`),
  UNIQUE KEY `prov_sip_account` (`prov_sip_account`),
  KEY `prov_id` (`prov_id`),
  KEY `prov_trunk` (`prov_trunk`),
  KEY `prov_trunk_group_name` (`prov_trunk_group_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_provider_rules`
--

DROP TABLE IF EXISTS `cw_provider_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_provider_rules` (
  `provr_id` int(11) NOT NULL AUTO_INCREMENT,
  `provr_provider_name` varchar(50) NOT NULL,
  `provr_prefix` varchar(10) NOT NULL,
  `provr_replace` varchar(10) DEFAULT NULL,
  `provr_by` varchar(10) DEFAULT NULL,
  `provr_sessions` int(11) NOT NULL DEFAULT '2',
  `provr_priority` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`provr_id`),
  KEY `provr_provider_name` (`provr_provider_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_proxy_account_settings`
--

DROP TABLE IF EXISTS `cw_proxy_account_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_proxy_account_settings` (
  `pas_id` int(11) NOT NULL AUTO_INCREMENT,
  `pas_provider_name` varchar(50) DEFAULT NULL,
  `pas_start_range` varchar(50) DEFAULT NULL,
  `pas_end_range` varchar(50) DEFAULT NULL,
  `pas_ported_number` varchar(50) DEFAULT NULL,
  `pas_country_code_prefix` varchar(50) DEFAULT NULL,
  `pas_country_code` varchar(50) DEFAULT NULL,
  `pas_area_code_prefix` varchar(50) DEFAULT NULL,
  `pas_area_code` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`pas_id`),
  KEY `pas_provider_name` (`pas_provider_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_proxy_trunks`
--

DROP TABLE IF EXISTS `cw_proxy_trunks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_proxy_trunks` (
  `pt_id` int(11) NOT NULL AUTO_INCREMENT,
  `pt_provider_name` varchar(50) NOT NULL,
  `pt_start_range` varchar(25) NOT NULL,
  `pt_end_range` varchar(25) NOT NULL,
  `pt_replace` varchar(10) DEFAULT NULL,
  `pt_by` varchar(10) DEFAULT NULL,
  `pt_alternate_route` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`pt_id`),
  KEY `pt_provider_name` (`pt_provider_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_queue_history`
--

DROP TABLE IF EXISTS `cw_queue_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_queue_history` (
  `qh_id` int(11) NOT NULL AUTO_INCREMENT,
  `qh_server_time` datetime DEFAULT NULL,
  `qh_user_time` datetime DEFAULT NULL,
  `qh_time_zone` varchar(100) DEFAULT NULL,
  `qh_vpbx` varchar(100) DEFAULT NULL,
  `qh_agent` varchar(50) DEFAULT NULL,
  `qh_wait_time` varchar(25) DEFAULT NULL,
  `qh_duration` varchar(25) DEFAULT NULL,
  `qh_charge` varchar(25) DEFAULT NULL,
  `qh_queue` varchar(50) DEFAULT NULL,
  `qh_caller_number` varchar(25) DEFAULT NULL,
  `qh_caller` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`qh_id`),
  KEY `qh_vpbx` (`qh_vpbx`),
  KEY `qh_agent` (`qh_agent`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_queues`
--

DROP TABLE IF EXISTS `cw_queues`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_queues` (
  `qu_id` int(11) NOT NULL AUTO_INCREMENT,
  `qu_queue_name` varchar(50) NOT NULL,
  `qu_vpbx_name` varchar(50) DEFAULT NULL,
  `qu_waiting_loop_name` varchar(50) DEFAULT NULL,
  `qu_disconnect_announcement_name` varchar(50) DEFAULT NULL,
  `qu_skill_announcement_name` varchar(50) DEFAULT NULL,
  `qu_conditional_waiting_loop` tinyint(4) DEFAULT '1',
  `qu_number_of_lines` int(11) DEFAULT '5',
  `qu_answer_after` int(11) DEFAULT '0',
  `qu_connect_after` int(11) DEFAULT '20',
  `qu_release_reservation_after` int(11) DEFAULT '20',
  `qu_forward_after` int(11) DEFAULT '20',
  `qu_wrapup_time` int(11) DEFAULT '300',
  `qu_difference_in_call_duration` int(11) DEFAULT '10',
  `qu_priority` int(11) DEFAULT '1',
  `qu_permanently_available_agents` tinyint(4) DEFAULT '1',
  `qu_address_file` varchar(255) DEFAULT NULL,
  `qu_agent_access_to_address_file` varchar(255) DEFAULT NULL,
  `qu_user_ports` varchar(100) DEFAULT NULL,
  `qu_q_overflow_timeout` int(11) DEFAULT '0',
  `qu_overflow_forward_to_number` varchar(25) DEFAULT NULL,
  `qu_timed_overflow_message` varchar(50) DEFAULT NULL,
  `qu_escalation_message` varchar(50) DEFAULT NULL,
  `qu_play_escalation_message_only` tinyint(4) DEFAULT '1',
  `qu_overflow_no_agents` int(11) DEFAULT '1',
  `qu_statistics_time_period` int(11) DEFAULT '15',
  `qu_inbound_active` tinyint(4) DEFAULT '0',
  `qu_skill_based_routing_active` tinyint(4) DEFAULT '0',
  `qu_skill_area_1` varchar(50) DEFAULT NULL,
  `qu_skill_number_1` varchar(10) DEFAULT NULL,
  `qu_skill_area_2` varchar(50) DEFAULT NULL,
  `qu_skill_number_2` varchar(10) DEFAULT NULL,
  `qu_skill_area_3` varchar(50) DEFAULT NULL,
  `qu_skill_number_3` varchar(10) DEFAULT NULL,
  `qu_skill_area_4` varchar(50) DEFAULT NULL,
  `qu_skill_number_4` varchar(10) DEFAULT NULL,
  `qu_skill_area_5` varchar(50) DEFAULT NULL,
  `qu_skill_number_5` varchar(10) DEFAULT NULL,
  `qu_skill_area_6` varchar(50) DEFAULT NULL,
  `qu_skill_number_6` varchar(10) DEFAULT NULL,
  `qu_skill_area_7` varchar(50) DEFAULT NULL,
  `qu_skill_number_7` varchar(10) DEFAULT NULL,
  `qu_skill_area_8` varchar(50) DEFAULT NULL,
  `qu_skill_number_8` varchar(10) DEFAULT NULL,
  `qu_skill_area_9` varchar(50) DEFAULT NULL,
  `qu_skill_number_9` varchar(10) DEFAULT NULL,
  `qu_skill_area_10` varchar(50) DEFAULT NULL,
  `qu_skill_number_10` varchar(10) DEFAULT NULL,
  `qu_cpid` int(11) DEFAULT '0',
  `qu_vaid` int(11) DEFAULT '0',
  PRIMARY KEY (`qu_id`),
  UNIQUE KEY `qu_queue_name` (`qu_queue_name`),
  KEY `qu_id` (`qu_id`),
  KEY `qu_vpbx_name` (`qu_vpbx_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_quick_dial`
--

DROP TABLE IF EXISTS `cw_quick_dial`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_quick_dial` (
  `qd_id` int(11) NOT NULL AUTO_INCREMENT,
  `qd_vpbx_name` varchar(50) NOT NULL,
  `qd_quickdial_code` varchar(10) NOT NULL,
  `qd_number` varchar(25) NOT NULL,
  PRIMARY KEY (`qd_id`),
  KEY `qd_vpbx_name` (`qd_vpbx_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_sbc_call_statistic`
--

DROP TABLE IF EXISTS `cw_sbc_call_statistic`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_sbc_call_statistic` (
  `cs_id` int(11) NOT NULL AUTO_INCREMENT,
  `cs_call_id` varchar(100) DEFAULT NULL,
  `cs_stream_type` varchar(25) DEFAULT NULL,
  `cs_codec` varchar(25) DEFAULT NULL,
  `cs_received_packets` int(11) DEFAULT '0',
  `cs_lost_packets` int(11) DEFAULT '0',
  `cs_packets_out_of_sequence` int(11) DEFAULT '0',
  `cs_bandwith` int(11) DEFAULT '0',
  `cs_jitter` varchar(25) DEFAULT NULL,
  `cs_codec_2` varchar(25) DEFAULT NULL,
  `cs_received_packets_2` int(11) DEFAULT '0',
  `cs_lost_packets_2` int(11) DEFAULT '0',
  `cs_packets_out_of_sequence_2` int(11) DEFAULT '0',
  `cs_bandwith_2` int(11) DEFAULT '0',
  `cs_jitter_2` varchar(25) DEFAULT NULL,
  PRIMARY KEY (`cs_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_sbc_cdrs`
--

DROP TABLE IF EXISTS `cw_sbc_cdrs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_sbc_cdrs` (
  `sc_id` int(11) NOT NULL AUTO_INCREMENT,
  `sc_call_setup_time` datetime DEFAULT NULL,
  `sc_call_connected_time` datetime DEFAULT NULL,
  `sc_call_duration` varchar(25) DEFAULT NULL,
  `sc_from_uri` varchar(255) DEFAULT NULL,
  `sc_from_agent` varchar(255) DEFAULT NULL,
  `sc_source` varchar(100) DEFAULT NULL,
  `sc_source_ip` varchar(100) DEFAULT NULL,
  `sc_to_uri` varchar(255) DEFAULT NULL,
  `sc_destination` varchar(100) DEFAULT NULL,
  `sc_destination_ip` varchar(100) DEFAULT NULL,
  `sc_call_id` varchar(100) NOT NULL,
  `sc_last_response` varchar(255) DEFAULT NULL,
  `sc_pcap_location` varchar(255) DEFAULT NULL,
  `sc_pcap_location_2` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`sc_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_sbc_monitoring`
--

DROP TABLE IF EXISTS `cw_sbc_monitoring`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_sbc_monitoring` (
  `mo_id` int(11) NOT NULL AUTO_INCREMENT,
  `mo_monitor_active_registrations` tinyint(4) DEFAULT '0',
  `mo_monitor_failed_registrations` tinyint(4) DEFAULT '0',
  `mo_monitor_active_calls` tinyint(4) DEFAULT '0',
  `mo_monitor_call_attempts` tinyint(4) DEFAULT '0',
  `mo_monitor_call_quality` tinyint(4) DEFAULT '0',
  `mo_generate_pcap_sip` tinyint(4) DEFAULT '0',
  `mo_generate_pcap_rtp` tinyint(4) DEFAULT '0',
  `mo_pcap_file_path` varchar(255) DEFAULT NULL,
  `mo_pcap_network_path` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`mo_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_sbc_policy`
--

DROP TABLE IF EXISTS `cw_sbc_policy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_sbc_policy` (
  `sp_id` int(11) NOT NULL AUTO_INCREMENT,
  `sp_provider_or_cluster_name` varchar(50) NOT NULL,
  `sp_policy_rule_name` varchar(50) NOT NULL,
  `sp_direction` varchar(50) NOT NULL,
  `sp_apply_to_request` varchar(50) DEFAULT NULL,
  `sp_next_rule` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`sp_id`),
  KEY `sp_provider_or_cluster_name` (`sp_provider_or_cluster_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_sbc_settings`
--

DROP TABLE IF EXISTS `cw_sbc_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_sbc_settings` (
  `sbc_id` int(11) NOT NULL AUTO_INCREMENT,
  `sbc_stun_server` varchar(100) DEFAULT NULL,
  `sbc_media_port_from` int(11) DEFAULT '0',
  `sbc_media_port_to` int(11) DEFAULT '0',
  `sbc_media_gateway_on` tinyint(4) DEFAULT '1',
  `sbc_limit_rcv_packets` int(11) DEFAULT '0',
  `sbc_watch_period` int(11) DEFAULT '0',
  `sbc_watch_timeout` int(11) DEFAULT '0',
  `sbc_deny_period` smallint(6) DEFAULT '10',
  `sbc_block_re_invite_on` tinyint(4) DEFAULT '1',
  `sbc_debug_on` tinyint(4) DEFAULT '1',
  `sbc_debug_sip_on` tinyint(4) DEFAULT '1',
  `sbc_debug_odbc_on` tinyint(4) DEFAULT '1',
  `sbc_debug_media_on` tinyint(4) DEFAULT '0',
  `sbc_debug_threads_on` tinyint(4) DEFAULT '0',
  `sbc_web_portal_interface` varchar(50) NOT NULL,
  `sbc_syslog_server` varchar(100) DEFAULT NULL,
  `sbc_syslog_version` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`sbc_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_server_mode`
--

DROP TABLE IF EXISTS `cw_server_mode`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_server_mode` (
  `sm_id` int(11) NOT NULL AUTO_INCREMENT,
  `sm_server_ip` varchar(50) DEFAULT NULL,
  `sm_server_ip2` varchar(50) DEFAULT NULL,
  `sm_backup_mode` smallint(6) DEFAULT '0',
  `sm_synchronise_server` smallint(6) DEFAULT '0',
  `sm_rtp_threads` tinyint(4) DEFAULT '1',
  PRIMARY KEY (`sm_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_sip_response_code_count`
--

DROP TABLE IF EXISTS `cw_sip_response_code_count`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_sip_response_code_count` (
  `sr_id` int(11) NOT NULL AUTO_INCREMENT,
  `sr_sip_response_code` smallint(6) DEFAULT '0',
  `sr_count` int(11) DEFAULT '0',
  `sr_last_occurs` datetime DEFAULT NULL,
  `sr_description` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`sr_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_system`
--

DROP TABLE IF EXISTS `cw_system`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_system` (
  `sys_version` varchar(50) NOT NULL,
  `sys_update_server_ip` varchar(50) DEFAULT NULL,
  `sys_server_heartbeat` smallint(6) DEFAULT '1',
  `sys_path` varchar(50) DEFAULT NULL,
  `sys_server_version` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`sys_version`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_system_settings`
--

DROP TABLE IF EXISTS `cw_system_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_system_settings` (
  `ss_id` int(11) NOT NULL AUTO_INCREMENT,
  `ss_file_server_path` varchar(255) DEFAULT NULL,
  `ss_emergency_numbers` varchar(255) DEFAULT NULL,
  `ss_format_exclusion_list` varchar(255) DEFAULT NULL,
  `ss_special_days_1` varchar(128) DEFAULT NULL,
  `ss_special_days_2` varchar(128) DEFAULT NULL,
  `ss_use_enum` tinyint(4) DEFAULT '0',
  `ss_acb_sessions` tinyint(4) DEFAULT '5',
  `ss_acb_monitoring_minutes` tinyint(4) DEFAULT '30',
  `ss_acb_retry_after_minutes` tinyint(4) DEFAULT '5',
  `ss_acb_rings_on_originator` tinyint(4) DEFAULT '6',
  `ss_call_recording_code` varchar(10) DEFAULT NULL,
  `ss_call_jump_office_code` varchar(10) DEFAULT NULL,
  `ss_call_jump_mobile_code` varchar(10) DEFAULT NULL,
  `ss_call_jump_home_code` varchar(10) DEFAULT NULL,
  `ss_call_jump_vm_code` varchar(10) DEFAULT NULL,
  `ss_call_jump_any_number_code` varchar(10) DEFAULT NULL,
  `ss_call_jump_cancel_code` varchar(10) DEFAULT NULL,
  `ss_call_jump_timeout` tinyint(4) DEFAULT '15',
  `ss_call_park_code` varchar(10) DEFAULT NULL,
  `ss_stun_server` varchar(100) DEFAULT NULL,
  `ss_3pty_code` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`ss_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_time_zone`
--

DROP TABLE IF EXISTS `cw_time_zone`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_time_zone` (
  `tz_id` int(11) NOT NULL AUTO_INCREMENT,
  `tz_time_zone` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`tz_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_transit_rule`
--

DROP TABLE IF EXISTS `cw_transit_rule`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_transit_rule` (
  `tr_id` int(11) NOT NULL AUTO_INCREMENT,
  `tr_description` varchar(100) NOT NULL,
  `tr_start_range` varchar(50) DEFAULT NULL,
  `tr_end_range` varchar(50) DEFAULT NULL,
  `tr_time_zone` varchar(100) DEFAULT NULL,
  `tr_calling_party` varchar(50) DEFAULT NULL,
  `tr_length_cli` tinyint(4) DEFAULT '0',
  `tr_priority` tinyint(4) DEFAULT '0',
  `tr_recording_on` tinyint(4) DEFAULT '0',
  `tr_filter` smallint(6) DEFAULT '0',
  `tr_rings` tinyint(4) DEFAULT '0',
  `tr_except_from_numbers` varchar(100) DEFAULT NULL,
  `tr_only_calls_from_numbers` varchar(100) DEFAULT NULL,
  `tr_day_condition` smallint(6) DEFAULT '0',
  `tr_date_day_from` smallint(6) DEFAULT '0',
  `tr_date_month_from` smallint(6) DEFAULT '0',
  `tr_date_year_from` smallint(6) DEFAULT '0',
  `tr_date_day_to` smallint(6) DEFAULT '0',
  `tr_date_month_to` smallint(6) DEFAULT '0',
  `tr_date_year_to` smallint(6) DEFAULT '0',
  `tr_time_minute_from` smallint(6) DEFAULT '0',
  `tr_time_hour_from` smallint(6) DEFAULT '0',
  `tr_time_minute_to` smallint(6) DEFAULT '0',
  `tr_time_hour_to` smallint(6) DEFAULT '0',
  `tr_active` tinyint(4) DEFAULT '0',
  `tr_voice_mail_on` tinyint(4) DEFAULT '0',
  `tr_message_length` smallint(6) DEFAULT '0',
  `tr_attach_message` varchar(100) DEFAULT NULL,
  `tr_email_address` varchar(100) DEFAULT NULL,
  `tr_vm_announcement` varchar(100) DEFAULT NULL,
  `tr_deflection_on` tinyint(4) DEFAULT '0',
  `tr_def_greeting` varchar(100) DEFAULT NULL,
  `tr_def_error` varchar(100) DEFAULT NULL,
  `tr_def_connection` varchar(100) DEFAULT NULL,
  `tr_deflection_rule` varchar(100) DEFAULT NULL,
  `tr_owner` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`tr_id`),
  UNIQUE KEY `tr_description` (`tr_description`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_trunk_groups`
--

DROP TABLE IF EXISTS `cw_trunk_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_trunk_groups` (
  `trg_id` int(11) NOT NULL AUTO_INCREMENT,
  `trg_trunk_group_name` varchar(50) NOT NULL,
  `trg_sip_account` varchar(50) NOT NULL,
  `trg_provider_rule` varchar(50) NOT NULL,
  PRIMARY KEY (`trg_id`),
  UNIQUE KEY `trg_trunk_group_name` (`trg_trunk_group_name`),
  KEY `trg_sip_account` (`trg_sip_account`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_trunk_provider`
--

DROP TABLE IF EXISTS `cw_trunk_provider`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_trunk_provider` (
  `tp_id` int(11) NOT NULL AUTO_INCREMENT,
  `tp_provider_name` varchar(100) NOT NULL,
  `tp_interface_name` varchar(50) NOT NULL,
  `tp_allow_transit_calls` tinyint(4) DEFAULT '0',
  `tp_back_busy_trunk_period` smallint(6) DEFAULT '0',
  `tp_ip_address` varchar(50) NOT NULL,
  PRIMARY KEY (`tp_id`),
  UNIQUE KEY `tp_provider_name` (`tp_provider_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_trunk_provider_interfaces`
--

DROP TABLE IF EXISTS `cw_trunk_provider_interfaces`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_trunk_provider_interfaces` (
  `pi_id` int(11) NOT NULL AUTO_INCREMENT,
  `pi_interface_name` varchar(50) NOT NULL,
  `pi_interface` varchar(50) NOT NULL,
  `pi_external_ip_address` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`pi_id`),
  UNIQUE KEY `pt_interface_name` (`pi_interface_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_trunks`
--

DROP TABLE IF EXISTS `cw_trunks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_trunks` (
  `tr_id` int(11) NOT NULL AUTO_INCREMENT,
  `tr_trunk_name` varchar(50) NOT NULL,
  `tr_trunk` varchar(15) NOT NULL,
  `tr_country_code` varchar(10) DEFAULT NULL,
  `tr_area_code` varchar(10) DEFAULT NULL,
  `tr_trunk_number` varchar(15) DEFAULT NULL,
  `tr_default_user_port` varchar(10) DEFAULT NULL,
  `tr_country_code_prefix` varchar(10) DEFAULT NULL,
  `tr_area_code_prefix` varchar(10) DEFAULT NULL,
  `tr_user_port_length` int(11) DEFAULT '0',
  `tr_isdn_controller` varchar(5) DEFAULT NULL,
  `tr_charges_per_unit` varchar(10) DEFAULT NULL,
  `tr_always_dial_prefix_code` int(11) DEFAULT '0',
  `tr_use_trunk_only_in_t_groups` int(11) DEFAULT '0',
  PRIMARY KEY (`tr_id`),
  UNIQUE KEY `tr_trunk_name` (`tr_trunk_name`),
  UNIQUE KEY `tr_trunk` (`tr_trunk`),
  KEY `tr_id` (`tr_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_user_ports`
--

DROP TABLE IF EXISTS `cw_user_ports`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_user_ports` (
  `up_id` int(11) NOT NULL AUTO_INCREMENT,
  `up_name` varchar(50) DEFAULT NULL,
  `up_user_port` varchar(50) DEFAULT NULL,
  `up_password` varchar(50) DEFAULT NULL,
  `up_vpbx_name` varchar(50) DEFAULT NULL,
  `up_properties` varchar(50) DEFAULT NULL,
  `up_user_name` varchar(50) DEFAULT NULL,
  `up_forwarding` varchar(50) DEFAULT NULL,
  `up_lock_entry` varchar(50) DEFAULT NULL,
  `up_off_net_number` varchar(50) DEFAULT NULL,
  `up_user_port_pool` varchar(50) DEFAULT NULL,
  `up_server_ip` varchar(50) DEFAULT NULL,
  `up_logon_ip` varchar(50) DEFAULT NULL,
  `up_msn` varchar(16) DEFAULT NULL,
  `up_gatekeeper` varchar(50) DEFAULT NULL,
  `up_user_port_state` varchar(50) DEFAULT NULL,
  `up_fixed_gatekeeper` varchar(50) DEFAULT NULL,
  `up_group` varchar(50) DEFAULT NULL,
  `up_sip_account` varchar(50) DEFAULT NULL,
  `up_waiting_loop` varchar(50) DEFAULT NULL,
  `up_alerting_pool` varchar(50) DEFAULT NULL,
  `up_prefixes_plus` varchar(50) DEFAULT NULL,
  `up_forw_pool` varchar(50) DEFAULT NULL,
  `up_selected_restricted_prefixes` varchar(50) DEFAULT NULL,
  `up_selected_predial_code` varchar(50) DEFAULT NULL,
  `up_alerting_rings` varchar(5) DEFAULT NULL,
  `up_che_se` varchar(50) DEFAULT NULL,
  `up_credit` varchar(50) DEFAULT NULL,
  `up_charging_model` varchar(50) DEFAULT NULL,
  `up_buddy_list` varchar(50) DEFAULT NULL,
  `up_trunk_group` varchar(99) DEFAULT NULL,
  `up_queue_preselection` varchar(50) DEFAULT NULL,
  `up_outgoing_pool` varchar(100) DEFAULT NULL,
  `up_area_code` varchar(10) DEFAULT NULL,
  `up_time_zone` varchar(100) DEFAULT NULL,
  `up_cc_provider` varchar(100) DEFAULT NULL,
  `up_outgoing_cli` varchar(50) DEFAULT NULL,
  `up_call_jump_mobile_nr` varchar(50) DEFAULT NULL,
  `up_call_jump_home_nr` varchar(50) DEFAULT NULL,
  `up_page_heading` varchar(255) NOT NULL,
  `up_cpid` int(11) DEFAULT '0',
  `up_vaid` int(11) DEFAULT '0',
  `up_first_name` varchar(40) DEFAULT NULL,
  `up_last_name` varchar(75) DEFAULT NULL,
  `up_user_level` tinyint(4) DEFAULT '0',
  `up_user_port_type` int(11) DEFAULT '0',
  `up_agent_state` tinyint(4) DEFAULT '1',
  PRIMARY KEY (`up_id`),
  UNIQUE KEY `up_name` (`up_name`),
  UNIQUE KEY `up_user_port` (`up_user_port`),
  UNIQUE KEY `up_off_net_number` (`up_off_net_number`),
  KEY `up_area_code` (`up_area_code`),
  KEY `up_msn` (`up_msn`),
  KEY `up_id` (`up_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_voice_mail`
--

DROP TABLE IF EXISTS `cw_voice_mail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_voice_mail` (
  `vm_id` int(11) NOT NULL AUTO_INCREMENT,
  `vm_smtp_sender` varchar(100) DEFAULT NULL,
  `vm_smtp_server` varchar(100) DEFAULT NULL,
  `vm_voice_mail_ddi` varchar(25) DEFAULT NULL,
  `vm_voice_mail_message` varchar(250) DEFAULT NULL,
  `vm_voice_mail_filename` varchar(50) DEFAULT NULL,
  `vm_voice_mail_file_size` int(11) DEFAULT '0',
  `vm_save_single_voice_mail_file` tinyint(4) DEFAULT '0',
  `vm_delete_voice_mail_after_sending` tinyint(4) DEFAULT '0',
  `vm_wave_file_path` varchar(255) DEFAULT NULL,
  `vm_smtp_user_name` varchar(100) DEFAULT NULL,
  `vm_smtp_password` varchar(100) DEFAULT NULL,
  `vm_smtp_use_ssl` smallint(6) DEFAULT '0',
  `vm_reroute_dtmf` tinyint(4) DEFAULT '0',
  `vm_smtp_port` smallint(6) DEFAULT '25',
  PRIMARY KEY (`vm_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_vpbx`
--

DROP TABLE IF EXISTS `cw_vpbx`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_vpbx` (
  `vpbx_id` int(11) NOT NULL AUTO_INCREMENT,
  `vpbx_vpbx_name` varchar(50) NOT NULL,
  `vpbx_lcr_active` tinyint(4) DEFAULT '0',
  `vpbx_project_places` int(11) DEFAULT '0',
  `vpbx_create_cdrs` tinyint(4) DEFAULT '0',
  `vpbx_answer_after` int(11) DEFAULT '0',
  `vpbx_release_after` int(11) DEFAULT '5',
  `vpbx_remove_project_id` tinyint(4) DEFAULT '0',
  `vpbx_suppress_number` tinyint(4) DEFAULT '0',
  `vpbx_pstn_access` varchar(10) DEFAULT NULL,
  `vpbx_waiting_loop_name` varchar(50) DEFAULT NULL,
  `vpbx_trunk` varchar(15) DEFAULT NULL,
  `vpbx_calling_party_presentation` varchar(50) DEFAULT NULL,
  `vpbx_announcement_name` varchar(50) DEFAULT NULL,
  `vpbx_groups` varchar(200) DEFAULT NULL,
  `vpbx_moh_name` varchar(50) DEFAULT NULL,
  `vpbx_trunk_group_name` varchar(50) DEFAULT NULL,
  `vpbx_in_dial_range` varchar(200) DEFAULT NULL,
  `vpbx_vpbx_group_name` varchar(50) DEFAULT NULL,
  `vpbx_vpbx_hard_partitioning` tinyint(4) DEFAULT '1',
  `vpbx_vpbx_show_the_full_number` tinyint(4) DEFAULT '1',
  `vpbx_auto_attendant_greeting_name` varchar(50) DEFAULT NULL,
  `vpbx_auto_attendant_error_name` varchar(50) DEFAULT NULL,
  `vpbx_auto_attendant_connecting_name` varchar(50) DEFAULT NULL,
  `vpbx_auto_attendant_ddis` varchar(100) DEFAULT NULL,
  `vpbx_auto_attendant_default_port` varchar(10) DEFAULT NULL,
  `vpbx_auto_attendant_active` tinyint(4) DEFAULT '0',
  `vpbx_disa_greeting_name` varchar(50) DEFAULT NULL,
  `vpbx_disa_ddis` varchar(100) DEFAULT NULL,
  `vpbx_disa_active` tinyint(4) DEFAULT '0',
  `vpbx_cpid` int(11) DEFAULT '0',
  `vpbx_vaid` int(11) DEFAULT '0',
  `vpbx_time_zone` varchar(100) DEFAULT NULL,
  `vpbx_paging_ddi` varchar(100) DEFAULT NULL,
  `vpbx_paging_greeting` varchar(50) DEFAULT NULL,
  `vpbx_paging_error_message` varchar(50) DEFAULT NULL,
  `vpbx_paging_black_list` varchar(255) DEFAULT NULL,
  `vpbx_voice_mail_ddi` varchar(50) DEFAULT NULL,
  `vpbx_cc_provider` varchar(100) DEFAULT NULL,
  `vpbx_reroute_dtmf` tinyint(4) DEFAULT '0',
  PRIMARY KEY (`vpbx_id`),
  UNIQUE KEY `vpbx_vpbx_name` (`vpbx_vpbx_name`),
  KEY `vpbx_vpbx_group_name` (`vpbx_vpbx_group_name`),
  KEY `vpbx_trunk_group_name` (`vpbx_trunk_group_name`),
  KEY `vpbx_trunk` (`vpbx_trunk`),
  KEY `vpbx_id` (`vpbx_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_vpbx_groups`
--

DROP TABLE IF EXISTS `cw_vpbx_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_vpbx_groups` (
  `vpbxg_id` int(11) NOT NULL AUTO_INCREMENT,
  `vpbxg_vpbx_group_name` varchar(50) NOT NULL,
  `vpbxg_vpbx_name` varchar(50) NOT NULL,
  PRIMARY KEY (`vpbxg_id`),
  KEY `vpbxg_vpbx_group_name` (`vpbxg_vpbx_group_name`),
  KEY `vpbxg_vpbx_name` (`vpbxg_vpbx_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_vpn`
--

DROP TABLE IF EXISTS `cw_vpn`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_vpn` (
  `vpn_id` int(11) NOT NULL AUTO_INCREMENT,
  `vpn_vpbx_name` varchar(50) NOT NULL,
  `vpn_vpn_code` varchar(10) NOT NULL,
  `vpn_number` varchar(25) NOT NULL,
  PRIMARY KEY (`vpn_id`),
  KEY `vpn_vpbx_name` (`vpn_vpbx_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_wave_files`
--

DROP TABLE IF EXISTS `cw_wave_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_wave_files` (
  `wf_id` int(11) NOT NULL AUTO_INCREMENT,
  `wf_wavefile_name` varchar(50) NOT NULL,
  `wf_complete_path` varchar(255) NOT NULL,
  `wf_cpid` int(11) DEFAULT '0',
  `wf_vaid` int(11) DEFAULT '0',
  PRIMARY KEY (`wf_id`),
  UNIQUE KEY `wf_wavefile_name` (`wf_wavefile_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cw_white_list`
--

DROP TABLE IF EXISTS `cw_white_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cw_white_list` (
  `wl_id` int(11) NOT NULL AUTO_INCREMENT,
  `wl_ip_address` varchar(50) NOT NULL,
  `wl_description` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`wl_id`),
  UNIQUE KEY `wl_ip_address` (`wl_ip_address`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2016-02-23 22:00:05
